===================== 2021-12-08 Version 5.3.9 Released =====================

===================== Changes Since Version 5.3.8 ===========================

commit 91823791bf485d18edfd01fdf0f923fcb09f736b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 8 09:41:06 2021 +0100

    Makefile.defs: set version to 5.3.9

commit 0cac76792652237f362428ffbc62b29e73365aac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 8 09:40:15 2021 +0100

    pkg/kamailio/deb: version set to 5.3.9

commit 6a04f278372864b0c0bfa4be78d0f97283df9909
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 8 09:39:04 2021 +0100

    pkg: version set to 5.3.9 for rpm and alpine specs

commit 76c052b2dc86856e854c2ba1aad39a891bfb121e
Author: Justin-lavelle <justinl@broadvoice.com>
Date:   Sat Dec 4 03:09:43 2021 -0800

    auth_ephemeral: fix sha256/384/512
    
    - sha256/384/512 broken due to use of sha1 password length, change to check and use proper lengths for each
    - sha384 mistakenly using sha256 method
    
    (cherry picked from commit de2bee1805c2c89565e9b28afb50fac375d0b5ba)
    (cherry picked from commit 52a01e54483c5e50fedec649689e5f142c16315a)
    (cherry picked from commit e04db74dc1e1706f4f3c8c2b6fcd3dba98534f04)

commit 3e21c4d96e9f88ef9013467ea43acae6c31f307c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 6 15:01:40 2021 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 6a230024af804ab97a2e260e5a644ad1f58d8c76
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 23 17:22:42 2021 +0100

    core: clarification for -b cli parameter
    
    (cherry picked from commit f068a9ad1892777bfb9a6d1bcfd17a291578c6b6)
    (cherry picked from commit 68a694676df0e0a0d0a8d0180ebc39f9893b49bc)
    (cherry picked from commit 748cd0834cc9118fec1ee69b749daad7203346fb)

commit 00e02d7db1acdaaaf3193d701ba96081b7337331
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 12 10:15:07 2021 +0100

    core: io wait - remove log level string from debug message
    
    (cherry picked from commit 4608914cf9d3878c79560730ddad8e0800c38397)
    (cherry picked from commit 706b1ceb9cb5139c4464873c8df6d99c541dda7b)
    (cherry picked from commit 09ac130c86186334a1a1dd37d47f40b17a83b650)

commit 3c50cf570b41114925e689ca7c5dbd55b8d78d58
Author: Nacho Garcia Segovia <nacho.gs@zaleos.net>
Date:   Fri Oct 22 10:38:48 2021 +0200

    msrp: fix some tcpconn where memory was never cleaned up
    
    Thanks to Jason Shugart at INdigital. Fix consist of caring of removing references to previously retrieved tcp connections. GH #2880
    
    (cherry picked from commit bf371ccbfa1c89fefcd9d9322ae75189d97fc862)
    (cherry picked from commit f4ebe527c25ecedb3caffa8a361b5c42a2dd6b88)
    (cherry picked from commit dccc47c4fbb306150d88be40bf2463d4926c75bd)

commit 4ba9945e26199b5a64b2e5cd02062ef9f866ac1a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 13 19:16:06 2021 +0200

    core: parse main headers after updating msg buffer
    
    - same group of headers as for the case of receiving the message
    - applies for msg_apply_changes() as well
    - related to GH #2877
    
    (cherry picked from commit d5c1b4693b6e47b4123b5f9417b5fd88d4dafd1f)
    (cherry picked from commit 992c5a349454e40c87c8918283ffde7302da9d8e)
    (cherry picked from commit 49f3ec66c9e187584f403ca19e3b436abd20376a)

commit cfaf76db114ff10005ee37ce33aa05b4b24116fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 5 14:25:03 2021 +0200

    timer: extend internal static HTTP message to have one header
    
    (cherry picked from commit c3629f877500373028d2c7cdefd976cddda31c15)
    (cherry picked from commit a9c5f3e4d29dccda79eee8e594d4316e32196db5)
    (cherry picked from commit 3d5f1a75a1413126532b6bed41f2e5ec7acc57fb)

commit 319477691bfed48749eea5c40626f033bfbcf842
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 5 09:56:33 2021 +0200

    textops: docs update to state regex params expect posix format
    
    (cherry picked from commit b19aab7fe00f72d0c9e54a7a106ec7a065a3d02b)
    (cherry picked from commit a78acd8f40ed38b161a075bef74febd93acb092c)
    (cherry picked from commit e4eda3f5131e2788670a1f9f8342a2889e9b1107)

commit 401c65ba3a8168af370c9a3e9c9e445eb66ebbf3
Author: Sven Uhlig <git@resident-uhlig.de>
Date:   Wed Oct 20 14:23:38 2021 +0200

    textops: fix broken example for filter_body
    
    (cherry picked from commit f8c1cabaeadb8ee145174843ed11bbbb0c3276b0)
    (cherry picked from commit d9c34770caa305fc6cafa18e255f3c05342305dc)

commit eee27448e603d554b1486376909947995c94d207
Merge: 67f40d2f7e 420173265b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 25 09:11:46 2021 +0200

    Merge pull request #2901 from smititelu/5.3
    
    presence: fix build

commit 420173265bbcd484deeb289f2d7009c3a6bb3294
Author: Stefan Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Mon Oct 25 10:00:21 2021 +0300

    presence: fix build

commit 67f40d2f7e59820e8527cd8457e70741caf0c2da
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 22 14:32:49 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 5abb00278ee1292fb869c1cbf6367995280a88a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 20 07:22:57 2021 +0200

    core: parse identityinfo - log message on end of buffer
    
    (cherry picked from commit 1e212088091183aac8fcd418656beea523950870)
    (cherry picked from commit 8a6c44d2f0504f81b2ef1d97732499b5f721b4a7)
    (cherry picked from commit 81d8e4cfbb991f046ea2123c9dfa431f407aa5f1)

commit 1b2d1cb0242495504cbb18b4d58b92d66b21215a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 20 07:17:27 2021 +0200

    core: parser - additioal check for content lenght spanning next line
    
    (cherry picked from commit bf6bd11a9b969c02a106f94ebf40cefbe8028456)
    (cherry picked from commit ecfcab9af6f3927c9dfe170826f1cbae5d28a447)
    (cherry picked from commit 296ff8b988386ebc5b083e1a1d0ecca7380a6304)

commit a7881e06d2f2b4d5937bc9c3e3cbeed2c7941837
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 12:59:38 2021 +0200

    sqlops: return 1 on success for kemi sql_xquery()
    
    - GH #2856
    
    (cherry picked from commit 32bf3eb2b27fbefe991a4aabc829f21ecc4e8829)
    (cherry picked from commit c1f5595eaf0b1f98cb5dcc00ab68c0e57bc4b053)
    (cherry picked from commit a5340f49d21cb4dede9c84fe099561dd4bf21bc0)

commit 8320cc8db43d8e713a1e2547867755031d724b46
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 11:03:52 2021 +0200

    core: parser - print what is left in buffer if no EoH in get_body()
    
    (cherry picked from commit 63ecb827631189d27da6a85d41149985d95fc479)
    (cherry picked from commit 4578fb676177e16324c2241820cf5f8042503a37)
    (cherry picked from commit 730167bf4e26ba44bf69275730efbf81e541ad1a)

commit 833ebb4d66963346a9ac72387c48e20925a94443
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 16 08:08:18 2021 +0200

    core: free params list at end on error state inside parse_addr_spec
    
    (cherry picked from commit f2b133e24e29f9f0ce7ba568a5d4564c7b0f8f31)
    (cherry picked from commit b44879a17af848c3acb5524fe1058854c59c95fd)
    (cherry picked from commit d8ef550a4e7181f7fce1a4982c5da10b6ae6e8a7)

commit 61c4e8d91d8e8f41b1309b90f08f5d85a6a7d4ec
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Sep 15 16:14:13 2021 +0300

    kazoo: fixed crash when json body is NULL
    
    fixes GH #2794
    
    (cherry picked from commit d8955fc350b48d0c4ca359d03cb9954a48998658)
    (cherry picked from commit abbf1fde2efd02f24c806a5be296e4648060b0af)
    (cherry picked from commit 0616c676ca0e0e6e013ce26a53e951bfda72e1b7)

commit 2b424fdc10c26d7eb58bfc932385c2043ff69d57
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 14 08:05:05 2021 +0200

    core: parse via - safe check for end of buffer
    
    - just in case it is needed to be used for non-zero-terminated strings
    
    (cherry picked from commit 1d3fde1205440296c1d6a54feee5a9d637055bee)
    (cherry picked from commit 5a73c4b2363a533f8a9ed67aff3413223815c52c)
    (cherry picked from commit 0daa378326ea967bda8e302ac183463027b0c0c6)

commit 32f71e8058ba62e18dd0959aaba77bb1754df94d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 14 08:03:47 2021 +0200

    core: parse content - group operation to avoid overflow
    
    (cherry picked from commit 685817088ff9c72c055e72091fa6f923b824c206)
    (cherry picked from commit 796e2b203bbe09c6eb30321c579651d96c9b5de5)
    (cherry picked from commit 816f7b42b8527a2edc621143d2f1fae97df353c7)

commit 72cb9bec93c7c71c6ed35f42d842d02ca38271f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 09:05:54 2021 +0200

    core: parse_to_param() check for end of data on escape or start of value
    
    (cherry picked from commit 17a2eec2a8e47939782c1352ddb0fa4d3e73f9d8)
    (cherry picked from commit 92083402b2768b0ab81072feefd94bf754730e7f)
    (cherry picked from commit d94bed817ffd389b5e528c124e2a8417aed1cfef)

commit 7b76edb75806af92cde1eb8d9900c30478a0b95c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 14:57:52 2021 +0200

    core: parser - free unlinked local param structure in parse_to_param()
    
    (cherry picked from commit f624e1701088a94465a06f36a2ef27804b16ec0e)
    (cherry picked from commit 04c7d84874bf60dabede57adb1fc64ebe2260420)
    (cherry picked from commit 4f438e01d4e6c6042026e9c5f673e1e2f02bf496)

commit 781f934b2fc40a817bc531ef11e96c0ce8ec0756
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 08:04:06 2021 +0200

    core: log unexpected char in parse_param2()
    
    (cherry picked from commit a2511df29adc83544f047cbbdba7a8ba88272930)
    (cherry picked from commit c6bfa8d8ee14ea27158f09f3b0a04015a1252e1a)
    (cherry picked from commit a7143e95b407d53714ed0113e243032c19422c98)

commit 66adf27b0e85f22300e70901fc01423087cc21f7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 7 15:36:20 2021 +0200

    core: parser contact - proper update of length in skip_name()
    
    - stop walking name also for unquoted ;, being special char
    - small typo
    
    (cherry picked from commit 20db418f1e35f31d7a90d7cabbd22ae989b7266c)
    (cherry picked from commit a0d7837c934df7f4c2223ca7f90f7c439628caf4)
    (cherry picked from commit 6120013b0821e9420254b083d6eb4f79f428c15f)

commit 4e5c5cd441bcf80e66dca8adbccb56a217f37085
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 7 10:44:17 2021 +0200

    core: parser contact - link structure once finishing current one
    
    (cherry picked from commit d6c52a6afdd38cc05a67a25e55e387ad77a9ddf4)
    (cherry picked from commit 9ed8820aaf307a756f1f08ccff4459884f62b9a8)
    (cherry picked from commit f0d7b3a3d6c2aa27e47c87ec58b31c1527e1f6ff)

commit 69f87c46d4e72fd0d9fba301f4f4ae6771eb159c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 14:56:36 2021 +0200

    core: catch empty string on parsing params
    
    (cherry picked from commit 76e6033ff14fec0f2db0b387803b4c5815a91163)
    (cherry picked from commit d40de01737781f12cb2383a2891c8590cfb7deba)
    (cherry picked from commit 307f429ec4c1512018540cf58885b2c51ae0bd2b)

commit 4a2d2e1c86d7d5821a5f406d3878c4b609326a6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 13:51:32 2021 +0200

    core: parser - ensure content lenght value does not exceed max int
    
    (cherry picked from commit f769011743feccde0fbca8531ab4e1b3563bf155)
    (cherry picked from commit cd4c6ef6022fa6b4453c9e2feb091d3dd7776311)
    (cherry picked from commit 61d80860ead2adf93ffecb1318048bb04768bf51)

commit 825cca57e1a14b5844a651135eb8f74daaa3debc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 13:21:33 2021 +0200

    core: parser - free local unused param structure
    
    (cherry picked from commit 116ef94420bf6ed9e0ae3bc08a612d8d0c4aa0a7)
    (cherry picked from commit 479a6669da3bd03a9bd54ea4612192ee0b31f86a)
    (cherry picked from commit 99dd461fb14c2eb3803d7708c229bb4a1ffe9d08)

commit 973e3067ce00e8dca93c9193b91c46385d27939c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 6 12:59:34 2021 +0200

    core: parse content length - consider multi line header format
    
    - safety checks for log message when not parsing the message buffer
    
    (cherry picked from commit baed515e8aed8e5b505ff716eb57d0c60e582632)
    (cherry picked from commit c19e43e7bfa7d88b49312f1e83c3aae0756e4ae5)
    (cherry picked from commit 28251b9233b5011b36423717c0540933410a57a9)

commit 9ed35471b92908c59b9767d06bfc1edc84beb74f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Sep 4 16:15:58 2021 +0200

    core: print char code on error in parse_addr_spec()
    
    (cherry picked from commit 031fd46980b34a570385f49f168b13af43d84b87)
    (cherry picked from commit 86c5d807ceb896dcc554bf8f1b7fb93c68e69a73)
    (cherry picked from commit 0ea368063362c090485dddaacf03a6f9ed7f8702)

commit 25e688cde98d38cc10113fd1cb23c831452f4223
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 09:11:06 2021 +0200

    usrloc: set tcp connection id to -1 for records added via rpc
    
    - cope properly with the handle_lost_tcp modparam
    
    (cherry picked from commit a0a97119bef7671f33734399dc9de4562abae39c)
    (cherry picked from commit 1685ebd5917e763c347b6d4201b19b72e2ee274e)
    (cherry picked from commit bbd5a5ce5b2269e6e29f63a8cd73838502d35b06)

commit 5f7301a654fbb772697a4da728ea53fda3cc78eb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 9 10:25:29 2021 +0200

    tm: skip body operation on empty string for uac building
    
    (cherry picked from commit 34b61d3f1d6b5a0d4425f8edfa69d707cfa058b7)
    (cherry picked from commit d96e3527c20791cb2291aa91685d5bc85606eb56)
    (cherry picked from commit 0f9141a4ac722e1c33fbd597ef85c928ffc2cd6e)

commit 4dcc9cb2cb9e88c8baf855cce8089f4b9aad0317
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 8 13:30:31 2021 +0200

    sca: call unsafe find entry function to avoid infinite recursion
    
    (cherry picked from commit bd92fb59cce183008956ff060911cc14d3dfb160)
    (cherry picked from commit b6380374f310a26c8a36f807d97ff0f415204be4)
    (cherry picked from commit 6061def6d5550c9686f1b76d4d09400fecd43d9e)

commit a8dbbace5c7c5c1bfc914450ace8c4ebfaab090e
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Tue Aug 24 17:15:24 2021 +0300

    ndb_redis: fix SIGSEGV in redisc_check_auth
    
    - Added the check for NULL pointer. When TCP session to redis reset,
      redisCommand function can return NULL pointer.
    
    (cherry picked from commit c32a0be89cc92a0649277774d1e7aebf349b8b49)
    (cherry picked from commit 5dbf99eb03aba76905aa926a55aedd3caa0fcd05)
    (cherry picked from commit f3d7a0f52152adf2b3a0da8b44b615486a7f579f)

commit 4003771570ccd0f3d932515362b842010c6e30a7
Author: Anthony Alba <ascanio.alba7@gmail.com>
Date:   Wed Sep 1 07:26:08 2021 +0800

    tls: fix OpenSSL engine in child processes
    
    tls_init.c calls OPENSSL_init_ssl(); this initializes the
    global engine linked-list and this cannot be reset in the child.
    
    To avoid linked-list corruption we manually instantiate
    the engine object required for loading private keys instead of
    relying on CONF_modules_load_file().
    
    Updates to doc/.
    
    Addresses #2839
    
    (cherry picked from commit 238ef139bfbe145fb93e5c4b0730de58040d2265)
    (cherry picked from commit ad5af6d3acd648e6bd57b923083cc26d3a3d0f57)
    (cherry picked from commit a564c8d2e88b58948f2e1ea01008ec89e3c7d225)

commit 1389d825fd23dc77819454d2b5e6b65332a1e0c6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Aug 20 07:03:45 2021 +0200

    core: check message snd and rcv proto for COND_IF_DIFF_PROTO lumps
    
    - besides comparing the protos of rcv and snd sockets
    
    (cherry picked from commit 31377b160df563a222bec5a1bf92590635429240)
    (cherry picked from commit de84b32eb42e19f8626947da1c567eea2d0869fb)
    (cherry picked from commit 565b43d1d0572a8b68188cacf5b8248f37d352be)

commit 9655ae3e263fbe31eb8aa05d58adc8d92a59fd54
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 19 18:11:04 2021 +0200

    core: check message rcv and snd proto for diff realms lump conditions
    
    - in addition to receive socket and send socket protos, which may be the
    same in cases of tcp/tls+ws/wss using same ports
    
    (cherry picked from commit 871f8113612148a49e69218e70ed7f475fb665db)
    (cherry picked from commit 52978a0873eb068be31ca0688e64c88e4872efac)
    (cherry picked from commit b0a7811ef60d8fee47db4535cdc84c8483e4fede)

commit 9a175e53bbefff7258284a9f7910936e9c50b429
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 18 18:08:38 2021 +0200

    cplc: use cpl_ prefix for internal time recurrence functions
    
    - avoid global symbol conflicts with core tmrec.c
    - GH #2827
    
    (cherry picked from commit 431544864c97d1848db1c0c42a03251a214f04cd)
    (cherry picked from commit 7e3e0a81bf458bd90bc1454c81bf21d64ed9212c)
    (cherry picked from commit 9825c3da237394fb2b856e41a593b8e85b47abb6)

commit 7fbbdd0279c294d63b0aeed0c80c28092bcfa864
Author: Alan Evans <alan@kageds.com>
Date:   Thu Jun 24 10:24:39 2021 +0000

    kazoo : fix routing of reply events
    
    success events should be routed to onreply_route[]
    failure events should be routed to failure_route[]
    
    (cherry picked from commit fb2eee3e175040fef5e76cbed11430976f62df32)
    (cherry picked from commit d8ff1845c34a7f9d8e6911ae3d2055b122eb3b79)
    (cherry picked from commit 4ce1fc01f916a0ee45aff75a18de67f318b14925)

commit f463e54908fdbcc4f2be38f0963610c67d0c6130
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 4 14:15:09 2021 +0200

    misc/tools/protoshoot: removed svn id and history
    
    (cherry picked from commit e3875c01adf576f179374a926e69e99c0094e5b4)
    (cherry picked from commit 105b15422f611ba1dcc59be30f7f4d474b294d03)
    (cherry picked from commit fa2c7c16881b25bb99a33f69b67bda97c3092fe0)

commit 6c282a9acf843066c8abc1aae5210a6cff8174ed
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 3 08:52:19 2021 +0200

    sdpops: refactored sdp_remove_str_codec_id_attrs()
    
    - line oriented matching of codec addributes
    - support to remove a=rtcp-fb per codec, GH #2755
    
    (cherry picked from commit 1a15a18eacd5764e9ba6240acbe37e645368f825)
    (cherry picked from commit 96f24caed768b1b382b166eea835e555eac5e933)
    (cherry picked from commit 7fd662c98aa14d9b2fb730cfce0f6391ab756ed4)

commit d56fa4557facecc121ee02f782246816cd8f0770
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 3 08:51:11 2021 +0200

    core: parser sdp - shorten debug message with sdp line
    
    - was printing the rest of the body, print now max 20 chars
    
    (cherry picked from commit 4191a8193025499df64f13d59f5716563e573161)
    (cherry picked from commit ede5a8399662903c2aa081b7010603398a598e94)
    (cherry picked from commit e5785361cad74949bde08386b857c1307822eac2)

commit bd8e3d7a8a9741ddc4be1ce1acee050e7d47b3e2
Author: FredWH <wh720@139.com>
Date:   Mon Jun 28 14:46:25 2021 +0800

    db_redis: fix broken pipe issue, if redis server with timeout setting.
    
    - issue #2764
    
    (cherry picked from commit 7cec977f8e12bbeb0309d903e02461d1ccbf41a8)
    (cherry picked from commit 48eb41654859e6130c82c46400b529f2af9ce908)
    (cherry picked from commit e9272d8d67b9f8f9e04ad511ae014573b0aeb227)

commit 47eaf5aeb03d5fbb204e9381d4e8e4a1fa325edd
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Aug 1 11:40:26 2021 +0000

    core: enables compilation with debug symbols by default for other architectures
    
    - enables compilation with debug symbols by default for other architectures in core
    - pull request GH #2811
    - closes GH #2789
    
    (cherry picked from commit ed46adad82e7b6569eb42704c5460263d2af75f7)
    (cherry picked from commit ba8a06d2988e41b09947d3ae3386a13e3d8415b9)
    (cherry picked from commit 69819531b532fdec7956c0c28e1ea1aadcc2bc2e)

commit 4dca9f84d0531c62fe41c0b3dfa92c3fc947348f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 27 16:52:12 2021 +0200

    core: pvapi - reinitialize _pv_print_buffer_index when adjusting the slots
    
    - GH #2798
    
    (cherry picked from commit 61cbb5e861aeb9b7f69ebb8d284e3ded0ede9cd8)
    (cherry picked from commit 75571e1739470877365e7c25548ef282e81283a1)
    (cherry picked from commit f5c81022fdc769f306cf720bece29f1d265bfe61)

commit aacc6797709706c1be2da2be6e8f45df8aad9195
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 12 14:01:40 2021 +0200

    core: set MAX_WARNING_LEN to 1024
    
    - 256 can be too short
    - close GH #2799
    
    (cherry picked from commit 0d06e164efa720d91d49995585e80c9082ce3b21)
    (cherry picked from commit 1f9f6fff6e0ab21e460538ffd1e54b6c60f54f7e)
    (cherry picked from commit 5d30b9111e1e80553ba260767521b9132b82d6a7)

commit 18a0b6f3fa0346157ff0e2952155b4164028f000
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 08:23:56 2021 +0200

    http_client: removed function names from logs
    
    (cherry picked from commit 84d245fb4eda7690a89b4057301f81685a9452d8)
    (cherry picked from commit 2dbf48822451433f4ee8863a954a4c40da0eb2bf)
    (cherry picked from commit be8bb14a48c3797d4884c7f8a33fa3edf172942a)

commit c35c12b613b75d9e03eef2852f0c3846d9a2fff6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 08:09:22 2021 +0200

    http_client: clone name in http connection structures
    
    - use name to lookup private memory structure, hash id is not unique,
    can be collisions for different names
    
    (cherry picked from commit 9429083c87b1323e31983cc71551676c199bf640)
    (cherry picked from commit 459f40b52a8a6f8b2ef70a6986c686448ea572a8)
    (cherry picked from commit 810ea55bcbd557f4544dd1a1ee21bcff558ae553)

commit 7aa17d7618b721fd461382911ab1c0e51da41847
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 29 07:31:10 2021 +0200

    http_client: check if shm is initialized in curl_parse_param()
    
    (cherry picked from commit 7741ad7979d54fb4ee1247760d8d5c3666353a96)
    (cherry picked from commit b27dc141ccddfb3e0f77399ead8b2b158942de69)
    (cherry picked from commit 2ab8cb38f9ddf01e174c3525ebdec35d6c83406e)

commit b850f2dafe897f6a13ee9dbd0c37c775c92c6ec3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 23 13:05:44 2021 +0200

    http_client: docs - fixed small typo
    
    (cherry picked from commit 1f67ac5a62b58b35df52aedbd1a3d2234a72817e)
    (cherry picked from commit 6a527503a653d554ffb38f8bd7a40fd75441ff4d)
    (cherry picked from commit e9e190302f397b4d133fc5ca3a20168e93e51cd0)

commit 76781176e19b689716d3e50ee6bb4a868b3ffbfe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 21 09:43:55 2021 +0200

    websocket: docs - added tcp_accept_no_cl=yes to example
    
    (cherry picked from commit a05b4d7c2e413032b1a63f3d017243446a0bc6ec)
    (cherry picked from commit 9d7301652ca7f051df4a23b6be3a83d3f21baa5d)
    (cherry picked from commit ca97ee946df51fe8b2ceff5ea0ec890ebbdfac0c)

commit 7f287005f5bb186ca2227876299bc0774adbc72c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 21 09:42:28 2021 +0200

    xhttp: extended example for event_route[xhttp:request]
    
    (cherry picked from commit 195de260f102f1a016ad7bd1021571c1dd8a983f)
    (cherry picked from commit 42df0f0b58a2b5780a9bf613a5a29d4af27b4f67)
    (cherry picked from commit 198753a49da7ff81965d4eeac1d96e53dbe901a6)

commit e9e7db26b50d1de46f880f58140ca1d586b79775
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Thu Jun 10 12:17:54 2021 +0300

    siptrace: fixed IPv6 without brackets
    
    more details GH #2775
    
    (cherry picked from commit 417eb2a7052a9354712663cca9e3bc075a3f69c0)
    (cherry picked from commit 903e41468a00edeff52cbf1e3c0053c82860c92c)
    (cherry picked from commit 4f02ec387cf9f46cc83ec6fea0df0a17ab7f08a5)

commit 96475bbbeb26bdc6583c5a2f93ca673fde28db7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 9 12:15:38 2021 +0200

    pv: added missing WS and WSS to $K(key) variable
    
    (cherry picked from commit a8c9d0ae4fbafba89ef12737419037d141eed1d3)
    (cherry picked from commit 7b89c5e6abe5f4ae3ee55d9c938c865806f29dec)
    (cherry picked from commit e1fb94f5c258038527f8f8df90135d6a4c2a4391)

commit 783b75d167f94ade3043ce47b5e8087269af30d7
Author: rodolfojcj <458749+rodolfojcj@users.noreply.github.com>
Date:   Tue Jun 1 08:06:32 2021 -0400

    app_perl change to ignore "die" signals from eval blocks
    
    (cherry picked from commit 50557b8433e137a9095b4d48df8ac9b8c3fd8807)
    (cherry picked from commit 7192139d77f844cd927c326ce16cadfc63378b35)
    (cherry picked from commit 5b849659b23c1fad9161d51c1e7aac5a96d8850c)

commit fc7d780ee0e59d399edd8a89b35f7bee9f59b444
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 3 15:29:50 2021 +0200

    pv: test for HDR_ERROR_T after header name parsing
    
    (cherry picked from commit c264fbc66a4690b073c72ffa8fc095227ce0ae8b)
    (cherry picked from commit 18e85c98bb6eebf9afe83aaa0a832d1c4af46e62)
    (cherry picked from commit 5e39061818a0d52ac3a692c6357a497a09207e87)

commit 27db219c90b230b6c8821709e38f3d2bdfaf3c28
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 3 15:28:31 2021 +0200

    dialog: safety checks for bind addr fields
    
    - they can be null on non-local sockets
    - GH #2757
    
    (cherry picked from commit 490ae559d2b77b13b3f3831e7ff1aa58980e4086)
    (cherry picked from commit b6428ca86c821ddf74fd4ea8a17aecdce39934f4)
    (cherry picked from commit 465fbace1586874b60b98ab04caddd1c76b2810c)

commit f672c96ddd5cc4997bd7e0e76fc108ea2211b4f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 31 17:23:42 2021 +0200

    async: safety check for async ms list
    
    (cherry picked from commit 5b0e74c1832d2d09fe36424e1e1aaaacde920b31)
    (cherry picked from commit 93dc038f3f1f854b1e0987ec28e49d8a70293e19)
    (cherry picked from commit 30b33f772739c593f1b58a2b871e127effd12f58)

commit 3b659508cbca7ba485699b96d0ca9ae1a2234096
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 31 12:05:01 2021 +0200

    core: parse via - fixed whitespacing
    
    (cherry picked from commit 01664d1d82dcfe952fce29033b4fcd5e44cf2319)
    (cherry picked from commit 19901d0cdb6cf06a84315c19a27986bca7a05025)
    (cherry picked from commit b5ae51af479d4e54e5d8c3f5e85908e68183e9d4)

commit 659a8d30e0711e2944f6d7274fb6b7091983942e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 28 13:54:08 2021 +0200

    mtree: check if pv_count var is r/w
    
    - reported by GH #2750
    
    (cherry picked from commit 63b0345207ba67fcc6290d6dfc55f99ba58b13c9)
    (cherry picked from commit 7323d812dc4a39c0e60f11668e09a50ef586a8f7)
    (cherry picked from commit df8fb404c1f3d016f97872d78fe07d604de6ef8b)

commit 901d1ae833617e27a94c93771fde487c32c972b0
Author: Olle E. Johansson <oej@edvina.net>
Date:   Fri May 28 09:38:31 2021 +0200

    mtree: Fix some typos, adjust some formatting
    
    (cherry picked from commit 316c80607243387015e35ac423238c5a32401a44)
    (cherry picked from commit 3bfb1773c01731177824b907180a7eeb7e43d3af)
    (cherry picked from commit 00d7187532b87507367b00110f22bd8e0e14db7c)

commit a3eaa9ca535b5b4e5a5d6fd44b05995ec7e6c55a
Author: Olle E. Johansson <oej@edvina.net>
Date:   Mon May 24 08:26:18 2021 +0200

    snmpstats: Fix typo in MIB
    
    Reported by arkadiam on Github
    
    (cherry picked from commit 7f017707c91659641ce9ca87ee4149b2e39379f7)
    (cherry picked from commit dbd8e3899335eb8795763fd52b1f91aebfad1c92)
    (cherry picked from commit 2c501f4d7b9678f0cfad3afec5e3095fd61e1763)

commit ce676802926fe9d705c9d86e97f471ce47e25302
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 21 08:40:21 2021 +0200

    pv: more details in err log message for s.select parsing
    
    (cherry picked from commit 02ad9e1b87f89b9456d0d85e16c2fe0cda67ab64)
    (cherry picked from commit 2273d7d856b5c1fca1ec24fbb6ee249793ea6719)
    (cherry picked from commit 34ee120ab555b9aab364af4570033c3a08451fda)

commit 45de452009a026b6deb66a2379d31cad22a15d3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 12 18:14:29 2021 +0200

    presence: set correct type for local_log_facility modparam
    
    (cherry picked from commit 5f4662a95a97d5224bf03745a9a354a41925706c)
    (cherry picked from commit 5bc7e1d636b617839f697838e326347b19cb0fcc)
    (cherry picked from commit 0675c3eb0fa95e19532cf812585f1eb021829dbc)

commit f35671cd797fd63daddd264843c196749c6f82c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 6 12:27:05 2021 +0200

    dialog: ignore 408 on keepalive with cseq 0
    
    - some UAs do not reply at all
    
    (cherry picked from commit 7aa8056a5e3a9804133cb9ff79640d8116be63da)
    (cherry picked from commit 6d71c9399027f2ed41cd6eae576d862440bd4fd4)
    (cherry picked from commit 1b517a7e560f20331aa94accca813825e0e0ff0b)

commit 5d85ec7e1e08fb711c19f9953ff59a9ba1661405
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 30 08:53:47 2021 +0200

    tls: declare variable based on SSL_CTX_set_ecdh_auto
    
    - fix unused variable warning introduced in previous commit
    
    (cherry picked from commit 41b5e9473d79409712d46fdbb5a0b943ab880aa7)
    (cherry picked from commit 52c7d2f4d6704c7ea232808110fc09c17c90c4db)
    (cherry picked from commit 078c6f861fc52c28546dae5ce335002e5d5df99f)

commit 345a3ef9c9bc8c8f8796f20038351875b170bae0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 30 08:03:10 2021 +0200

    msrp: destroy str array on error
    
    - some code reformatting
    
    (cherry picked from commit 4695b48b23e22135049f67a6ef362e933a0cf337)
    (cherry picked from commit 33cf417e59b4c7f0e45b6258644bae364ad2e912)
    (cherry picked from commit cd8a871c5a4c6446eddc48bd89bfe5cde89a6c21)

commit ab6d2d4dedd23ad75e34b4a41ea6313eb4030abc
Author: SPChan <shihping.chan@gmail.com>
Date:   Wed Apr 28 00:51:22 2021 +0800

    [tls] Don't use OpenSSL<1.0.2 fallback on 1.1+
    
    Address GH #2716. Also see https://bugs.python.org/issue29697.
    
    (cherry picked from commit 27904530d1f8efd26e2b96fa5f18a3aad887919b)
    (cherry picked from commit 1c7a8459f1a5b0f4d96f3908a301b599d5e24dc3)
    (cherry picked from commit 1142d5470d40801743af2fd9e27213bae6c394f4)

commit bbd2e0df5480317013b223c3c6810c3a17442d6d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 29 06:56:50 2021 +0200

    msrp: check return code for str explode
    
    (cherry picked from commit addb6a88d0266a0bb0545077fb0b5b8a3fdcca8e)
    (cherry picked from commit e55ecc6412997b55569f3b626a681eae0ca312df)
    (cherry picked from commit bde591dc9507eaea0b744112d49ea01fbdf8f555)

commit 0d4cda4697a8c62c7d9f10b9cb54e7842678168a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 26 11:22:20 2021 +0200

    core/mem: q_malloc - use #else with DBG_QM_MALLOC for debug on freed fragments
    
    (cherry picked from commit 764d5be0c44036bb4b86f841588fb0df3b4bb834)
    (cherry picked from commit fc90e4c06c5df8c8a9d5cd615923c09a93b5a810)
    (cherry picked from commit b95e319d006a38fcc6385d704de82e553f7c2236)

commit 151cc160f4d5235fff6cd637628a108f7068ad4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 5 18:56:04 2021 +0200

    tm: lw parser - fix matching To header in lw_get_hf_name()
    
    (cherry picked from commit 4ab6e05df56afb7802a2cd125e89b9282a1c6c85)
    (cherry picked from commit 33db4ffc558b7a9d4c291c929b9e73b3cf8b16f0)
    (cherry picked from commit 0572c8192d26702fc0ac21ae76cbf81fbad91126)

commit 5dbddb10fb628fc79fb40d7e879778290e9b8922
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 15 10:28:24 2021 +0200

    core: main - set ending 0 in allocated cfg file path
    
    (cherry picked from commit 15f57ceae26b967ad92dd3a97ebcd869d1197244)
    (cherry picked from commit 38d72250f4c9c77bee71262b6c340503cc9a92a2)

commit 545f9f62f01169d6b7142454617ca98e9c031a1e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 15 08:32:38 2021 +0200

    core: resolve - safety check for setting port
    
    (cherry picked from commit 703d6202e73e4e3778a2c66f4e29ae87dc6ac211)
    (cherry picked from commit 1e6561f86d4a139834952ff21b74ecca0b508966)

commit 94c9af869b3613a0105e41e401874826ed609219
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 12:52:58 2021 +0200

    seas: check when walking the list
    
    (cherry picked from commit 7231be0785009cb17581822f0765985eb7bdb243)
    (cherry picked from commit 98b091d16072bc767affde805c30c7ec4911b9ec)

commit 5d7eba3a53dbb224ca3be55f77be1b70bd517fa3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 12:50:36 2021 +0200

    avp: check for null string
    
    (cherry picked from commit c30cd3db7587a3c875770fbc558f4a5ad38b58bd)
    (cherry picked from commit e5de8af690af460f086c6191a7502c903ca55699)

commit 7e043c7299e5652ec4227f93dbf9835779fc2bce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 14 12:40:19 2021 +0200

    imc: safety checks for function parameters
    
    (cherry picked from commit 6c8d61850aa662016d952f25dc510ed4d602e10c)
    (cherry picked from commit cbe81cd6941c277893958d5be45655ac21c6890e)

commit 06da5918154ac0ede8ee4cc4763424602649a4f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 10:21:39 2021 +0200

    group: check if credentials are parsed
    
    (cherry picked from commit e84c1985f1c3ed7a791660702b398b9ac1eb1f4a)
    (cherry picked from commit 95bbb4f0b1784a20db5c76fdbdd4fc58a2250b6d)

commit 01b6d5626a0168ef098e54a08181530a138a3cc4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 09:50:46 2021 +0200

    sca: return on rpc fault
    
    (cherry picked from commit 005f4468bc5873ea02b6c0d3d75baa49067e17c9)
    (cherry picked from commit 681952d1f1fc5d0226f4a7adb99e7cfefef8727b)

commit 83c9f15b166cb5275cb5a9c731e3b4e7cd4b50d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 09:50:07 2021 +0200

    pike: safety check for ll variable
    
    (cherry picked from commit b123dec934769522407dad619bbb6c2074719884)
    (cherry picked from commit ce30413e6e60c1674d7200c32469779398860c40)

commit 78fd3d230962cb0b30d90bc7cf37c74425011ccd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 13 09:15:10 2021 +0200

    db_text: safety check for lres
    
    (cherry picked from commit 8a5b764e77d009eb6f236e74d3462bfce0d57f07)
    (cherry picked from commit 782aae708701eaf8bfc97d72263d1e2e08569515)

commit 4eaecde9da9924727a5f4a01ae8ffea6cdccb777
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 18:51:42 2021 +0200

    pua_dialoginfo: check request to cover cases of callbacks without it
    
    - updates the previous commit
    
    (cherry picked from commit 912e2ef41533e961bc55ca80619305af8e474469)
    (cherry picked from commit 2e16763a9c261cec47bd429a1dc0bee39f9c46d8)

commit 246daa4f42b080a2dd7bf7ccb214446a893f6133
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 17:18:54 2021 +0200

    dialog: safety check for prev field
    
    (cherry picked from commit 80beb29ac0204697a8964231b441ac37866a4a1c)
    (cherry picked from commit f5e8a6042f141fd32f611c5ddc8232d793448b7a)

commit a9b885eb8051263784b36fe96990f0e240482d0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 9 16:23:28 2021 +0200

    core: cfg ctx - checks for valid variable offset
    
    (cherry picked from commit 303be6a94be40dbe7c26c96e768627e8e9d0f860)
    (cherry picked from commit 335b40a417ff457f290ab6e963344ffc7839776e)

commit ebe9db5f8888f74376c7841815d6b3582d5736c1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 12:05:07 2021 +0200

    nat_traversal: check parameter for send_keepalive()
    
    (cherry picked from commit f33abd5e2d5978ba9e6e8a48066b0daff70c0b3b)
    (cherry picked from commit e0948071566a8d978dc2c57a21a7448b953a11e1)

commit 98f99ac732dd4acb9668bb8db74aefe4b06ae416
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 11:54:33 2021 +0200

    rtpengine: reworked condition around locking for easier pairing
    
    - inside rtpengine_hash_table_insert()
    
    (cherry picked from commit c200d2e9109a5581491bebd91c30162716b0f4fa)
    (cherry picked from commit 5e431ebf2d2986be962373dc9adba904bb714f0d)

commit 8e6cfe02e85485466ca18435cfcecb19cb85b427
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 11:37:08 2021 +0200

    core: dns cache - safety checks for rdata field
    
    (cherry picked from commit 7ea3b97c8acf8b623563b7a9fbf4ba23ea3e9170)
    (cherry picked from commit e2d4ab36df274e92e9e04fc8b1973a49c3489b9b)

commit 2f2f0cdb6530edbd488fcdb960a652172c597930
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 09:38:48 2021 +0200

    core: main - coherent behaviour for fix_cfg_file()
    
    - duplicate to build the output always, safer not to try to change the
    static string defined via macro at runtime
    
    (cherry picked from commit 74fa6c5570d6394af8c5352bd37e21e970f1575c)
    (cherry picked from commit 7ec5c6ec53f333b7a65a02d46ee8a3757c264e2e)

commit 2443cf0abf649de7bb1f16b147a56e8001830762
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 8 09:36:02 2021 +0200

    core: cfg.lex - free after log message
    
    (cherry picked from commit 563c6f69aef22a90fc7870398fcfbd4242e33779)
    (cherry picked from commit d9eb361ebc07a84f5a36fdad4c0a576b341d351c)

commit fe2789dad9909ca10843f94e9d8d07309c2ec376
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:25 2021 +0200

    app_sqlang: init timeval structures
    
    (cherry picked from commit e8583372cb1078a29bb6526c11f838e30811b94a)
    (cherry picked from commit 7d5ab8071aef32d2c59f6acc7e93923fb76eec04)

commit 651776e0a004eb324193a6e1b1d97424ec74262a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_ruby: init timeval structures
    
    (cherry picked from commit 50f92131ac0a9f5dd1e19fb6e3636657ad996e37)
    (cherry picked from commit 50e3e3761804dd71a615f95eeb67c2d6e1462829)

commit b5b829a1bfd6c5129dd20530b72de1da9a20dfca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_python3: init timeval structures
    
    (cherry picked from commit 7457b3cefd08595c054291398de0f9a4e62691b7)
    (cherry picked from commit 8341025d73c0911683f8bb461d5b5b2594683871)

commit 53b1be8281f31aa5750dae8ee677dd91550d4461
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_python: init timeval structures
    
    (cherry picked from commit 97991c9cf56ca034df914ae499053e597582ef80)
    (cherry picked from commit fa571b6f79f9a2a9c06ccb3494ed2ad0e14b529d)

commit d2472d083f5bc23ce0ebf7f6af93bc32ef8dbbdc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_lua: init timeval structures
    
    (cherry picked from commit e1369a4cf0c668a0ee40d3b84b9c6382c2168e49)
    (cherry picked from commit c13836bd9feeb27878810cd469d839d2717c8425)

commit 552734a622ccb2060c1d8aae3f57696d104d6551
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:29:24 2021 +0200

    app_jsdt: init timeval structures
    
    (cherry picked from commit cad5cc37c63477fbcf429af34e516b523c74132e)
    (cherry picked from commit 3aa2bfd98e6b647eda8f8a27f2da3f5b9f645feb)

commit 833a8ad93708228e9decb876049c6b29e80d8399
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 10:08:56 2021 +0200

    ctl: free send_buf in case of error
    
    - disabled unused function
    
    (cherry picked from commit 3bb1a30dda3b40ba2f188a4baab94ebda41f4a74)
    (cherry picked from commit bb1102a9366992b885100960000c9e589971b9ec)

commit 517ff885f643edbfe552a639458f14dd03afad7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 7 09:53:39 2021 +0200

    core: use same condition for extra_params in create_via_hf()
    
    (cherry picked from commit 62e822ce25e93a8183dd9e5e1fee517143849a6a)
    (cherry picked from commit 9d8b937f832334be2660f95c9886ae3da6b60968)

commit 04f37177079ba2497437b682b1430497498c5f8a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 17:23:16 2021 +0200

    core: rvalue - link to free at end of rve_opt_01() instead on replace
    
    - debug mode messages print fields
    
    (cherry picked from commit 7652f79640b3e792baa77531e697fd74a1ab4584)
    (cherry picked from commit 05f60d4d4a20d127a23bf6e42853060a757434a6)

commit 93ae43dbd027db360ebf6b611c63da2045bd493a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 15:23:21 2021 +0200

    core: rvalue - function to destroy content of rval without freeing it
    
    - needed in case of rval reuse in rve_replace_with_val()
    
    (cherry picked from commit e770e0aa6889f001a3f7f2644202bf106f6559da)
    (cherry picked from commit b1b91fe1969f65a94516baddc94738f72b587773)

commit b6225105448397984f1d9a51b3abac06a4a155c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 6 14:48:34 2021 +0200

    core: main - several optarg safety checks
    
    (cherry picked from commit 4f7b5537688293d196669dd5a7d0124f7656cf2d)
    (cherry picked from commit 6e38b6e81e8cdb656b28e221a59aaf7a38b76ef3)

commit 2a6ef42a3635c570182474bd6e87ce9217909496
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:35:12 2021 +0200

    imc: expect the second param only if first is set
    
    - bits of formatting for imc_handle_create()
    
    (cherry picked from commit c08620f6427d59749396fe2762e340328ce69c41)
    (cherry picked from commit bdd0da206d115e93383899463ad5f726ac34230c)

commit 519a2e1676beb127e16bede8db632c7903168175
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 16 09:44:24 2021 +0200

    core: usr avp - fix detection of invalid name and ids
    
    - use the fields designated for str name or int id, code analyzers can
    follow properly the execution path
    - regression introduced in ca1821837dfe7dd6630f628d968ed4d1178c7040
    
    (cherry picked from commit e4506385ca5a56d4861f36e85c1049599cba398f)
    (cherry picked from commit 967dd294ba424bf66e27bebe4d6261e0c8a66471)

commit 792a25a6d025d806466c772f8c130aee9e7903f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 17:23:59 2021 +0200

    core: fixed condition for 0 ID or NULL NAME AVP
    
    - avoid null in memcpy for AVP_NAME_STR
    
    (cherry picked from commit ca1821837dfe7dd6630f628d968ed4d1178c7040)
    (cherry picked from commit aa285587c015e03a105442b1964ac0dd1dc52f1f)

commit 36bba66fb493d744aa01259b00d5eaa0fe76638a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 12:05:53 2021 +0200

    .gitignore: ignore files that can be generated by compiling tools
    
    (cherry picked from commit 1536f4bb3d4e654c8169afb6599c47c26df12ef6)
    (cherry picked from commit 2d091fa67133e49d23e81007820900ceef91f503)

commit 4fa11c5d98d5972c175be23a84e8e1f8c458e20c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 5 12:02:20 2021 +0200

    core: init allocated memory in str_hash_alloc()
    
    - removed unused pointer shifting in dset.c
    - small reworking of lval_assign()
    
    (cherry picked from commit ba9f2b5af9cabd61f67ceedb8feab6bd7bc6526d)
    (cherry picked from commit 8cd3b40aa7e618226b0137f5e758bc7a634ed0c2)

commit 0d3ff19ec3ce7c628f3fb4f007556c1601566cfe
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 3 07:56:40 2021 +0200

    pua_dialoginfo: skip requests that do not control call state
    
    - GH #2700
    
    (cherry picked from commit 1b47452cebb1b7866cbbabd5068a9ff4a39c86d2)
    (cherry picked from commit 8b112fbb5e362931b5c684fd4a6c3fdcbb9103e3)

commit f5ad8d2afc73a906d0b4866e640839d5a2894cff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 3 07:55:11 2021 +0200

    core: parse uri - check for invalid port values
    
    (cherry picked from commit b7f753ddc727e1d7ab42e7abe607059e03976f8d)
    (cherry picked from commit 3dca9d6bff8e08677a02e3bb0f47b4c0889f2cca)

commit c5449c7806064e5aaa07c04bbc61bbd1d98a00be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 2 09:37:21 2021 +0200

    core: parse uri - cast to unsigned for left shifting
    
    (cherry picked from commit d4e31e6ae494836c49e50f463517a576b18c5611)
    (cherry picked from commit 8622811124f641b6a4b09a802758a354556850b0)

commit 025d6cb8593853fb347edc6352049ddca3877510
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 31 16:05:52 2021 +0200

    textopsx: docs - notes about 1-based indexing for hf value functions
    
    - GH #2387
    
    (cherry picked from commit 6379f1280ba41e87ddb34fa1705ffe4231dcac9c)
    (cherry picked from commit f5334a57ae5159f1a37b3f25b9db220a9a860fc2)

commit 805fd7e04f300b49fac6ebcf955cbcdbd77f3069
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 29 15:04:38 2021 +0200

    path: removed svn id header
    
    (cherry picked from commit 0f0a56ad5c97a611fab64fc9b9eba304643dcec8)
    (cherry picked from commit 7c9ea2bf08ae3c481548b27fd4a793a9aee03155)

commit f137fb393e1d2f4e0c31b21aa62b6298cb985e86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 30 11:58:53 2021 +0200

    path: set dst udp uri length for decoding received value in alias format
    
    (cherry picked from commit f90640f7cec45a359e996493ae91b1a45d2603e7)
    (cherry picked from commit 8d6c2b96e83fc58f7159957ea86d5f91c00808ba)

commit 7fa2b0b1978e309c6826a963a2f95702572bebe0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 10:19:51 2021 +0100

    pv: docs - relocated shvset note outside of param definition details [skip ci]
    
    (cherry picked from commit c959a3c5f5efa1158bd53a31476f33d080793928)
    (cherry picked from commit 9a8002541773108a3a9dcb8a2f31a917e8b14bc4)

commit 8aac70eb047266d6f5897e047eca026ddd3b94f0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 24 09:46:53 2021 +0100

    pv: docs - note about use of $shv() in kemi scripts for shvset param [skip ci]
    
    (cherry picked from commit bcc6370cdc00f25ce3d0f29e168c20ca880dcda2)
    (cherry picked from commit 0c0d833aeeaf6a4fed91300189e2c4fea3f9afdb)

commit 72e7f024f6eb860e741751078bbc5f8d634e38a6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 23 17:50:23 2021 +0100

    core: comments updated for msg_send_buffer()
    
    (cherry picked from commit 9c2c4bafa0f0cd980b5867e7d4c0995255730f87)
    (cherry picked from commit d23aef79e6ecd6149b9a6db7a09dd467e92a5e4c)

commit 05a45ed1f82df89a468d1e9a97ebd64478294375
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Wed Mar 17 12:45:20 2021 +0200

    smsops: fix parsing of validity period
    
    - Validity period is present only for SUBMIT
    msg type and it is an optional parameter.
    For now supports only Relative VP format.
    
    (cherry picked from commit c4b1d0ab700ea03869114d08daa78ab6a6a56b96)
    (cherry picked from commit 5d47465d6791f6213994ae77089d1569a2ea0bf4)

commit 0b61cceecb9c257edadfec53497689195ba5819b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 12 15:30:49 2021 +0100

    presence: do not init db in dmq worker for in-memory only mode
    
    - GH #2642
    
    (cherry picked from commit 2b475553ef77f63cb444c34ad6c2df0ea237c88b)
    (cherry picked from commit 293e161fb8828310954ea37f522c2e0b526ac827)

commit a6c5f6916016d4952cbae7fdecb9512e97ead007
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 9 12:41:37 2021 +0100

    rtp_media_server: Makefile - removed unnecessary DEFS+=-DKAMAILIO_MOD_INTERFACE
    
    (cherry picked from commit 7532f864cb9698aff95b9023bc9ff6959a41fd3f)
    (cherry picked from commit 8248442af0d32ee4045590dbb8b083bad5416933)

commit 50eab0e12219ad1928428818ee8ab16cb3c34848
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 9 11:38:26 2021 +0100

    pv: handle missing fields (otcid, instance) for $banch() and $sbranch()
    
    (cherry picked from commit 0c4becd70428ef15be76fb0aa53932e5803c6bd0)
    (cherry picked from commit 50e9db0cd53381cec5e522777556adbb6bf1a039)

commit 1943d3e47da73638d6341695e26805a07d183ef5
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Wed Feb 24 09:56:44 2021 +0100

    ims_diameter_server: fix check for addAVPsfromJSON return code
    
    (cherry picked from commit 88d38bd306f595585af6e972ac529b40d7a93b58)
    (cherry picked from commit 532eedac63d0bd2b0c4c6b4f9557ac243b008376)

commit aa74795864d1846704caa113dcb9d8a0abcc425a
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Wed Feb 24 09:55:46 2021 +0100

    ims_diameter_server: drop cdp session to avoid deadlock
    
    (cherry picked from commit 84c342277f2a73196cb377476f2b80e6b4085e7b)
    (cherry picked from commit 0d4e6c8b7450823dfb8caa6baaa6ce08328b1af3)

commit 43485620bd3751a559718e25a27811180feb1771
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Wed Feb 24 09:54:47 2021 +0100

    ims_diameter_server: fix initialization of s_message
    
    (cherry picked from commit faf1edabf732af5a24ad0399098ad11e27b3a1ab)
    (cherry picked from commit 9fb04eb982ef4903801970981faff9b547258c32)

commit e1936024dd606d92520d3a26fc34abcd6efe6135
Author: Riccardo Villa <riccardo.villa@netaxis.be>
Date:   Wed Feb 24 09:52:59 2021 +0100

    ims_diameter_server: check response is not null before json conversion
    
    (cherry picked from commit 6968f1df9e9d3d66810df910d290f3d9368255fe)
    (cherry picked from commit beb59d4bf335c927d1224e02a67e81d2f530ca14)

commit 9b6d076e70ccd1b7b313c123081cae2aed69a1e9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 3 08:47:20 2021 +0100

    core: typedef for str_list struct
    
    (cherry picked from commit e1dc6dd6d9b206168f6da2929560ca6a64e1b41e)
    (cherry picked from commit 9de2eb8c4ef9d815be062d4f2c81db93129b520f)

commit 7a000808522c1b0da9b3bb24723900448a25520b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Mar 2 15:16:02 2021 +0100

    ndb_redis: add result check when reconnecting
    
    Reported and provided solution by @kritarthh
    
    follow-up #2461
    
    (cherry picked from commit f82a2563000361b6b1b12b4bb72b9a8ee4c62292)
    (cherry picked from commit 3945ea2b7e59a6d6385344967a24b7bcdfd5f307)

commit 44cf58293816bd802aed2725a15acbe2a392ccca
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Feb 11 13:26:49 2021 +0100

    pkg/kamailio/deb: restore python3 dependency of kamailio package
    
    (cherry picked from commit ab8e680e0dd3a8078d40b72c50d41db55d442240)
    (cherry picked from commit 864238f68588923ca60758251bd5f5ab3ac838fd)

commit ec4c507f32f691b0abed128c5d0803608835f201
Author: Juha Heinanen <jh@tutpro.com>
Date:   Thu Feb 11 17:44:19 2021 +0200

    Improved README.
    
    (cherry picked from commit 857e9deb4c2455ee2ea0c05446da54f97e1f0a63)
    (cherry picked from commit 0f4eecdca36e9fc3311175a354a2404367b1e2fb)

commit 32d5f65ad2bcf8c27f2abcf321ab2891c80317ae
Author: Wolfgang Kampichler <dev@kampichler.info>
Date:   Wed Jan 27 19:53:24 2021 +0100

    http_client: http_client_request to include default clientcert, clientkey,...
    
    - the lost module uses http_client API functions and in the course of NG112
      client certificates are used for authentication when querying LIS or ECRF,
      the fix allows these to be read out via http_client module parameters.
    
    (cherry picked from commit 7d5868ab1242eb8166e6af1bb8a21b39001df663)
    (cherry picked from commit 95e7399481e61ec54bb226c122c5617f03553b5d)

commit f7f85a97ec0f0b5f9c0f8486cfb13f10269fc8a3
Author: dvillaume <david.villaume@gmail.com>
Date:   Wed Feb 3 10:19:46 2021 +0100

    rtpengine : add node fallback if node out of port
    
    When rtpengine answers with error-reason 'Ran out of ports' adopt the same behavor that when node answers 'Parallel session limit reached'
    
    (cherry picked from commit 853068a26c34deff86e17b63f49abea2c8f4403c)
    (cherry picked from commit ee7838842a175ffb4898dade606377c91cc8ecb8)

commit 3bcbc75ffd69818ca6ce2491fc7aa7f7fb242927
Author: Theo <theodor.scherney@kapsch.net>
Date:   Fri Apr 17 08:53:00 2020 +0000

    tm: 200 OK not processed correctly by Proxy after final non-2xx
    
    Description:
       Problem:
          Forwarding of 200 OK while sent 488 waits for ACK, destroys the UAS send buffer
       Scenario:
          During suspension of 200 OK by ims_qos module function Rx_AAR() at terminating PCSCF,
          The PCRF sends an AA Answer with result code DIAMETER_TOO_BUSY (3004), which triggers
          the PCSCF to send a 488 âSorry no QoS availableâ to the originating side (ims_dialog
          module function dlg_terminate()).
          Afterwards neither the 200 OK nor the ACK(488) is processed correctly by the PCSCF.
       Solution:
          The UAS send buffer should not be overwritten during processing of 200 OK,
          because non-2xx is needed to associate the ACK message in a correct way.
          200 OK must be forwarded statelessly.
       Side-Effect (potentially breaks existing function):
          Some callbacks cannot be called for the 200 OK, to avoid messing the stored 488.
    (cherry picked from commit 18410da04c7f7bbc9628820427fedb92cf893526)
    (cherry picked from commit 31f8466f1d493db8baaa215d34d4ed4545d4ff79)

commit bc5970811dc23ea0a01cb437688da731e44cc57f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 18 21:31:46 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 9a381b67709d051c3451c7822443540a4e8ef45f
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Tue May 18 15:00:23 2021 -0400

    xhttp_prom: fix small copy/paste typo in documentation
    
    (cherry picked from commit 2967a41f5537df81745a71226ba9e793ccbdd453)

commit febeef975013eacc53e6b11766b7058f408282fc
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue May 4 01:01:32 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 09b510adbef121f94739d1fcf46bd92baf80ea77
Author: Ovidiu Sas <osas@voipembedded.com>
Date:   Mon May 3 18:20:05 2021 -0400

    siputils: update docs for encode/decode_contact functions
    
    (cherry picked from commit bf73b0d72177828e3c35f0fe318f7ef654c89b6b)

commit 00b6341b361bdcd07b6fa901a652850e3dcd67be
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Fri Mar 12 16:55:02 2021 +0200

    carrierroute: replace faulty warning mechanism
    
    - warning log for the same carrier/domain having routes with only 0 probability
    is now triggered through counting probabilities per carrier and domain
    - kudos also go to Huseyin Dikme
    - GH #2653
    
    (cherry picked from commit 087c00a276623adad6b87242bc58f7c0b4d8ff33)

commit 518da782dc580aabd7fcddc7bea06b65ac7db232
Author: Charles Chance <charles.chance@sipcentric.com>
Date:   Mon Mar 29 21:43:30 2021 +0100

    core: use third array element when generating totag suffix
    
    (cherry picked from commit 895208ebb0f999365ded50a9ecfc0fb2ed2b1e01)

commit 575298326cc2de40123262497dcc9baece74715a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Mar 29 15:01:37 2021 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit e3deee64670b9d4280a5fe53d449240793591120
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 27 14:43:05 2021 +0100

    pv: use unsigned for safer non-ascii bit shifting for hexa
    
    - related to GH #2690
    
    (cherry picked from commit c331e6dddb238abe5fc832ce3d3934fbe56ad2f7)
    (cherry picked from commit 7faaf17a532de7c2f4f781f3a33bfd8306458ca0)

commit ad4f9c76fc607bbd195eb612f1a4707c23ec0790
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 26 13:19:03 2021 +0100

    acc_diameter: init variables for safer cleanup
    
    (cherry picked from commit 5c48d437935e971482c9bbf41f067d120911e2c8)
    (cherry picked from commit 652c3fb55f94efee0c9d5b16f3f492ad8e771984)

commit 66a35ce02a1b68672dbd965e632877b8ebba3b15
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Wed Mar 24 16:12:13 2021 -0400

    rtpengine: fix typo in docs
    
    (cherry picked from commit 5cc888f0e9e305734621c0db1f63a47f2f0c381a)
    (cherry picked from commit ad6559f48735a9b369caad851bf87392a12dee9a)

commit 081407592b57b3704b4183ae6c2466e6f8cd60fc
Author: Miteshkumar Thakkar <mitesht@users.noreply.github.com>
Date:   Tue Mar 23 20:35:20 2021 +0530

    app_lua: Fixed error 'too many parameters'
    
    - Calling function KSR.secsipid.secsipid_add_identity() has six parameters, is giving error 'too many parameters'
    
    (cherry picked from commit 5460949614c92c7dbfb7f63274540500f2a69d5b)
    (cherry picked from commit d0f028b4f48fc6e55612ed43bc9160d2bf67fb10)

commit 1219a949663dd1e18499ec135e06fe0fe0ac149e
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Mar 22 19:51:32 2021 +0000

    nathelper: small spelling fixes
    
    (cherry picked from commit 46dee155ee10a2f11ecfd41b103f92752042c5ec)
    (cherry picked from commit 695439f128ccae4306730735eac7a9e8dd286eb9)

commit d011770220830454219518da7f586ff5990408f7
Author: Dennis Yurasov <dennis-y@yandex-team.ru>
Date:   Sun Mar 21 17:45:04 2021 +0300

    rtpengine: remove square brackets from IPv6 address for getaddrinfo function
    
    - After loading from DB rn_address is in form: [x:x:x:x:x:x:x:x]:nnnn, getaddrinfo function expect ipv6 in node argument without square brackets, otherwise, the argument is interpreted as FQDN.
    
    (cherry picked from commit 491d1261e04e09f13990d5062c21faca7eb32b37)
    (cherry picked from commit 3141310b5cd6283d1f7b1ebed3d7471fb0d03138)

commit d6a9148faff05125d06a3c7e6650ed758e051553
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 12 09:02:17 2021 +0100

    registrar: documented lookup_to_dset() cfg function [skip ci]
    
    - function available for long time, but somehow was not documented
    - GH #2623
    
    (cherry picked from commit 56cdf70ea008b5401bdd7d1824f15788f85fc6fa)
    (cherry picked from commit c6a07c6891fd14aa0d46d5b0d064bc45d41b1a88)

commit d37e5da02d1de9b1c39a890a4c4536dd0408112e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 11 17:28:09 2021 +0100

    tm: log message if starting cancel retransmission fails
    
    (cherry picked from commit afe84defa4ab391064c266e15f557415c5249f7c)
    (cherry picked from commit 5ae6e5222a65030d8e2fd313ca1da8c4dad12830)

commit 2710b7825ce4b74c7448575693c711cfabfb056a
Author: easyrider14 <stephane.houssin@hotmail.fr>
Date:   Wed Mar 10 10:54:25 2021 +0100

     cplc: permanent contact not skipped by lookup anymore
    
    - a permanently registered contact has an "expires" value of 0 in usrloc
      when processing lookup, cplc module checks that contacts are not expired by
      checking that the "expires" value of the contact is not lower than current
      time
      as a consequence, permanently registered contact are alsways skipped and
      never targeted
    
    (cherry picked from commit 525ee139abcb45f71bda42b417b5f8e75c12a622)
    (cherry picked from commit 631232a502de1e6ec60a72b4828ddfcaff57e805)

commit 0f10d2dee358ddf3dd4db9d1da6bff2eb1b3810b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 9 12:27:10 2021 +0100

    usrloc: adjusted rpc reply text when the location domain table is not found
    
    (cherry picked from commit d3a36ed6757eeda42dc32608a63b857ee9a67bb9)
    (cherry picked from commit a0a5b201041616d1df7f497eb4db7eb49b080f96)

commit 18024d670a28602080e1ff32fa266585478237e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 3 17:49:32 2021 +0100

    textops: docs - note about search() doing posix regex matching
    
    (cherry picked from commit 0cbee55284c4f4d5fef09a3185de31d04776e569)
    (cherry picked from commit 5a1c7faa6b72feaa71da383e5b19e6442a50b27d)

commit 34076bfe3a018a48addbfc5e4b017ac3cc9e842f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 2 08:20:12 2021 +0100

    xmlrpc: fixed error assigning to str variable added by previous commit
    
    (cherry picked from commit 4c6715b5e4a0938ece2937a787c6d2ed6e81a3d8)
    (cherry picked from commit 2c154f3cfaba97d9a97ca924ce17e01ac3519c74)

commit 3d4eb57841a07deb09e01afc214db9af3b13e019
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 1 19:14:34 2021 +0100

    ctl: handle null char* and str* values everywhere
    
    - not all cases were covered
    
    (cherry picked from commit fa0d2f05ad5124f6166a0384265a827187c6c83f)
    (cherry picked from commit 25c26de179f3e5081afb2f1ff063bc535a7cc06b)

commit 3458fe7b341f312079948f86a1f01e206a768507
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 1 18:47:42 2021 +0100

    xmlrpc: use <nil/> for null string values
    
    - XML-RPC extension listed at https://en.wikipedia.org/wiki/XML-RPC#Data_types
    
    (cherry picked from commit 17b9a6add82781f71b4d84da7c804e0e72c8b026)
    (cherry picked from commit e8c38b14f2cecaaf41468e52bc23e5b15aa5cf81)

commit fbf0e1eeb84f1bc3a66cc3f0f68d10f702c05c3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 1 18:16:00 2021 +0100

    topos: one more update to enable processing ofr 100
    
    (cherry picked from commit 620194165e0c6c27dfe9dbe382dc2e7b58be13b5)
    (cherry picked from commit a7442d19734a40c6b2f9df2d427216bf5631d3a9)

commit 068f5d10a97e5aa79a14ac74e9b6d604b572ce0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 1 17:19:03 2021 +0100

    topos: handle 100 response completely
    
    - it may be needed by other modules to be processed with all via stack
    
    (cherry picked from commit 80e812caf83a131c5f830b7d23de754136fd54f7)
    (cherry picked from commit 8ac768c9da3102db87a420b5a5bea8a960183698)

commit 0301ed59003aceb645a8f7c781596c69c86d927f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 29 09:56:36 2021 +0200

    ipops: proper handling of return code for ip to buf conversion
    
    - reported in GH #2695
    
    (cherry picked from commit 1d7d78c31eeab717c7013a00650d3cb07895bac8)
    (cherry picked from commit 8bd9404ff172671338a91a16aa04cbf8e22db501)

commit bad7d0aeb170b7a93787c3f60806d55e5bd97940
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 3 09:16:38 2021 +0100

    ims_charging: renamed str_list_t to str_htlist_t
    
    - fix conflict added by e1dc6dd6d9b206168f6da2929560ca6a64e1b41e
    
    (cherry picked from commit 1f751775525fdcdb5a75b45fbf451e2bef3696ec)
    (cherry picked from commit 0df03a96e9ed07ff1683690f95598bf44b87701a)

commit fe17b6f7117105a644b5888db0ffe308e4e6f510
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 24 19:09:35 2021 +0100

    ims_qos: typos in comments
    
    (cherry picked from commit f9c336aa9a78169cf9c7f3fd9bfcfd22218078fb)
    (cherry picked from commit c9a46eb88365add327b5d6f11f121c26a6230e58)

commit 7c9f6aeb7f7bbaad68a14252f084b3348ff0f5ec
Author: Piotr Gregor <piotr@signalwire.com>
Date:   Wed Feb 24 08:20:14 2021 +0100

    kamdbctl: typo in log message - core tables successfully installed
    
    (cherry picked from commit 571fe52f4ad0cf5ceef98fb2d77c2711f3692c28)
    (cherry picked from commit 68ec1e125e5069160696c8a634cac43e14d35ddd)

commit 77a8514ee2c459579b706078237d134b8e0db15a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 23 11:32:21 2021 +0100

    ipops: use local ip struct for internal resolving
    
    - static structure from core can be overwritten on subsequential use
    - GH #2645
    
    (cherry picked from commit 2ce244825bf7bc38f145699209ef7125ae5480d0)
    (cherry picked from commit 47b45b60a037808a675f7d52dd5b2ee80bfe0868)

commit 856c5632011480b1281bb5f6ce8ebd6424c7d524
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 22 11:29:39 2021 +0100

    jsonrpcs: use json null value for c null char* or str*
    
    (cherry picked from commit c48e409b741821fa470788b3bca0ead32e4d6efc)
    (cherry picked from commit 3632d39b557d2b926ccfce4fd83b4c16568e6ee1)

commit 55689451b6902f6bcd61e3eaf5221d5902f28a6b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 17 14:07:43 2021 +0100

    core: early detect of empty host for check_self()
    
    (cherry picked from commit 6863cb8b0253c641146633bd063575a53bc6a466)
    (cherry picked from commit 5b6a77222eca4e927480ed7b18e7f233e3fdf822)

commit f78d112e7c7e03e0c9121b9f34471c4e16eae4f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 17 12:15:55 2021 +0100

    rr: catch uri without host part when matching local addresses
    
    - can happen for tel or urn uri
    
    (cherry picked from commit 81cd9c5d6934392cafd4b73541a19dbfa4b553f9)
    (cherry picked from commit 908acb8f0995d10b1ed9334fc7b81166b14ab8cc)

commit 17af137c8ce2112387b6e356bbc479703b92df16
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 13 20:59:30 2021 +0100

    pv: proper transfomation name in the log message
    
    (cherry picked from commit b4d1def5d8a5ffaddbd87708d8dc99f0f5f8853c)
    (cherry picked from commit e8595172d317b03a335bfd7c29fdf09d2e6da8b5)

commit b2b0979ab435c82ea2dc9ba6e2552e3bdf3d1d5a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 11 17:32:45 2021 +0100

    htable: docs - not about use of event_route[htable:mod-init]
    
    (cherry picked from commit e0dcb1617bedf13cc3fc76cf7f3b5cd516806bc8)
    (cherry picked from commit e0461d1c4026dd2953e4352bea0586419980180b)

commit 7898de48fe58b3a17e846ba7b8e4af615f0b2943
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 11 10:27:20 2021 +0100

    core: cfg.lex - do not destroy action if pre-fixup fails
    
    - params might be in inconsistent state, shutdown is triggered which
    cleans the pkg anyhow
    - GH #2630
    
    (cherry picked from commit dddd530ed9fa7b6ca8b31ff299105a53c39c1a5e)
    (cherry picked from commit 38dd7fd703f043c51756df936abc56103c891545)

commit 5030d4f7e066222e88813cf89ed387eb007e4e29
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 10 16:35:09 2021 +0100

    tls: fixed small typo in log message
    
    (cherry picked from commit 3c1a454a1ac4fe8e668f709d3e278bbce59c51d3)
    (cherry picked from commit a36805a26aa84e865ba18260d94587be44688883)

commit 5d34b8e4cc025c8b1bceee9fa066b9a73ccccfba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 11 09:14:06 2021 +0100

    app_python3: handle deprecated PyEval_InitThreads()
    
    - https://docs.python.org/3/c-api/init.html#c.PyEval_InitThreads
    - GH #2626
    
    (cherry picked from commit ca37f9247ecb6754fbdbd210fc59158bf0f32def)
    (cherry picked from commit f9f33d37f80003836cf87338a4dd96b1b4614c22)

commit ac05b82e8036b14423652b3bee2b347e898d281a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 4 14:01:52 2021 +0100

    kamctl: added srv debug subcommand
    
    - control server debug level via rpc
    
    (cherry picked from commit 6b5aa70f09e294338a65a0bf2fcae8b92fdc6fae)
    (cherry picked from commit 3027f8b9daed5ca4f36d0779cd6f79e596bf42e1)

commit aee753d522088c09620e73872d5b18adfd8d6f6c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 21 10:00:46 2021 +0100

    kamctl: use param evaluation mode for cisco restart command
    
    (cherry picked from commit 359050f9be40002aec1d3894dc43a2a8762ce8cc)
    (cherry picked from commit b8a7d2bfd1118d556c9e46dcab97fbcb45fa6187)

commit 577f8b9b8bb3920be739f940d0a1c8ee77933df0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 19 07:49:24 2021 +0100

    kamctl: use tm.t_uac_wait for ping command
    
    (cherry picked from commit 20d075a17189961baf63ac000e4417d7f04d8a08)
    (cherry picked from commit 6769d44cfab686824a6b077bc8cbb4a347fd3356)

commit 0761382626bb4c8882c7fa5226e6380abb7e884f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 18 10:19:05 2021 +0100

    kamctl: option for rpc command to replace tokens in parameters
    
    - supported now: replace '=CRLF=' with '\r\n'
    - fix 'kamctl ping' command by replacing '=CRLF=' with '\r\n'
    in multi-headers parameter
    
    (cherry picked from commit 1c66f6a1a5d04c33f1912609a36729b06b6eebd7)
    (cherry picked from commit 9b5eade1faa8deeb3fcc8f9cb010f803c17ee309)

commit 82476273898615f278ee209c65ad2beb67ac281d
Author: Paul Komkoff <i@stingr.net>
Date:   Mon Jan 4 18:18:01 2021 +0400

    core: fix unused argument in socket_info.c:get_flags
    
    get_flags has an argument - family - which is supposed to be used
    in netlink message, otherwise why would we need it?
    
    (cherry picked from commit 42f7702430c312b2c9caea8f617af4e3719ef12f)
    (cherry picked from commit 23000a3ab3d88419d4f0ac797aae201a22f0e1fb)

commit 14fd3f6432e1385be78022c21f0f666e85e3b8a0
Author: Paul Komkoff <i@stingr.net>
Date:   Mon Jan 4 18:13:28 2021 +0400

    core: work around interface enum buffer overrun
    
    When a system has too many interfaces and too many addresses,
    8 kilobytes isn't enough to fit all of the netlink responses.
    As the result, kamailio gets stuck in a loop where it tries
    to do a 0-length recv.
    
    Increase the buffer to 32K. It's a miniscule amount for modern
    times anyway. Also, add diagnostics to make further troubleshooting
    easier.
    
    Proper fix would be to switch to libnl here, which would make a
    good weekend project.
    
    (cherry picked from commit d2fd204b0ae35512a04702e480bb0d16878e98be)
    (cherry picked from commit 252b0dd2d778c15ac6e96c7c415296619df3dc3e)

commit 0d2edc1871aa8bf163e50612ded26682940c2cc1
Author: Dennis <dennis_y@mail.ru>
Date:   Mon Jan 4 18:35:44 2021 +0300

    rtpengine: fixing wrong parsing the pair of IPv6 addr:port (#2592)
    
    - fixing wrong parsing the pair of IPv6 addr:port in rtpengine module, when loading node information from database.
    
    (cherry picked from commit 13d786e33d6f04a718af40ba345cf0827f752c2f)
    (cherry picked from commit f64d41efc8bf08daa8f4a36cb81d4620bea2b367)

commit b3623ff5cf1eed58b0af9f0ed85b615331aaf55c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 22 20:33:27 2020 +0100

    core: info message made dbg when adding a subst expression
    
    (cherry picked from commit 80b3d5d036da493316a93594c770df1ef8218e5e)
    (cherry picked from commit 0b98ddb1ea04603851ce581a69111581a1d30a67)

commit 9758c88a12cf08edf2f18ae71e139521e1773cb4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Dec 19 15:34:05 2020 +0100

    core: kemi - KSR.is_method_in() uses E/e to match PRACK
    
    (cherry picked from commit b04111b583b454b12ea0c6a265a14858c195b213)
    (cherry picked from commit ff5283b156f6aa934bd5f621537427d9f2b31b1d)

commit a9b4ef9e6267f9f69b4f3903c71280bb31d582c3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Mar 23 11:30:18 2021 +0100

    http_async_client: fix build with older versionss of libcurl
    
    * CURLPIPE_NOTHING was introduced at libcurl 7.43.0
    
    (cherry picked from commit d82d95a824d6f8a6c0246b78ac6642d4d6fed9e1)

commit 9d24f18fd529152d0a5ef4d0aed27bc488928be9
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Sun Mar 21 17:50:01 2021 +0100

    http_async_client: disable HTTP/2 multiplexing

commit 993da649f5f6d7467bf641598e60dce35992b361
Author: Stefan Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Wed Mar 17 14:05:18 2021 +0200

    siputils: fix undefined symbol ruri_mark_new

commit 9c6b822b4e9b297c497cec241b257a177ca804b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 16 09:37:14 2021 +0100

    siputils: 0-ending value on deconding uri
    
    (cherry picked from commit 735911fcced21eb5c66393045bc143bd953d08bb)

commit a6fa3dee5b1642e3285a1d92c890bff39810e804
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 16 09:37:58 2021 +0100

    mangler: 0-ending value on deconding uri
    
    (cherry picked from commit 3b038ed6761a5818441a7610a8305491aa358377)

commit a9ce71b9372e9aa8ddc921495f6b97534266a8b6
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Feb 2 12:36:17 2021 +0300

    pkg/docker: updated submodule [skip ci]

commit e6f3ae3bcf6b8e2614e7090491ee0320f3cef448
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jan 25 14:47:12 2021 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 1134ea5c0562ca66d09c1e5a9f3288b77dd19387
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Mon Jan 25 08:37:26 2021 -0500

    tmrec: fix typos in docs
    
    (cherry picked from commit 8be74b2fe0f59a9cef472b781feeae4cf3357bea)


===================== 2020-12-21 Version 5.3.8 Released =====================

===================== Changes Since Version 5.3.7 ===========================

commit cd35b9440e3bf1f4509cc3d481846addf9236774
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Dec 21 15:47:14 2020 +0000

    pkg: set version to 5.3.8 for packaging files

commit 05d4d530d56ddad05103b222d734e0429ca3457b
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Dec 21 15:46:56 2020 +0000

    Makefile.defs: set version to 5.3.8

commit c67189205cad464cb8480c9883cfaa6531062fac
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Dec 21 16:46:54 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 70aaf931cf24738b6909721405657f251124c9a9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 18 08:18:51 2020 +0100

    http_client: docs - section title to get proper entry in toc
    
    - bits of whitespacing fixing
    
    (cherry picked from commit fadc0fc499fb57a763aa71a76b24cff152bbd927)

commit 8283f280977a5edc8973028a05d70d0b631026ac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 17 14:54:04 2020 +0100

    dialog: handle CANCEL requests for CSeq updates
    
    (cherry picked from commit fd35a1a4eee2c50a3b7bf4ee6b1f6f20f4fa7d62)

commit 03505654c7ecd4b0e026a561d36ca2c04d5a2535
Author: tsearle <tsearle@gmail.com>
Date:   Wed Dec 16 21:47:11 2020 +0100

    modules/siptrace: fix regression preventing variables to be used (#2588)
    
    * modules/siptrace: fix regression preventing variables to be used
    
    Commit fa7eb2a switched the 2 parameter version of sip_trace from
    using the builtin fixup_spve_spve to the custom fixup method to
    using the custom fixup_siptrace. As it is a custom fixup method,
    the corresponding free method can not be auto-detected causing the
    config parser to require the parameters to be a constant.  This
    patch adds a free method, allowing variables to be once again passed
    as the 2nd parameter of this method (as well as fixing a memory leak
    for the 3rd parameter).
    
    * change free for parameter 3
    
    Co-authored-by: Torrey Searle <tsearle@voxbone.com>
    (cherry picked from commit 7c98d547996637a7bf1c7025c93142f574fe3ac9)

commit dcc0b84d12d2a8591e91019cd62604735140d7bc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 16 20:54:57 2020 +0100

    http_client: do not set empty headers and body
    
    (cherry picked from commit ce58411c462231d6ea1fc3b4acbf50520c2962ce)

commit b0c05e51d2fdfba36cd1e023a9d44e7b1f5218bd
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Dec 21 15:29:49 2020 +0000

    Revert "kemix: exported functions to get socket string and name"
    
    This reverts commit 6f6dda289c5c26a3098cae0d8df37e6bc51e1ac1.

commit 65b9c2d085f8d0b2f73fc948f185f59800894e59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 10 17:04:31 2020 +0100

    dispatcher: info log message when adding extra weight or rweight percentages
    
    (cherry picked from commit ba27633ca22bcfc18fd4bb7d62c2f5bb32e56962)

commit 4bc84f40b0fe7e9a654a1d24ee190fb7e8073b7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 10 16:34:28 2020 +0100

    dispatcher: check weight value to be in expected range
    
    (cherry picked from commit e00f610203fee957a22afc5f8103c1482a925138)

commit ef4bb80111a3eb8e7741a814ae3b113cdca448e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 8 13:07:44 2020 +0100

    core: tcp - log connection state and flags on debug message
    
    (cherry picked from commit 41040a0420ee48f51901bf32e29526c8948ecea0)

commit 7d2fc9e4e480fb811983212136938cace93d2e2f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 8 12:50:56 2020 +0100

    core: tcp - debug messages merged, print bytes read and flags
    
    (cherry picked from commit efb9c5f83b37c316b848ae7b6dc829e2f8ca6275)

commit 6a4e6784dd787f3c33af8907771c023dd7fe5019
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 3 13:15:52 2020 +0100

    tm: check end of header name in lw parser
    
    - proper identification of header type, prior could mistakenly set the
    type by matching the prefix of long header name
    - GH #2572
    
    (cherry picked from commit c0f5382bfbd2022896a9b206967977f827517700)

commit 7465d23be7b0e9f27dc4f95c99fba7fd1a996345
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Dec 2 09:45:48 2020 +0100

    auth_diameter: init variable and check before freeing
    
    (cherry picked from commit 04dc5d6c66c85d0d411aa23b27bc6be00258eff6)

commit 5c685f3d3d091dfd56fea5cb2ae76682c49de671
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Nov 29 22:54:24 2020 +0300

    lost: removed extra `"` symbol in example
    
    (cherry picked from commit 124499c12db185d85805e5c71d5cc4222e608b68)

commit f21627f0e24c5717ca29198a1c8f4575e7f071ee
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Nov 27 12:22:52 2020 +0100

    ndb_redis: set message level to debug on reconnect
    
    * logging error makes no sense here since there's going
      to be a reconnection afterwards
    
    (cherry picked from commit 98805c723fbe01556e56d5b00ffc686b92014847)

commit 91d4c181c5472c9e1d1727c74e7e63729c059e23
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 26 13:54:42 2020 +0100

    core: check if the tcp clone rcv buffer is set when applying changes
    
    (cherry picked from commit aa13720e5d78dde5ae5235c13399848cb8f5a0cc)

commit f7e7c3501a79415ff12ae77b5428a88ab70d65f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 25 18:09:51 2020 +0100

    dispatcher: removed unnecessary return
    
    (cherry picked from commit 721d533317c735d7ddbd16ad94684b483468c010)

commit b4f83c8001569c99582eb3f9243308334af3f00b
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Nov 25 15:28:40 2020 +0000

    tls: log version, gh #2561
    
    (cherry picked from commit c9f0adddde8321bfaf368691fea74079e40bd789)

commit 6f6dda289c5c26a3098cae0d8df37e6bc51e1ac1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 23 08:15:34 2020 +0100

    kemix: exported functions to get socket string and name
    
    (cherry picked from commit b59204eb1df8c85bcdde65f2a840f55986f01223)

commit a76f06eb010765216450bd78bcc1040aa9902280
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 20 08:12:18 2020 +0100

    kemix: exported function get_rcvadvip() and get_rcvadvport()
    
    - return advertised address and port of the receiving socket
    
    (cherry picked from commit 070a9c042a1caf19162d3d97b26f8d7548747cbb)

commit 1f5bd88fd60f98e36fd0b59b54398a221aa24432
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Nov 20 08:02:37 2020 +0100

    misc/examples: note that sr is exported by app_lua_sr
    
    - hint for lua syntax check
    
    (cherry picked from commit 889431746d24c73eeff73705fab36a0e154116a9)

commit 7cecd70c29bd5e0b8fa918ad99b016afc68e42ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Nov 19 17:06:06 2020 +0100

    tm: proper fill of From/To URI/tag values using parsed structure in t_uac_send()
    
    (cherry picked from commit aa6e9963b2725c1b6b7e5ff995a77c222d95fa3c)

commit 41761ed5d158ab59ef51aca11a849ce7b8194de9
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Thu Nov 19 15:39:13 2020 +0200

    smsops: fix len calc for a concatenated sms
    
    - fixed the calculation for concatenated SMSs
    based on TS 23.040, Sec. 9.2.3.16
    
    (cherry picked from commit d90f29b3b03386add989aebe3865bdc78dff8fbe)

commit a9a35d0ba6e6f55a7788bf8cee945b7d9e3c4f9c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 18 14:14:48 2020 +0100

    tm: print ruri mode in debug message from t load contacts
    
    (cherry picked from commit 3214ecd8ee82d1b69cde57d96dddefe1301c190c)

commit 833e3d0f9bbc2e4e00c662f4927ace96ddb739d2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 18 07:55:44 2020 +0100

    dispatcher: test no-dns flag to skip ip matching for hostnames
    
    - no dns done at startup if the flag is set in the destination record
    
    (cherry picked from commit 1c58b8e0ed221404a15c1426f40df167654e3860)

commit fc91871294ff7d23fadb642550122e15c781f61e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 17 12:55:17 2020 +0100

    drouting: give portparameter set to 0 to sip_resolvehost()
    
    - enable doing SRV query, GH #2553
    
    (cherry picked from commit 18f59c10582845da5eea280990daf19c804978fb)

commit 63022e0d95500e5da0d1a7cc4d14ced6e3e2604c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 16 10:06:20 2020 +0100

    jsonrpcs: exported dispatch() function to kemi
    
    (cherry picked from commit 08a9ed3d136c861f990e4f63c2c0544e08d9078d)

commit 164c4f1523d8400b84a4359b1e15d5633a9acd97
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Mon Nov 9 14:37:26 2020 +0200

    core: added missing field in sip_msg_update_buffer
    
    - added a missing field in sip_msg_update_buffer()
      when restoring message fiedls: msg->pid.
    
    (cherry picked from commit 57be5c1f33344275c15777a7927d9c48df4a69ba)

commit 0b09dd1f5453f66684053f5b3ea3d2c98ce9923b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 9 13:10:43 2020 +0100

    sctp: memcpy field data to avoid unaligned access warning
    
    - GH #2543
    
    (cherry picked from commit 4bb099b046939b85e1827b804167a51ef4bc00c4)

commit 6e7858b0b1837bfa17fb374f01b3ad2125cac180
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 9 12:31:24 2020 +0100

    http_async_client: include poll.h instead sys/poll.h
    
    - according to POSIX specs
    - GH #2543
    
    (cherry picked from commit 8f30c75cff7787a39f7c934e00e933b1beb43c20)

commit 580afabee9f76f1e37b09b1f7b7086c61df5412f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 9 12:13:51 2020 +0100

    core: init origproto to fix compiler warning
    
    - GH #2543
    
    (cherry picked from commit ef3233d14080936486d09edbe9598d7d92bd2f33)

commit f0732ee99ee486a71790b2ce4419ba1cad654592
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 4 11:15:10 2020 +0100

    dialog: skip doing cseq update processing for non-sip requests
    
    (cherry picked from commit 960b60ede8543f38b61ad2769e81e11d5a777df8)

commit 8cc9193404e7dac358e96fe8b9dd744ed84f0b47
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Nov 3 12:49:33 2020 +0100

    exec: debug message when command returns non-zero
    
    (cherry picked from commit e9eee1ead964992a2d81014709755bbfd1e995c9)

commit b37aa273da9c35561378acacf7922904265713cc
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Dec 1 18:00:39 2020 +0300

    pkg/kamailio/obs: updated tmpfiles
    
    fixed removing of kamailio_ctl and other files
    
    (cherry picked from commit 468ec8f26ff8496bdf62a7bfbbb1b1e2e3452c0f)

commit 3a9ed0aab93d8fd04c33a35eec10481c1b699611
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Nov 27 19:16:44 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 93ad3b9ed017f00984ef241a90186b4dfdab2728
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Nov 27 18:01:50 2020 +0000

    Revert "rtpengine: add CRC32 hash algo (#2558)"
    
    This reverts commit 0bff74a16bb991ffe8c6690133414c5c9126bd1f.

commit 19ac8252b08521e79cd7c6608ac38bdf3bad767a
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Nov 26 08:16:58 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 0bff74a16bb991ffe8c6690133414c5c9126bd1f
Author: Stefan Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Wed Nov 25 19:20:52 2020 +0200

    rtpengine: add CRC32 hash algo (#2558)
    
    (cherry picked from commit 10349080490faabffaf1ab7cc5d591678b8c94dd)

commit c16b3f7e7fe6646ea84bdfc32e4130eeac6b39e5
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Nov 9 00:19:44 2020 +0300

    pkg/kamailio/alpine: packaged app_lua_sr module
    
    (cherry picked from commit 6782b2c1789f162b405ec0b9894f61075a4307f9)

commit c64c264c84a12b66aa77e088306fe9914c08d558
Author: Guillem Jover <gjover@sipwise.com>
Date:   Thu Nov 5 18:34:43 2020 +0100

    sl: Fix 3xx stats RPC marshalling
    
    The struct_add() method was getting 4 values but only 3 "d".
    
    (cherry picked from commit ac55cc5ce5fcbb50d3a2a6b228585dce8fc1150d)

commit 5ffe28d4b83b1a75b1706bd851b76575b3d09c45
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Nov 4 08:09:39 2020 +0100

    dialog: proper to-tag check for initial requests to skip cseq updates
    
    (cherry picked from commit 81d3e7a43a249dfc9eaa075c698e1eb3237a517e)
    (cherry picked from commit 5bd72f2758b2059759ce152e6d97b6a1955bc5bc)
===================== 2020-11-02 Version 5.3.7 Released =====================

===================== Changes Since Version 5.3.6 ===========================


commit e002b0bbc25883e09f7236f87dba5546a2ca0460
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 2 13:22:01 2020 +0100

    pkg/kamailio/deb: version set to 5.3.7

commit 7e1f1182b6d05391c1a4080ae815a3c98a294045
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 2 13:12:36 2020 +0100

    Makefile.defs: version set to 5.3.7

commit ff07256aa69806f41e44853ddb0c10bd7e0c22e8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 2 12:47:12 2020 +0100

    pkg: version set to 5.3.7 for rpm and alpine

commit 50859d1969f92166b8cc45241aa51695368cf352
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Nov 2 09:27:41 2020 +0000

    dialog: small spelling fix in debug log message
    
    (cherry picked from commit 1640569d02420e0c0d0232fc825354d1f09784c8)
    (cherry picked from commit e27c128abebcb06d1383a909ecfd21bcb4ca8026)

commit c99f611e08bbe4f41d291a7055a54ff12c9b0557
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 2 09:04:46 2020 +0100

    dialog: skip non-INVITE initial request for cseq update processing
    
    (cherry picked from commit a973882b064c758972ce40e9ac3a83440c613be1)
    (cherry picked from commit a309a0ee48278923871197391a30d485f0513a4f)

commit fec844e0f77bb96779c8380f40d8a842ec63a571
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 30 15:01:35 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit fae5956c5183576947ce97bb9941e2c79645eb78
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Oct 28 10:32:50 2020 +0100

    dialog: update internal_get_dlg() after 0bde3ca changes
    
    - keep also direction value for no-totag dialog
    - reference and unlock only when returning, related to #2494
    
    (cherry picked from commit 98436c73e8519e96e3d167b7610cbb58b9939885)

commit 0fcfc1b3a9598cfb8e66c780fdaf453af3349b45
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 13:36:36 2020 +0100

    core: parser rr - clean partially cloned fields in case of error
    
    (cherry picked from commit e4f6c660bd75cdb9ff0855fcb511673cc8ec00c4)
    (cherry picked from commit e3cda7fa4e873c110ee2641f6200fad52222586a)

commit 675ac0d1afbefd56abe063a0408479b62d15a49e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 13:06:53 2020 +0100

    regex: use var to store strlen() values
    
    - avoid doing it again in a few cases
    
    (cherry picked from commit 5d490d616132067a5e914302a24b964b73b229a2)
    (cherry picked from commit bd2204b7151261981bc6872928b7434e2ac7df2e)

commit dc582f3186e7a3fa6bce96ddb27240922da20201
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 10:53:24 2020 +0100

    textops: docs - some enhancements to basic header operations functions
    
    (cherry picked from commit 374f0f05bdf27ddaf5d8652560738fbfb886c43c)
    (cherry picked from commit 7cd88cf05f25a5a5883d936285ac51f82911e9af)

commit 7eadc9f45b32181ccb00385a8520ae9ce6e627ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 08:15:10 2020 +0100

    alias_db: clang format the code
    
    (cherry picked from commit 3dca5cd2c7f018189b6784a7e87807df1de7589e)
    (cherry picked from commit aa0573d2afa3c1a0afa76b8fd1e0de952c487a01)

commit 3460b6b0a35919b01a6371aa678c642730b7352a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 07:52:49 2020 +0100

    alias_db: removed history from top comments
    
    - missing copyright header
    
    (cherry picked from commit 7ae0caaffd3d6e523fd32501401213521a1881e5)
    (cherry picked from commit 5114cc77cb61744843ed8b535d9804fcdf61e635)

commit c2608157108fe46231269515b8bb8ddb53d82662
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 26 07:42:10 2020 +0100

    alias_db: set ending zero in a single place
    
    (cherry picked from commit dc1bb5b1861de279b450ab550888dd748b77463f)
    (cherry picked from commit 83005d4fafd5d055e4125a83c24d1c6cd0eed058)

commit fda40721c90314694cc799238323cdb70ea9bf2b
Author: Alex Hermann <alex@hexla.nl>
Date:   Mon Nov 13 16:48:30 2017 +0100

    tmx: Allow $T_branch(flags) in onreply_route
    
    (cherry picked from commit d161d4523fc6b0619defe918bc204cc7a9cae073)
    (cherry picked from commit dc2336f541eb27d0a034f4c72a26c40270cfea70)

commit c25035409c1f03c2f6fd24dd5f96eb28db5f3099
Author: Alex Hermann <alex@hexla.nl>
Date:   Mon Nov 13 15:50:20 2017 +0100

    tm: Fix faked_reply_prio by passing correct reply to get_prio
    
    Instead of passing the to be evaluated reply as the "best" reply, pass the
    actual "best" reply.
    
    (cherry picked from commit 5731cc0911ff65bf7efd433a83a25ffbf6073d10)
    (cherry picked from commit cbd9c3d2851ece3c8f08b0664b72fca18f6f4f77)

commit 52789f4a0c2cbebd9c09d35e54267f8fc26c4848
Author: Kristian F. HÃ¸gh <kfh@uni-tel.dk>
Date:   Wed Oct 21 11:21:43 2020 +0200

    utils/pdbt: Relax permissions when creating files
    
    (cherry picked from commit bb42ee28fc115e1e3373962c02162c9a8e6d41fc)
    (cherry picked from commit 071fe9366b3cc14f0cce1aa0373d20a0242182cb)

commit 5add3307469136d792c0bcad29356d947c3ae128
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Oct 20 11:04:58 2020 +0300

    registrar: added note about branch flags in save()/lookup() doc
    
    (cherry picked from commit f2996bf733a0b5e00fe124440353b9a69a3532a2)
    (cherry picked from commit f050ce2dc5f27a08bf5c5364e4002b646802eb81)

commit 599ecd66399daca786c065ff49d76537ffd619ac
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 19 11:01:12 2020 +0200

    permissions: exported allow_trusted() to kemi
    
    - related to #2509
    
    (cherry picked from commit 843b22b4efb0d343f13230d6e90d2484f370dbdb)
    (cherry picked from commit 12ebd41d0dae516f39933eeabcda1919cb10b71e)

commit c9e547b7a967ad3215814cef62c8cba199e04960
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 19 10:09:59 2020 +0200

    pipelimit: use unsigned to compute size and for iterator
    
    (cherry picked from commit 23818fb34d09a487654ea89c9f29b880c0c75197)
    (cherry picked from commit 550840b4b9ce8df9acdf875f907ce86533fea43e)

commit 2a3b8d43923fc49fa9095e20c6e3cfb6cf5516e1
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Sep 11 10:51:23 2020 +0000

    pkg: add CAP_CHOWN capability to Kamailio systemd service files to allow chown (#2391)
    
    - add CAP_CHOWN capability to Kamailio systemd service files to allow chown
    - needed e.g. for user and group setting from jsonrpcs and ctl modules
    - related to github issue #2391
    
    (cherry picked from commit 8b72f462deb4b66fb55f754abc93bf7295278afa)

commit 5a44ad2cc57b435fbd7251c0ad078745621c81da
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Oct 24 12:08:20 2019 +0200

    pkg/kamailio/deb: allow group write to RuntimeDirectory
    
    (cherry picked from commit fe693cc1178a9301cdb0be3941d9c70d720920e5)

commit 5203503bad2f035012c47887bf35d6b3eeef1873
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Oct 28 20:31:33 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit a38403ca6633b5944acebca245d5d64511a4cbca
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Oct 28 19:02:33 2020 +0000

    uac: extend docs for uac_auth() example, only t_relay() on success
    
    - extend docs for uac_auth() example, only t_relay() on success
    - otherwise you will get a 'no branches for forwarding' error from tm
    
    (cherry picked from commit 668402e77c19ba4b5b8fc5b6c869ffbf34ea622d)

commit d23bbb5917fcd7ca51990e7dfe31dcf55d674247
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Oct 28 18:08:59 2020 +0000

    uac: do not silently fail on realm lookup error, at least log with INFO
    
    (cherry picked from commit b6c10c8181d670a81a7d1216c7e6ec81c0963e9c)

commit f47e3f58fc3ac82497391f8c859d03aaaab7f8ac
Author: Paris Stamatopoulos <paris@forin.gr>
Date:   Fri Oct 23 23:57:49 2020 +0300

    auth_radius, misc_radius: Adds VENDOR() definition if the freeradius-client.h does not contain one already.
    
    (cherry picked from commit 9978e00405cac89cc65d2d8a863128dd2814d7fd)

commit f641fe53fdbbd54db8ef136ec2425d7624e50173
Author: Stefan Mititelu <stefan-cristian.mititelu@1and1.ro>
Date:   Thu Oct 22 16:54:01 2020 +0300

    textops: fix append_hf function
    
    Before: append_hf adds header after first header occurance
    
    After: append_hf adds header after last header occurance
    
    (cherry-picked from commit 4adea97a4f8a9b35273d4d28b0518964abb7f0d8)

commit c0d6a0412828fa6cb054a0a38b054b88b7176f79
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 16 14:16:59 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 4d14557ec31d398cab86fb67ffa14761c08bb5da
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri Oct 16 12:41:00 2020 +0200

    nathelper: docs - fixed typos

commit cf059807071d4ecfe9bd1d288d81c96c67e4bab3
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri Oct 16 12:32:45 2020 +0200

    uac: docs - fix missing uac.reg_remove method

commit dbaeb966f46587e5d1e04683cddcc644c20027f2
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Fri Oct 16 12:36:13 2020 +0200

    core: fix typo in comment

commit 83f562f0f0f2336e3cd26e54b5f337621775a6df
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Oct 12 10:46:32 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit e58632eced11ac5f9a2a1693cd84ef9bc3508ebb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 6 12:59:50 2020 +0200

    rtpproxy: renamed extract_mediaip() to rp_extract_mediaip()
    
    - extract_mediaip() is also in core sdp parser
    
    (cherry picked from commit 8d0044770e94eaf7099eabbb55abe177e52e5373)
    (cherry picked from commit eec7d2613489613725b8979ce3d00d6616bb80c8)

commit 97d3d11dbdb736010e9e6f563a9cee58731e0e41
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Oct 6 11:56:45 2020 +0200

    nathelper: renamed extract_mediaip() to nh_extract_mediaip()
    
    - extract_mediaip() is also in core sdp parser
    
    (cherry picked from commit b0f239a2c16b71b8b7e7b325ea121ffc48afa78e)
    (cherry picked from commit a989f384b5cb95e096e89899c57d8f11283b12cb)

commit 432bc89a963a1e71a107e6f73d103a6bbae02833
Author: Arsen Semenov <arsperger@gmail.com>
Date:   Tue Oct 6 11:40:27 2020 +0500

    nathelper: docs - updated notes for fix_nated_sdp. few typos fixed [skip ci]
    
    (cherry picked from commit 64579fee33d0a82a583b75184f78fcb7c9df2d82)
    (cherry picked from commit d5393ffd76cc37e98365d7b945454e0215d9f82f)

commit 4c17c00ba53275308490cd7f6994c8f1785d3a53
Author: Arsen Semenov <arsperger@gmail.com>
Date:   Mon Oct 5 13:52:45 2020 +0500

    nathelper: fix_nated_sdp added support for a=rtcp param RFC3605
    
    - GH #2459
    
    (cherry picked from commit 088738ce16e73339e4c1b78c11f6ad6f8f3394cf)
    (cherry picked from commit fd4dd36319599867e590098d86dc37186595cfad)

commit 1eecbb239cce980cebd9e3853cc4e06fb5dd2da9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 2 21:37:15 2020 +0200

    phonenum: note about the role of country code name for phonenum_match_cn()
    
    (cherry picked from commit dfd6c3966ed70d111a9196076bc29767c395d814)
    (cherry picked from commit 755867b920e4e0d17a4bdf447a0d59a06875f8e1)

commit 3c3e3f48c28167b68a572d2136dd41d417fb504a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 24 10:04:08 2020 +0200

    core: dns cache - removed disabled code between #if 0 ... #endif
    
    (cherry picked from commit 298aeb7f93bfa75ec78bc941f2c76167525b2e61)
    (cherry picked from commit 75cb64a768d187baf5730067503a708959284827)

commit 31ac72f9b43862f9005a0f691a52c8439fe1e8c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 9 22:15:12 2020 +0200

    tm: do not add duplicate headers in local requests
    
    (cherry picked from commit ada3701d22b1fd579f06b4f54fa695fa988e685f)
    (cherry picked from commit f57c900b438f3233fa1e9a9d3ca8cd383a30baa6)

commit 147fd7fc5f3d2495b00961b407ca9aca38040a30
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 9 21:59:49 2020 +0200

    core: parser - print lenghts in to header parsing debug message
    
    (cherry picked from commit 2648eb330b133a20f1398d59a28c53532106cad3)
    (cherry picked from commit 6e2bdf1056e3a31f1ca1f485473fcd26f9ccf044)

commit 5d5dd676d299a27f14c6079b497cf1ae311909ce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Oct 9 21:55:45 2020 +0200

    sanity: extended check 4 (required headers) for uniqueness
    
    - Call-ID, CSeq, From and To have to be only once
    
    (cherry picked from commit a9ede56b35990fcc9164af0775f503e49e33377e)
    (cherry picked from commit 7adf410af754f1bb737edca6f427ef02d3441cda)

commit 1cb4273aa67c588552b671a98a9edb15471df129
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Oct 5 11:53:01 2020 +0200

    dialog: do unlock after saving updated dialog details
    
    - lock()/unlock() for dialog slots are reentrant
    
    (cherry picked from commit e4cf6739e62c2ac1e5364315aaed1a7b73919253)
    (cherry picked from commit 73476522301b6de65b8873e4ab04041315e93a82)

commit 17eaef0164eec06cadeb4fb903df57d9c613157a
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Oct 3 16:58:53 2020 +0000

    dialog: fix error in dlg.list_match for callid parameter (reported from Ilie Soltanici)
    
    (cherry picked from commit 360e012d9d93c80b62b6e75bfac6e3340407ee98)

commit 91b844a0d30a0fe7bb38597ee77720aa58739765
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Oct 3 08:21:54 2020 +0000

    rr: reset param buffer for r-r advertised address
    
    - GH #2486
    
    (backport from commit 8dfc0f6ef0ddc4bf2d73d21124caa289d4b8ce07)

commit f39814ce38fdaee6dd32dbacd956aa6da4966de8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 15:24:23 2020 +0200

    core: str - fixed wrong (undo'ed) version of STR_ZTOV() macro
    
    (cherry picked from commit 65ab73a7efabf4a55e913adfa604094c9ad88cdb)

commit 0d140ea8f54b8170f6df99d218be1f862cbbc3c3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 14:53:33 2020 +0200

    core: str - helper macro to set ending zero with backup and restore from backup
    
    (cherry picked from commit d6e24bd089bbe27c54a7e851993ab99bf93e8c52)

commit 96050be487de79b86f0b044a17aeb27fd162db7d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 3 08:11:31 2020 +0200

    Revert "evapi: free addr info in case of bind error"
    
    This reverts commit 4a56a8b780744d9ba35a94afbd5226bd7860179f.

commit 29ab33d439378b9944dd63c1112afd7731ccc4de
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Oct 3 08:02:56 2020 +0200

    Revert "websocket: emit core event on close"
    
    This reverts commit 288d760f8f11e4028ccd56f4941a19e649509d65.

commit 513d8132869b4eac320b9f20a2a46779073db434
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 2 18:16:36 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit c27c0e3dcd0171ab62ea2ce7f3ca03d100316c3d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Oct 2 16:12:20 2020 +0000

    Revert "kex: use mutex to sync the mod mem stats rpc commands"
    
    This reverts commit f014dd7fc45743685723c02aaad96ddd35e10536.

commit d7fcb51c8d5a871fdd27e2d1918bfde1aef77d80
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Mon Sep 28 12:57:25 2020 -0700

    dispatcher: fix an error in initialisation /
    
    training of the latency estimator
    
    (cherry picked from commit b728cb30810ef44b821a93335cdd34f954f2029c)

commit 081fb695ca8d50c0d61c33aa3d825309feac67ea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Sep 23 09:01:43 2020 +0200

    ndb_redis: set message level to debug on exec
    
    * logging error makes no sense here since there's going
      to be a reconnection afterwards
    
    > ERROR: ndb_redis [redis_client.c:903]: redisc_exec_argv(): Redis error: Server closed the connection
    
    (cherry picked from commit a9c331d70dbed6827874aa99296203ac5a9d5c7b)

commit faec948f619325a47053d46c55b0acbd03a79d38
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 22 19:00:25 2020 +0200

    imc: jump over printing error log messages when list commands are ok
    
    - reported by GH #2481
    
    (cherry picked from commit 92cfb5e8d291706889c926892397e663e2d93b05)

commit bc452ca5c13c592c1387192baac097085bc2d1cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 21 10:59:34 2020 +0200

    usrloc: use unsigned int for rpc output for the fields having this type
    
    (cherry picked from commit b754b9f68bee0b58b4ae00b7f0764c2bf711d14c)

commit 90af4f0b572636bfdd3a99c28c6615376f5c3aa1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 17 14:21:30 2020 +0200

    tmx: safety check of expected route blocks for using $T_*() variables
    
    - related to GH #2479
    
    (cherry picked from commit 2e7710e292a649c6c57e46d5994d3b2cf3815865)

commit c75bf4451d6dd090963e6b16d5ec821cc59abc99
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 17 12:55:10 2020 +0200

    lib/srdb1: db_use_table() more suggestive error messages
    
    (cherry picked from commit 57d33a2d76219ae3d1eb503044dadaeddc7e06fd)

commit afd52699ad2289e1b003e3b65e91a411c6c50ca4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Sep 15 07:33:00 2020 +0200

    topos: docs - more details about what SIP traffic is handled
    
    (cherry picked from commit 878971f2c0bc32233b6f18728f9b88537b3d19e8)

commit f42cebc8cff141e40a04c5c15a1e3cb2985baca6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 14 13:00:25 2020 +0200

    dispatcher: sync on updating last used fields
    
    (cherry picked from commit e307432e5f34a2093544e9ff703ea205169e4088)

commit 866783ab976295cc0eb3e5278bd644605b7979e8
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Sep 12 09:57:10 2020 +0000

    docs: add matrix channel information to normal and github READMEs
    
    (cherry picked from commit 3c19ca90327d92be69cdce482e66991147db9083)

commit f014dd7fc45743685723c02aaad96ddd35e10536
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 9 17:57:10 2020 +0200

    kex: use mutex to sync the mod mem stats rpc commands
    
    - related to GH #2433
    
    (cherry picked from commit 761eb0616fea2a859a2c0abb652b22feb6f59859)

commit b213cf8f2bab6015dcc9ea01f835e240c69df71b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 9 13:01:36 2020 +0200

    msrp: proper parsing ipv6 host part in uri
    
    - enclose ipv6 address in square brackets for msrp pv
    - related to #2472
    
    (cherry picked from commit 1cda029885dd89e2ec46fe28a0d6f656aad19e7a)

commit 684eb554a969800ea892502720a15a1ea494748e
Author: Juha Heinanen <jh@tutpro.com>
Date:   Tue Aug 25 20:11:59 2020 +0300

    sqlops module: added one more sql query function return value to README
    
    (cherry picked from commit d93de03c10eb7b88024d7eb9ba85200601cf6c7a)

commit 288d760f8f11e4028ccd56f4941a19e649509d65
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Mon Jul 13 12:53:25 2020 +0000

    websocket: emit core event on close
    
    (cherry picked from commit 16914788ba49b69aaabc8e75ca9b5d95dce6b825)

commit c888cc7de7a3509c7ce0c2d2378236e1c61c7179
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 14 09:21:04 2020 +0200

    misc/examples: kemi lua - added debug callback function
    
    - commented - can be enabled to track the execution trace of the lua
    script
    
    (cherry picked from commit 491a8327933cb4471260fdd09ff93296a7a0ccfd)

commit 50ce889a9556c169276e14df2a66fe62ec485cae
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 28 12:45:43 2020 +0000

    ims_charging: fix error in destination_realm default vaulue
    
    (cherry picked from commit f679c118a589c80cb84954fb46271adef596e049)

commit 939a97859d6e32346ef4c001eaff2270c43bac6e
Author: Emmanuel Schmidbauer <eschmidbauer@gmail.com>
Date:   Wed Jun 24 14:32:15 2020 -0400

    mohqueue: use t_newtran() if transaction does not exist
    
    (cherry picked from commit 6b708e937d161101adc91a4de5a527bf190b55c0)

commit 4a56a8b780744d9ba35a94afbd5226bd7860179f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 22 15:32:30 2020 +0200

    evapi: free addr info in case of bind error
    
    (cherry picked from commit 41db985ebfcb691f2e20e689a83379e382ef6c03)

commit 469e0895cc8af8b9215cf6e1672860db01126cdf
Author: Torrey Searle <tsearle@voxbone.com>
Date:   Fri Jun 19 11:06:09 2020 +0200

    tools/kemi: add support for invoking function pointers
    
    also add a flag to allow generated version of code to be compatible
    with older versions of python3
    
    (cherry picked from commit 773ecfc9ceec5bbbe6c7f5fd72399baacfd74c0a)

commit 0a159176f14024224604f88da3a78c29f646d581
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Jun 14 15:13:31 2020 +0000

    dialog: fix error in debug logging, properly log both sockets
    
    (cherry picked from commit 6b27844460e0de475d9546db122ff1ba9d9be6d8)

commit a5c4f47b30131193439c64738652d454a5b04404
Author: Luis Martin Gil <luismartingil@zaleos.net>
Date:   Tue Jun 9 10:48:16 2020 +0200

    keepalive: logging state of dest just if changed
    
    (cherry picked from commit 5649a24929ae7bd60154a6c58c772db9e462af27)

commit 70fbe68ae37bceedcd22657694eb484d4a636a00
Author: tsearle <tsearle@gmail.com>
Date:   Mon Jun 8 17:33:35 2020 +0200

    remove unused import
    
    (cherry picked from commit 2d2594d3cdeead550ccd472f9d0288b72b98d689)

commit 694b8be0ea20620c1b4ee877cca2e69223f99b95
Author: Torrey Searle <tsearle@voxbone.com>
Date:   Mon Jun 8 09:17:00 2020 +0200

    tools/kemi: add script to generate mock api for kemi python testing
    
    (cherry picked from commit f4ec923976cbab5c1451b65268aaca65a33919fd)

commit 042a677d613c91f0b0ceab4176831ff38ddb9ee5
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Oct 2 16:02:03 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit bd30d11a8e96b2c77d5dbd81221eabd0b5e45ef5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu May 14 10:41:06 2020 +0200

    jansson: use the core macros for ending string value with '\0' and to restore
    
    fix #2327
    
    (cherry picked from commit 3abc650d37e426840f060426a851ecac5210d2e5)

commit 3d8f2cdcbf30a497351b36c3d9e5f7ac7f876e01
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:51:16 2020 -0600

    Fix typo on main README.md: Consecutives 'the'

commit 97f029b9f14ac21af5ca8421aca9bc10ae557882
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:50:41 2020 -0600

    Fix typo on xmpp module: Consecutives 'the'

commit 80ac347186de2a655d59410981cfa60c0c525cc3
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:50:02 2020 -0600

    Fix typo on websocket module: Consecutives 'the'

commit cc022ce161047237a412a1c349af0f96fd4b4c52
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:46:20 2020 -0600

    Fix typo on tm module: Consecutives 'the'

commit ce6c55fae057681a0b3c486cf5bc3e80edd0c275
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:45:44 2020 -0600

    Fix typo on sca module NOTES

commit 7046b14fa36495790d3ad42e336b5b2a26fbca34
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:44:27 2020 -0600

    Fix typo on ims_qos module: Consecutives 'the'

commit e153c88caefdc15e0883f0d41ea395589d8fa7c4
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:43:44 2020 -0600

    Fix typo on drouting module: Consecutives 'the'

commit 1045c0b5f0c48deaf5590734688e01e50a3cc069
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:42:54 2020 -0600

    Fix typo on db_mongodb module: Consecutives 'the'

commit bd9a926bf443e4993e7f8043760b188860c8ca24
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:41:54 2020 -0600

    Fix typo on cplc module: Consecutives 'the'

commit 0d85624e74556436f9b07530536e2f5357f9c683
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:40:13 2020 -0600

    Fix typo on counters module: Consecutives 'the'

commit d306cf12f13b40724181b31d070a47522cab8d2d
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:39:26 2020 -0600

    Fix typo on carrierroute module: Consecutives 'the'

commit 77b0e31eecb842de24ee18d31f3e7d0c655ecde2
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:31:12 2020 -0600

    Fix typo on avp module: Consecutives 'the'

commit e10b3040730181ddb7ae3d4dd7353e62260f83f4
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:30:12 2020 -0600

    Fix typo on app_jsdt module: Consecutives 'the'

commit cd7681634d9d9262609559a713aa7732ec50c957
Author: Jorge Vallecillo <jorgevallecilloc@gmail.com>
Date:   Thu Oct 1 20:29:03 2020 -0600

    Fix typo on srdb1 lib: Consecutive 'the'

commit 0f8f2f523ecd282df260f83c8cd2e2ab193b543b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Oct 1 10:04:50 2020 +0200

    topos: update to-tag and rr on reply even to-tag is already set
    
    - GH #2489
    
    (cherry picked from commit acd7f6f1703d12aa8f2dce87e1b8e4b74d6b4d96)

commit 71c40960fdd5583d64bf198573d7cd5db9ec5433
Author: Julien Chavanton <jchavanton@gmail.com>
Date:   Mon Sep 28 09:13:16 2020 -0700

    dialog: dlg_cell, always check for a to-tag match

commit 458d96d9cabf679efbcaaa81f69086c50940e495
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Sep 15 18:01:38 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 9be13ba9668b1c0aea9122ef4d8bfbb22e29eabb
Author: whosgonna <ben.whosgonna.com@gmail.com>
Date:   Tue Sep 15 10:29:08 2020 -0500

    registrar:  Update documentation
    
    - Replace all occurences of "HF" with "header field"
    - Replace all occurences of "HFs" with "header fields"
    
    (cherry picked from commit d936c6276b6d8e45efd87a4fc25a55b9c3ab1fce)

commit edbafff7df51d2dc16f3a379cfb0d333c37439fd
Author: whosgonna <ben.whosgonna.com@gmail.com>
Date:   Tue Sep 15 10:32:07 2020 -0500

    registrar:  Update documentation
    
    - Fix double negative "without no DB operation". Changed to
      "with no DB operation".
    
    (cherry picked from commit be0382fa11920de972ddbcdbe17c3ff583da87e4)

commit 1bccb817c20f02665d48a38eb59a57a6ae17b81f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 14 09:33:16 2020 +0200

    dispatcher: update state if sending keepalive OPTIONS fails
    
    - backport of 4584e17b98f338916cc89dac6e1700f250cdf501


===================== 2020-09-10 Version 5.3.6 Released =====================

===================== Changes Since Version 5.3.5 ===========================


commit 475a887b88537cbfdb9cae2782b39660ff9eb125
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 10 11:13:02 2020 +0200

    Makefile.defs: version set to 5.3.6

commit 855b93dd213dd8f13e483c36ea60769c893ab58b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Sep 10 11:10:41 2020 +0200

    pkg/kamailio/deb: version set to 5.3.6

commit 82f82fc80d795f718e35db79b66b320ed690f2e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 10 10:31:30 2020 +0200

    xcap_server: rever use of STR_VTOZ macro
    
    - got it by picking a commit with another fix and this macro is not in
    branch 5.3

commit 39e088f5f809340dd0c0b5c2c65e734d85b7d677
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Sep 10 10:09:21 2020 +0200

    pkg/kamailio: updated version to 5.3.6 for rpms and alpine specs

commit b7efdb12dd2e98c03c38565556169b553b8b6a0a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Sep 9 15:33:18 2020 +0200

    core: skip abort() in free_lump() for LUMPFLAG_DUPED
    
    - the LUMPFLAG_DUPED is set when duplicating lumps list for branch route
    execution, but some functions such as set_body() may want to clean them
    - report and minimal reproducing config by Henning Westerholt
    
    (cherry picked from commit 57ee97f52dd90c86743b6fd6dd682285ef994e80)

commit 794861c8db50846599118fe7583f522200195d8d
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Tue Sep 8 15:04:04 2020 +0200

    httpa_asyc_client: set curl memory callbacks in module initialization

commit e1dc051e4171cb7a441987d0c184fc210fa57063
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Sep 8 12:47:01 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 4c80e4c71a44fbe26761bee730e423f73923d713
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Aug 27 12:34:50 2020 +0200

    usrloc: get_udomain() - safety checks for location table name parameter
    
    (cherry picked from commit 29dde9fea1eb21b4bb484286f7443dd32f611bd2)
    (cherry picked from commit ac56dfde20c5e689fb911debdd33a6155f7b130c)

commit 659edfc219c850ac464869589d11fb8db7004730
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 24 10:22:52 2020 +0200

    topoh: remove the Via cookie when skipping topoh via event route
    
    - event route is now executed with parsed sip message to be sent out
    - GH #2437
    
    (cherry picked from commit 06a1d20fdcae42c8f2130c547c6c6cf5fb6dce26)
    (cherry picked from commit b5176749605808af737aca00992f549152f9c38a)

commit e956b3c7dbb931f719e11a44887c5eeb8ffa878d
Author: Dmitry <dmitry.wagin@ya.ru>
Date:   Sun Aug 16 23:21:37 2020 +0300

    Makefile.defs: Fixed libs option for FreeBSD
    
    (cherry picked from commit f490c4e0f5888963a01fa99fe94a464d44223199)
    (cherry picked from commit 0efd0d63a8f8d7b644d0eba13552778d3b746c67)

commit 0567c42a324deaa8dfe60cf1d8281aa22f5f4e1d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 11 12:36:02 2020 +0200

    topoh: check if via param has the expected prefix, otherwise skip
    
    - GH #2437
    
    (cherry picked from commit 046126b4a90090bf5b8f9b517ba5218793e6b973)
    (cherry picked from commit c8c884c4db353d4fac83752a494989e699fc36ff)

commit 58043293132efa043a1d9ebfb2473d1efe319a35
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 11 11:11:35 2020 +0200

    pike: docs - section for pike.list rpc command
    
    (cherry picked from commit 720e929a87c6d3ee29c316ca63886c7142320f43)
    (cherry picked from commit c783f19708bfd1d8c2334f739c8960b2de5f4fb3)

commit 148cf4bb35cb94e111cf8ade1294519c556f4b7c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Aug 5 16:38:01 2020 +0200

    Makefile.defs: map gcc v10.x to 9.0+ options
    
    - detect properly the 10.x gcc version number, GH #2425
    
    (cherry picked from commit 79e7738027a40affa4c7f606bf55a3ad0fe31bc4)
    (cherry picked from commit 6d79c954469082aeb8518fdcca80217ce4826992)

commit 0f8528d4705e0e7060708f6108c47bcc599f743a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Aug 4 08:36:18 2020 +0200

    Makefile.defs: get clang version only from --version output
    
    - the full version with stderr output included has a different first
    line on MacOS, making head -n 1 not extract the version number line
    
    (cherry picked from commit bff689cfedca70149e17b6ec3584ca9ecab71418)
    (cherry picked from commit b14b0a116791b85f2048e5fc863e50b7f7d93405)

commit 2d581622496e2141401a00a47011cf11156317e0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Aug 1 16:51:39 2020 +0200

    db_text: free pointer in case of error
    
    (cherry picked from commit bddf16db74ea779bb01805fc2cbabfdaf8f4d62b)
    (cherry picked from commit aabb2b2cfab6dc664ebc4b3d15db0d2ecb3cafd5)

commit 4f9a5cdefb8d6baf9c069e277012d6d616137393
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 31 20:45:47 2020 +0200

    xcap_server: check before going to the end of the buffer
    
    - use marcros to set and restore char for ending 0
    
    (cherry picked from commit 6ce5c0bdf136ecffd7917f2d60093e1b2c49fa54)
    (cherry picked from commit 4aeb071b26df08e1dfc902340475c077e468c661)

commit 9db407d0ad2a2e48725ddc2fd37026978f56132a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 30 20:32:02 2020 +0200

    app_lua: docs - note about availability of 'sr' Lua module
    
    - use KSR in the examples
    
    (cherry picked from commit 34efa83569bedb1f36c3661ee063ff6334633e4a)
    (cherry picked from commit c98d9e8c6687f2311f51016ed9cc2e089d4eb242)

commit 6474444f12b15b443f9f0ed96e509b2df6cb7d44
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Aug 24 10:01:20 2020 +0200

    log_custom: print to stderror if sending log message fails
    
    - help troubleshooting while avoiding looping to same function in case
    the log engine is set to log custom module
    
    (cherry picked from commit f16d046f6330f897b374d9bb7dab3b2ce8eab3a7)
    (cherry picked from commit 1ecade5cbd323e1ab45ec6f83236e1d389739d3b)

commit 5896f8e31078ff9b5d704c7393d7a7acac29db96
Author: Luis Martin Gil <luismartingil@zaleos.net>
Date:   Thu Jul 23 10:04:04 2020 +0200

    tm - remove not used route_mode var
    
    (cherry picked from commit 6619be46249dfe0b2f2cbc863cb8b2f44716122b)

commit c79cc69ac27bd1d6b506634e8a9d768001648762
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 24 22:25:50 2020 +0200

    tls: docs - fixed typo
    
    - GH #2410
    
    (cherry picked from commit a12064696ac37cadf954a89b58daa1e05e182180)
    (cherry picked from commit eb2abae40b36ad123528cddb25e0ddd217b68b22)

commit 7ac48ca1a6bd0462199ebb6cf1be61bc2c865353
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 19:28:29 2020 +0200

    kamctl: skip tracing kamctl itself in pstrap
    
    (cherry picked from commit 626c0dee863fa517e473148ca8010d737a8f7ffe)

commit 12aecb27779637b90ef83efea4dfaf095b5b2b13
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 19:18:52 2020 +0200

    kamctl: print process details in pstrap output
    
    (cherry picked from commit 904a1590dbcdbb0fda9f676b4768596f797e9e27)

commit fa7042676c0dc2ea8760c928ef70fd187eedc3a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 18:57:27 2020 +0200

    kamctl: added pstrap command
    
    - use ps to get list of PIDs for Kamailio instance, instead of RPC
    core.psx
    
    (cherry picked from commit 97ec85559f1e33405fff2320443dc86d2df13456)

commit 8079c537fa34be1ca075617d2b79143cd932e719
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Sep 7 20:35:28 2020 +0200

    uac: restore first display name then uri with dialog callback
    
    - same as for rr callback, otherwise the new header can be malformed:
    the case of initial INVITE with From URI having no angle brackets and goes
    out with display name and angle brackets, the ACK for 200ok results with
    From broken when forwarded
    - backport of commit efa6c6a9bf13c430d5be5146168d1ded4c39dba7 (master)
    - backport of commit 1a49cc015609c8701057d5a9cf50f68db61870c1 (5.4)

commit 8fcbfc697eaa7df91e84bfbf484ed51a49fc0e2e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Sep 4 10:22:52 2020 +0200

    pv: handle s.prefixes for empty values
    
    - avoid crash due to invalid length of result, GH #2467
    
    (cherry picked from commit e74b06c32bc2b090937350858f655af4ab89ff63)
    (cherry picked from commit ad14b61155686aead27e7ac5f3fb6b1aa90b6840)

commit 3af15354836f69ec2cbd6f107f860cfc1ffc334e
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Thu Aug 20 11:06:56 2020 +0200

    async: fix async_ms_route and export it to kemi
    
    (cherry picked from commit b787627819fc93dcc8c68a4950c9760d298ce555)

commit 182b0972b794df730910fc1a0e4e722eab39caf3
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Aug 14 12:47:34 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit e24356a0a09d24c71ba7c4e150537861d626c3d4
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Aug 13 09:26:57 2020 +0200

    pipelimit: docs - fixed typo
    
    (cherry picked from commit c87f3c1d07a5a3c51728d404200d60b10ed6159f)

commit aa793407020874377ce7c4ea871aa591c2b4a39d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Dec 3 12:12:54 2019 +0100

    permissions: fix crash if load_backends parameter is 1
    
    fixes #2151
    
    (cherry picked from commit d7f4493da751802dc47a694d251d34a85a7b3bf1)

commit ff2f8c4e63b4fefa7dc5b10835505c3c4ae84388
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 27 09:37:23 2020 +0200

    dialog: print old state on dlg timeout
    
    (cherry picked from commit 06b7e416756e1711edef6db683cef35824f4b2a5)
    (cherry picked from commit ecedb702cacc4b46c474d6f48e6774985fe484e3)

commit 0eaca5e292eeb3109ae415f54d6b87ed596de081
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 23 15:23:15 2020 +0000

    tm: lower log level for t_unref kill transaction to WARN
    
    - lower log level for t_unref kill transaction to WARN
    - immediate CANCEL on an INVITE could trigger this
    
    (cherry picked from commit d85d43247c3d056eebeec3f97735d13c048a181c)

commit c51a6385a1af68bc3fd459a4d7a153b82381a738
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jul 17 15:16:40 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 204050d214f9dfbd5c0f2cc12dad1beef70be952
Author: Marat Gareev <maratkin94@gmail.com>
Date:   Fri Jul 17 15:22:33 2020 +0300

    xhttp_prom: fixed typo in the documentation [skip ci]
    
    (cherry picked from commit fbfc720a82ed2e6c537fd7fa36b913cf079123ae)
    (cherry picked from commit e8ef3c2bb57c3c35ca023d3b01577435f7b80529)

commit 9f8b564800aa029f1d374c502c8c96272e5ea68a
Author: Lucian Balaceanu <lucian.balaceanu@1and1.ro>
Date:   Tue Jul 14 11:48:45 2020 +0300

    p_usrloc: reworking mdb_availability_control
    
    - simplify general implementation
    - avoid deadlock due to a process trying to acquire same lock twice
    
    (cherry picked from commit 5789c506d022dd5713072cd1fcc07a25f42e098c)
    (cherry picked from commit ffb0576bd7d93303fb1068a332d9477a4d04471b)

commit 53ef8598ee040eac371dd6f9609c0e8c74b30902
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 16 17:46:48 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 340deabc375272dc3f0a921786890dab8ee778b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 16 09:16:40 2020 +0200

    core: strutils - trim trailing spaces when comparing hdr names
    
    (cherry picked from commit 6d76b79b81bf448fa1f34753c1d000dc6c1870e0)
    (cherry picked from commit d0f7c7056b32351cac0b20ce24b074d9be8459a2)

commit 434dfd38aad2a0e9115ceba55d871fba5d6628f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 16 09:09:48 2020 +0200

    core: parser - trim trailing whitespaces in header name
    
    (cherry picked from commit 7135feee9cdc93efa8c0c3e4abf24a9335ce42de)
    (cherry picked from commit 63e227383d9c5112f287299981d217f1558a15a8)

commit 2691b6a69bcddf0fd0daa92f27f27c6f8fb2a5a8
Author: lazedo <luis.azedo@factorlusitano.com>
Date:   Mon Jul 13 13:01:43 2020 +0100

    core: don't close tcp connection for dropped non sip messages
    
    (cherry picked from commit 007f98692bb6f7cb35adbb86ec6fb06f034614cc)
    (cherry picked from commit 0cf30ae1c4128bca8882109ec34c34a2dd2b4cef)

commit 33ccba4be33fc24bd6a8c3539020b798f3e9a616
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 8 14:44:34 2020 +0200

    core: tcp - debug message when removing connection from list
    
    (cherry picked from commit 317f707425a4cf0be144d2c874fcdf2ad8d7f992)

commit dc040c863172f827a4b508cc04c29ee9e9b61c83
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jul 7 17:37:00 2020 +0200

    core: io wait - unhash in case delete operation fails because of EBADF
    
    - EBADF: epfd or fd is not a valid file descriptor
    
    (cherry picked from commit 846cc5b97a907b5314ccf03772776e0d23434042)

commit d597ecd290508b4be3dac459494db3d0eaffd6e7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jul 6 09:03:32 2020 +0200

    carrierroute: do not test return for strcpy() and strcat()
    
    - they return the dst or src parameter, resulting in code analyzer
    reporting
    
    (cherry picked from commit 65159728a4425f45559de55fd5549731e717d74e)

commit 8e849681b7da3f6d94576620019363faba0c111e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jul 5 20:50:00 2020 +0200

    db_redis: use safer localtime_r() function
    
    (cherry picked from commit 0cc1e167b9e54bb4a652162445efe89b02939eed)

commit 55edf5e1ff6afc895f8263854cbfe6c98c6e4d72
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 23:00:24 2020 +0200

    core: tcp - test connection reference counter to avoid going negative
    
    (cherry picked from commit 6a637cf84906ec5315c77e5458180f7d9d69a481)

commit 003378f244d2c51773615905e7f98d3733b45b22
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 14:02:20 2020 +0200

    core: tcp - safety checks on emptly local tcp connection list
    
    (cherry picked from commit 67f9de8a946335e2bf16fe0e6063877cd4d51fb7)

commit f6ad586b6b461ff061428b4286521eb3d06de397
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 10:49:43 2020 +0200

    core: tcp - more details on error log messages
    
    (cherry picked from commit fefb3f1b2dbae8d9df24fecee763c5a1cd588107)

commit 511719e61405bc7f718de180331c43c2883a62f5
Author: kvrban <k.vrban@googlemail.com>
Date:   Thu Jul 2 10:09:09 2020 +0200

    tcpops: target variable passed on tcp_get_conid function was empty
    
    (cherry picked from commit a2932492e24ac3c3afe4d33f025c7501c93fda49)

commit 6b438b9aad7044c79e4216d2c09ea95d5f0cc61c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 08:33:13 2020 +0200

    lib/srdb1: init timeval structs to silent analyzer
    
    (cherry picked from commit 0780e781c319254307c85bd873c58c6478a28da8)

commit d340b4d0315aca2ee63156809ccc1ea27f0918fa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jul 3 08:30:46 2020 +0200

    core: init timeval structs to silent analyzer
    
    (cherry picked from commit d0d2c8fd6a57affac7bffab441b2126b9df0dfb1)

commit d14c2513390fb6e3bad2e73e6548d7e6e9232c46
Author: Jose Luis Verdeguer <pepeluxx@gmail.com>
Date:   Wed Jul 1 17:47:59 2020 +0200

    cnxcc: update docs [skip ci]
    
    * new error return values
    * delete return value from set_max_credit not in code
    
    (cherry picked from commit bc0264f4802c266901a1eb7a296f80f1dbfcc828)

commit 31055879fccd14659e378bc28a79df82aa9b446b
Author: Jose Luis Verdeguer <pepeluxx@gmail.com>
Date:   Wed Jul 1 17:40:50 2020 +0200

    cnxcc: avoid duplicated call info
    
    Don't store call if call-id is already registered for that client
    
    (cherry picked from commit fb8cc72f1bd76bb2fd4d4e2e5fa2afc50eef59ad)

commit 3b2578660f8a2cfd528a425b833b8970662bf80a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 10:44:03 2020 +0200

    ims_charging: db_url param type set to PARAM_STR
    
    - the variable pointer is str* not char*
    - GH #2385
    
    (cherry picked from commit 71bc55240a144dbad9d9d8afc942b81237c806d2)

commit 3bc06fdb87d86d3269f7774f52b8040be1c1f76c
Author: Richard Fuchs <rfuchs@sipwise.com>
Date:   Tue Jul 14 14:13:00 2020 -0400

    db_redis: fix unfiltered table deletion

commit f5d648d3e0f5574ed5205cc36051405e0dc75b7d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Jul 11 11:03:26 2020 +0000

    ims_charging: fix wrong default User-Equipment-Info-Type AVP format
    
    - fix User-Equipment-Info-Type AVP format
      According to the RFC 8506 it should be like this: The 48-bit Media Access
      Control (MAC) address is formatted as described in Section 3.21 of [RFC3580]
    - use strlen instead of sizeof
    
    (cherry picked from commit 1a8f54147063560f6016634152b17293394b8497)

commit 0292a6ae61db930dfeab532a53bf964b16db0209
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 2 16:05:51 2020 +0000

    ims_charging: bugfix for tel URIs, need the same logic in stop as in start requests
    
    (cherry picked from commit c3efb3b3331936a30f387e9f3c8c435d4d64f0bb)

commit de37b44a39334b845c1ff5f35c7c8f80a0119550
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 2 11:16:44 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 475e3d93329a782758e50e52de4ef49f72ef8a6c
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 2 09:09:27 2020 +0000

    ims_charging: add missing change for ccr.c (related to previous commit f5e44252c39c7695cb)
    
    (cherry picked from commit 4cb61cc35a695e2636007f6518a63ed8e508b67f)

commit 38df9e58a81b24ec898107e23513ae1401345bfd
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jul 2 08:54:20 2020 +0000

    ims_charging: bugfix for destination_host parameter, implementation was incomplete
    
    (cherry picked from commit f5e44252c39c7695cb66893035a0581a65a72f91)

commit dffd3502fed5cf33055f67967ba538f2c68c2a59
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jul 2 10:02:03 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit f959dec0c073c2b2dae904ee3d844872de989a2d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 09:10:48 2020 +0200

    usrloc: rpc scan flags, cflags and methods fields as unsigned int
    
    (cherry picked from commit 2c622627ea145eddcf891ba9b89b756457074991)

commit c33d634f400d5219dd1a820b209a123ef3e27020
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jul 2 09:09:47 2020 +0200

    kamctl: set Path to '.' when parameter not set for 'ul add'
    
    (cherry picked from commit 301525dfbbad2ffcec6738ef5eff952645ab9dfe)

commit 070efaa8497773c3a903c26d7f5f31632ad99703
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jul 1 20:53:45 2020 +0200

    jsonrpcs: more debug messages in case field of scanning failure
    
    (cherry picked from commit 0a4fa9594d871a41c2ef6b811e2b342ed6ccfe09)

commit bc58790b7d33e7d2f3818e22894604c90edb0a7b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 30 12:10:06 2020 +0200

    imc: let space for ending characters
    
    (cherry picked from commit 1d256290cf10414a2f1af1feda3c9a357eb8ac27)

commit 35d977aed4c7137d34d4cf8216d503ac48f1e423
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 29 08:25:11 2020 +0200

    carrierroute: docs - note about config file ownership
    
    - GH #2369
    
    (cherry picked from commit 214c762c46d5cd5892d2ddc06a25193a01164e8b)

commit 77a8fab36f878938cfd1b630439b9d0bde2f975b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 29 08:19:34 2020 +0200

    carrierroute: more details on error message checking file permissions
    
    - GH #2369
    
    (cherry picked from commit 31c7493d0d822239a76df4b504b2c319de09c19c)

commit de92bd3500c28be19e8e86cb48dad0e42061269a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 26 22:27:43 2020 +0200

    siputils: docs - added section ids for parameters
    
    (cherry picked from commit ec0b1d31f1d667abdcd7cce7fbfff110583e271c)

commit 4c3fd9c7a0f75f3bbed0f4c79186dfac4e24cdfa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 21:05:56 2020 +0200

    pua: docs - fixed missing comma in example
    
    - picked from #2371
    
    (cherry picked from commit 9adccda325d258fe539b54ec67d4389d3a2fc72c)

commit 33a3640af730bcd674efc2b55b643bd406d08749
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 24 09:12:58 2020 +0200

    avpops: free fname1 in case of error getting fname2
    
    (cherry picked from commit fbc55950c8ac0c34c5b6693c1578de7cd11b484c)

commit 15fbad460e4cd3187ff9103440ecd41eb427cf3a
Author: Emmanuel Schmidbauer <emmanuel.schmidbauer@textnow.com>
Date:   Fri Jun 19 16:54:40 2020 -0400

    dialog: improve warning message to help better identify lookup failures
    
    (cherry picked from commit c4684574e0e0e1cca4c1489a16513182f821a643)

commit 47e41a7cacab71f19e6c9c319d3ede83183e074d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 23 08:01:48 2020 +0200

    dialog: use the dlg hash table slot to unlock on dmq handling
    
    - the dlg can be destroyed on dmq replication and unlocking may fail
    
    (cherry picked from commit f4036c535033a333cb551b5af70703135305e7b3)

commit 147e5dd582dc8e4a00e1ef5868cf2eb18c0c4dd0
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 29 18:31:37 2020 +0200

    cnxcc: remove useless warn messages
    
    if the cid is not equal, an error message is going to be thrown.
    Add more info in the later debug message.
    
    (cherry picked from commit d6361c2e501cd9c08319f40897d765d1de1b1a32)

===================== 2020-06-22 Version 5.3.5 Released =====================

===================== Changes Since Version 5.3.4 ===========================

commit d8e36aeb0c7b0ba08911454d724d3a69a7766810
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 22 11:46:19 2020 +0200

    Makefile.defs: version set to 5.3.5

commit 089708b310b94171fa12084fa0eca9f98854b7f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 22 11:44:58 2020 +0200

    pkg/kamailio: updated version to 5.3.5 for rpms and alpine specs

commit 12386b2f4cc33f3ee0ea366ddcf48b124d2265aa
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jun 9 12:02:43 2020 +0200

    sqlops: export sql_pvquery to KEMI
    
    (cherry picked from commit 3b2a0a849e60a6bf0bc9d8054568c954010d7aa6)

commit 3a0e46df3c456cb7d5fc090caf5108fc62a8e9e8
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jun 11 10:48:29 2020 +0200

    avpops: export functions to KEMI
    
    * avp_check
    * avp_copy
    
    (cherry picked from commit adf7fb2613c4117ea0a76463d2df55e14579da9f)

commit 21e697728dc0b40cbd094c5d1c9de61eeeba5aea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Jun 22 09:19:57 2020 +0200

    pkg/kamailio/deb: version set 5.3.5

commit 12b4bf66d3380f1e48023987db3d137f5be31e21
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Jun 22 08:31:46 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit d232e2e48b1b668270dcab419638adeffa5cf0b2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 22 08:22:55 2020 +0200

    uac: docs - updated examples to use avps with string names
    
    - the recommended format instead of interger ids
    
    (cherry picked from commit 295e9a23df952bc98c2a2803d796e358363b2e22)

commit 0e9ccf0783570b3dabea1e97fddb234457d084b7
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jun 21 19:46:43 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 68290f9f48d3b7b7998c5831a0f11ebfa20e73a5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 21 19:31:07 2020 +0200

    db_mysql: docs - proper location for opt_ssl_mode in params section
    
    - reported by Juha Henianen
    
    (cherry picked from commit 56536708c5537c7443aa7a777fad0dc941e1bc71)

commit 681cb57e66f74634b2c8d32fa989f2c7314cc412
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jun 19 15:31:22 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit a6f117620f97fd8dd22e160938d6d322cce955bd
Author: Kristian F. HÃ¸gh <kfh@uni-tel.dk>
Date:   Fri Jun 19 11:22:20 2020 +0200

    registrar: expires_range should not make expires < min_expires
    
    (cherry picked from commit c753932ebfa055d923c92b916937eec99cd14d23)

commit 9dff6197dcae5c4051194753382f95c5edaa379e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 18 10:31:38 2020 +0200

    pv: use SIP_REQUEST/SIP_REPLY for value of $mt
    
    (cherry picked from commit 7e402da261e1ced56019037d3dce9e72b5b2b0ea)

commit 0f90c016a4591bc2768731bd583235aea1348455
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jun 15 09:09:20 2020 +0200

    db_mysql: use MARIADB_BASE_VERSION macro to check for MariaDB library
    
    (cherry picked from commit c5acc58863acb133748ad9f2f8a963ab714af871)

commit 0a5f69e88d7d035a0966cbbe9c79b60163130c71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 14 12:16:29 2020 +0200

    db_mysql: note that libmariadbclient does not support ssl mode option
    
    (cherry picked from commit ae900a668aff4a472d6f1f7de5cf6277b5881ce9)

commit 88b1b6d164fbb1b487a9c0a441673e63d2928c43
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 14 12:14:40 2020 +0200

    db_mysql: mariadb client library does not support ssl mode option
    
    (cherry picked from commit 5b727447df9f5476c2ef818a8926f62525d0c349)

commit 0fc0b643c655211ca0dfe12d560d1a8f9de284e6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 14 11:31:59 2020 +0200

    db_mysql: docs for opt_ssl_mode parameter
    
    (cherry picked from commit f012c525264ed05fec2acb4b3924d4b9a1cd3ab9)

commit 31c6199d2204629240980b29cec861679493ce77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jun 14 11:18:15 2020 +0200

    db_mysql: new parameter opt_ssl_mode - allow controling ssl mode
    
    - can disable or enforce use of ssl
    - some combinations of libmysqlclient and libssl1.1 can result in
    crashing when ssl/tls is used, even on 127.0.0.1, this param can be used
    to disable it
    
    (cherry picked from commit 260e25e15c4aa68533ee560bd8fcbdd5ee7b7d6f)

commit 40549e34f81065f59b5f18cdda5c6ef74c3c9e0d
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jun 16 09:31:55 2020 +0200

    sca: clang format code
    
    (cherry picked from commit cf3c0132cc81b2d8db05a6a9a26d7110a021ce23)

commit 7bf0fc433008f4a0e0bd1e7eb7583fb989df973c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Mar 7 11:57:40 2020 +0100

    core: remove compiler warnings [-Wstring-plus-int]
    
    > core/parser/parse_fline.c:241:17: warning: adding 'int' to a string does not append to the string [-Wstring-plus-int]
    >                                        SIP_VERSION+1, SIP_VERSION_LEN-1)) {
    >                                        ~~~~~~~~~~~^~
    >
    > core/parser/parse_fline.c:241:17: note: use array indexing to silence this warning
    >                                        SIP_VERSION+1, SIP_VERSION_LEN-1)) {
    >                                                   ^
    >                                        &          [ ]
    > core/parser/parse_fline.c:247:18: warning: adding 'int' to a string does not append to the string [-Wstring-plus-int]
    >                                        HTTP_VERSION+1, HTTP_VERSION_LEN-1)) {
    >                                        ~~~~~~~~~~~~^~
    >
    > core/parser/parse_fline.c:247:18: note: use array indexing to silence this warning
    >                                        HTTP_VERSION+1, HTTP_VERSION_LEN-1)) {
    >                                                    ^
    >                                        &           [ ]
    >
    > 2 warnings generated.
    
    (cherry picked from commit f2959f422bb8171241728f5148d4b21c9cc2c681)

commit 1797a30ec4a8aebab323a08f832d16d74958b765
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Sat Mar 7 11:35:55 2020 +0100

    core: remove compiler warnings [-Wstring-plus-int]
    
    > core/parser/parse_fline.c:93:34: warning: adding 'int' to a string does not append to the string [-Wstring-plus-int]
    >               strncasecmp( tmp+1, SIP_VERSION+1, SIP_VERSION_LEN-1)==0 &&
    >                                   ~~~~~~~~~~~^~
    >
    > core/parser/parse_fline.c:121:9: warning: adding 'int' to a string does not append to the string [-Wstring-plus-int]
    >       } else IFISMETHOD( INVITE, 'I' )
    >              ^~~~~~~~~~~~~~~~~~~~~~~~~
    >
    > core/parser/msg_parser.h:131:35: note: expanded from macro 'IFISMETHOD'
    >              strncasecmp( tmp+1, #methodname +1, methodname##_LEN-1)==0 &&     \
    >                                  ~~~~~~~~~~~~^~
    
    (cherry picked from commit 2b070a622fa3c78d929580fda3c7952963c4066b)

commit f8b099436b654515ef75c61acb1abb0fea53b62d
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jun 11 16:04:43 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit bfa58cdebc84aeca8220eb9d583b597706907a1d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 11 15:50:09 2020 +0200

    sipdump: make month in the file name from 1 to 12
    
    - tm_mon is from 0-11
    - backport of 97593d20875d26c38511f564fd7071bf79baa56b

commit 3dbf54f8f1994693a028a41d8d81d4cc7d9748d9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 11 15:48:26 2020 +0200

    kamctl: regenerated the schema

commit 588b41f114ea1d14c59f6f1ab0cab65a0d01a227
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 11 15:19:19 2020 +0200

    siputils: cotact ops - more debug info and coherence in log messages
    
    - use lowercase always at the start, the message is prefixed anyhow
    
    (cherry picked from commit 3f156be2e5e2c06a6716e709a246e57c51661012)

commit 367a4f69fe179e52a1ef95780be1bf8284d80ede
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 11 14:07:35 2020 +0200

    siputils: contact ops - clang format code
    
    (cherry picked from commit 5754539602bb6806f829a9ceee73630953fdaa81)

commit c0097b69c78919262be2c9c4babb462bc9354e15
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jun 11 13:27:22 2020 +0200

    siputils: contact ops - removed old defines set on for very long time
    
    - bits of formatting code and comments
    
    (cherry picked from commit 2b8b2904399478984d3983ce447c98832419570a)

commit ed1fb65f4e8b63e66c3c80d6382a2d98046265ff
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 9 10:53:22 2020 +0200

    app_python: check if f_code field in frame is set before using in log message
    
    (cherry picked from commit b02c247023ea3ea0ef9753efdb04aff7d5d3bbb4)

commit ba3b6235cea86e3119392c5834e26a3fe224e42f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jun 9 10:49:22 2020 +0200

    app_python3: use safer function PyBytes_AsString() instead of macro
    
    - check if f_code filed in frame is set before using in log message
    - GH #2335
    
    (cherry picked from commit e680dd6ed672e63012e960c68c0030e3f188654b)

commit c09e2190a6e308e3446625afaaed5e9841883476
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jun 5 09:47:32 2020 +0200

    topos: allow 183 without contact header
    
    - some UAs do not add it, even it can create the session for PRACK,
    which requires it
    
    (cherry picked from commit 785326cdfbee849a8436e7c07003ff0539d259cd)

commit be50e55355f1e33297121e0a7ac4c28fc4235e70
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 12:45:05 2020 +0200

    core: tcp - log details of the exiting tcp connection on insert failure
    
    (cherry picked from commit 4deb51419ab66931459709fe44acd3e7a0acc18d)

commit 69dca2b460b7802eed50072e3672a20a249b8851
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 08:55:57 2020 +0200

    core: io_wait.h - typedef fd_map_t, more details in log when is a fd conflict
    
    (cherry picked from commit 50af00c7ef7037b6e55a3d3254a38935532bb0fa)

commit c8f98ff7b7f734d0daa765cdb0332ea1952a97c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 08:36:07 2020 +0200

    erlang: renamed global io_h to clt_io_h
    
    - tcp core also uses a glibal io_h
    
    (cherry picked from commit b6abc7618af7b8b3470e76aae7a0fd5ba0869949)

commit dd59a3ac58253242257a8660310bb68274432ee3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 08:33:01 2020 +0200

    ctl: renamed global io_h to clt_io_h
    
    - tcp core also uses a glibal io_h
    
    (cherry picked from commit 19b3deb88afe5d787ca366885c660e66f17c3409)

commit b80ed7c5220dda8ff73a8db48617d92b104b7482
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 31 09:29:39 2020 +0200

    pv: removed commented code for retcode var - exported from core
    
    (cherry picked from commit f658a7a8263efd4b0ed5816959741380a964221d)

commit a886c67b9d2047960aaa78154be1faaa259175d4
Author: Torrey Searle <tsearle@voxbone.com>
Date:   Fri May 29 09:30:56 2020 +0200

     misc: examples/kemi - fixes to the python script
    
    remove dependency on Router.Logger
    remove ;
    fix comment ref exit()
    
    (cherry picked from commit df2fa2c5589bd5f651e814e32e2edf00c23ffebc)

commit 7b241198698db2ee483be13ab87d4d5bb37c7d85
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 26 15:05:15 2020 +0200

    tls: better log messages when failing to create ssl ctx
    
    (cherry picked from commit d2906da97d2429bfdff089203f933de2d282a86d)

commit 1f1b0517ddcb11c51e7211a902c2ca7eb338ef49
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 26 14:56:47 2020 +0200

    tls: Makefile - option to link against libssl static libs
    
    (cherry picked from commit 3e7278f28c43b830a197e2f7b212ec6f06e5acbf)

commit be5ded1ec663ba8b364e0bafaac1a07de1e656f5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 26 09:24:17 2020 +0200

    core: async task logging on no callback
    
    (cherry picked from commit 8893e6f2b30577b065f11a406faf5c5935714f78)

commit f53ad6d78d77d160682e151b92cba4dc8a0c2fba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 25 11:06:24 2020 +0200

    doc/docbook: added entities for kamctl and kamcli
    
    (cherry picked from commit 80e46395a3a937a5c5691c438db11bc059be6b38)

commit 553438bf0df14ff7b2c450c3e73f909005260f3e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 24 15:43:28 2020 +0200

    lib/srdb1: schema - added id auto-increment column to matrix
    
    - coherence across all tables
    
    (cherry picked from commit 740840ebe9538c1a3e6e3a49d82d437602b9d91a)

commit 915c8a0d45710148ca781b3389e8397d6d7ff098
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 19 14:23:01 2020 +0200

    core: kemi - functions to test http methods
    
    (cherry picked from commit f2458a66ae46a74b83fe2a3f3886f6015249a960)

commit fed572ae474ca95eb35f712a4173451a8f98d825
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 18 11:28:20 2020 +0200

    core: kemi - added KSR.is_KDQM()
    
    (cherry picked from commit 17d3040365400d14d251247c9c3319fc003f2cb2)

commit b50e0041c0d485d82434381f66c1f6d21a2d003a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 18 08:29:09 2020 +0200

    core: kemi - added missing is_MESSAGE()
    
    - GH #2331
    
    (cherry picked from commit 8db5a12f7fab1a1fc7d50c87bbf1aee325b067c2)

commit ac73bd096869a1cb13ba3145ad45a76838d023a9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 17 10:01:18 2020 +0200

    uid_uri_db: use file specific include guard
    
    (cherry picked from commit 7749069cd05b9619ee32237773097441e241bac4)

commit a27d7da420ca0713201ca5f55ed79749d9ce213c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 17 10:01:00 2020 +0200

    auth_diameter: use file specific include guard
    
    (cherry picked from commit 9053c70fe7e147b784c53a57014796282701c74d)

commit 83f20f6b0e8a3e4a6c6b5351526f67b63f10da3e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 17 10:00:28 2020 +0200

    acc_diameter: use file specific include guard
    
    (cherry picked from commit 3d73e8cb9f7431383c5a4ce798e2610f37ff92dc)

commit 3a288421dbbffca9952200533668a653d6a4c170
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 16 15:21:43 2020 +0200

    websocket: use signature macro instead of offsetting inside server hdr define
    
    - pass rcv info structure by address
    - remove function name from logs
    
    (cherry picked from commit c0e687d820f9bbf2b6b1ef6892e5b34c30f25a63)

commit 34eafd03b97c857682f9177ec4d7d1f983ff5bf2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 16 15:20:45 2020 +0200

    core: define macro for signature to be used for server and user-agent
    
    (cherry picked from commit d26ccdea61230bfc7720a2523c7b6dd8d2692d6d)

commit 749dcc5b6d03889609685957538dc90bccce5703
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 15 16:51:50 2020 +0200

    rr: updates for outboud module api
    
    (cherry picked from commit 6aca846dce4b797a66aaa865fb5a1e81f7806b4c)

commit 8ca76f01711e59fd1567bfcbd785cb0b7b8b3942
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 15 16:51:41 2020 +0200

    path: updates for outboud module api
    
    (cherry picked from commit 97c7081df94eaabd8e48b084671ea831b5ec9024)

commit 40e3773f28faf392475b142f54f301d7c0ec6f6e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 15 16:49:17 2020 +0200

    outbound: pass recv info struct by address
    
    - fix performance inefficiency for passing large structs by value
    
    (cherry picked from commit 56ea88ef9a0628d7ca644f31840101ffe573e5c3)

commit 88935e040472ac0b5633173dfcd97251c09fa5c2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 14 21:21:51 2020 +0200

    pua_reginfo: free xml doc in case of error
    
    - a few whitespacing fixes
    
    (cherry picked from commit 7ae675bd90b4420ebaa17768c97aa09219f53116)

commit 129986178fb1e11e1e3132155445c16f7ba8ac78
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 14 21:15:51 2020 +0200

    evapi: cast to void* when printing logs with pointer value
    
    (cherry picked from commit 4ad790f697554332ea590793d3ec56e13437e82f)

commit 4f9f7160511a5f9301e2fb5764d857f58eb8f95b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 14 20:37:09 2020 +0200

    tm: safety checks for branch request len
    
    (cherry picked from commit c45913497f222c67bcccdbc8724b25bb083c556f)

commit c90fb35fbd5091e929f8b3b5064d8fe9ef674487
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 13 18:35:56 2020 +0200

    misc: examples/kemi - small typo in lua example
    
    (cherry picked from commit c1d3fdb31871078b666278a933dbab20a0a8dca3)

commit c27cad6e743083b56c38f8eaf87ddc43e68b5068
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 12 19:52:52 2020 +0200

    core: explicit cast to (void*) for %p format printing
    
    - c standard required that for a defined value and in some cases the
    code analysers complain, especially when reading the value via
    socket/file descriptor
    
    (cherry picked from commit 730f65c06d0b8436e4a9cd0c1a62d2433819dc45)

commit f1af2147c506b3c01c80dcc66d294481530fd957
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 12 18:01:15 2020 +0200

    imc: reserve last char in global buffer for ending zero
    
    (cherry picked from commit 702630b484ac6f7c017829c24294ce7552f1682a)

commit a6a7e9b57edef5794a96299ce77c27db5667e4b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 9 13:53:19 2020 +0200

    regex: leave enough space in buffers for parenthesis and -ending
    
    (cherry picked from commit 9cae069832c8f37ebf9e686b3fbcab5d63652755)

commit ea06c83da7a2d592b856c01c6677692d1311e3f9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 9 11:00:20 2020 +0200

    core: udp server - add sockaddr_storage to ensure enough size for sockaddr_union
    
    - safety check that from addr len is matching expected size for listen
    socket
    - rename local variables to suggest better their purpose
    
    (cherry picked from commit d13f863e74c6c0275264e588f1dca206cf099587)

commit ffc82295b14980283b88cac4793a3331788f413b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 8 21:28:01 2020 +0200

    core: safer truncation of hostname using memcpy
    
    (cherry picked from commit aac577a4655ebf09d5cbef3e1a49f72d25ea57d7)

commit c4471752e9f5b75b553676e7a0c8e783c2608a6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 8 18:01:13 2020 +0200

    sipdump: safety check for local socket pointer
    
    - use generic address is not set
    
    (cherry picked from commit 3e969a5b4d9a75d082f7d59b0fa1dc6362391675)

commit 6db082b757ef4552c254ba9974ed29fb8dd1a53c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 8 13:54:49 2020 +0200

    core: events - increased SREV_CB_LIST_SIZE
    
    - there can be several modules registering for these core callbacks
    
    (cherry picked from commit fc7b0d65a227a176f79459c86844668bcd519148)

commit 7307b51b439f2d1fde1cc959c9eabc786eb1558c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 6 17:13:16 2020 +0200

    htable: use localtime_r() for a safer multi-thread usage
    
    (cherry picked from commit a6a4046757c2cac79455aa4a2d2ac632faa5e379)

commit 51ba498700c239d1721534d01da65fa90e95d069
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 6 17:03:45 2020 +0200

    pv: use localtime_r() for a safer multi-thread usage
    
    (cherry picked from commit 14645b550cf9500e6a6e4a7d2ed8749e9aa174dc)

commit 3b0cbc3002280b21e0e77769276eeaf1a7a3af6c
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jun 11 13:01:33 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 8b0cd13f0dc08f9f4ecb0d9b716d651ff23ae2f3
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Jun 11 10:45:00 2020 +0000

    ims_charging: fix errors in docs, add missing parameters
    
    (cherry picked from commit d4f3d0e705f38c61c842c5f6a367a9768e592965)

commit 7453e9198ac3149e09cb04416f06e7303f32dd3c
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Jun 10 15:36:48 2020 +0000

    cdp: better compatiblity with certain Diameter servers
    
    - better compatiblity with certain Diameter servers
    - some Diameter servers do not include Supported-Vendor-Id AVP in their reply
    - assume in this case that the server will support our proposed applications
    
    (cherry picked from commit 1a462ed4cffddd5f691b33adb859c286a0c074df)

commit 386669407ec3a04c00ca43ddcce256c61b86a867
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Jun 10 15:31:13 2020 +0000

    ims_charging: initialize ro_forced_peer variable
    
    (cherry picked from commit 7cae3e5e0df27bf3481cbf0680bf86902359a97c)

commit 5284b907357aa0dab0aa8eb655eeac81a7af60e9
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Jun 10 11:50:51 2020 +0000

    ims_charging: fix missing line-breaks for log messages
    
    (cherry picked from commit 508786fcdbbc120215b3e7dd90d92ab40c3b1e4e)

commit ccf7347e9f756b36e5baa65d93dab520098d3993
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Jun 10 11:35:37 2020 +0000

    cdp: add missing line-breaks for log messages
    
    (cherry picked from commit 32a0d8073eb1b7f01190d305d318b43268811be8)

commit 249d558c0e3ae0c0e24d508d2e7a9c2853078a8f
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Tue Jun 9 14:02:50 2020 +0300

    pkg/docker: updated alpine docker packaging submodule

commit ef221027a448d77337225e376362b26b2618f050
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jun 3 21:46:20 2020 +0200

    pdb: use memcpy() for PDB_BUFTOSHORT macro
    
    - related to GH #2345
    
    (cherry picked from commit be57be33d0e48d412ddab9801ee4d6d906329d70)

commit 88676c2f083c2d7e52ae6b42f5cbe83f64357865
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Mon Jun 1 07:29:07 2020 +0200

    dispatcher: don't reset load table when adding/removing a destination or reloading the list
    
    (cherry picked from commit 4099a6caf856c9af4d7d89aec73db143efbcd40b)

commit ac47ce9019616ffda2d206f42fbecb142a5fc55d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 19 13:43:10 2020 +0200

    dispatcher: sync on load management operations
    
    - use locks to increment/decrement call load and get least loaded dst
    - GH #2322
    
    (cherry picked from commit d14833d9d1ad6cc92c65e279b7dd89b3b922f129)

commit 0dd7f9e939c2cc54b338a1432847622f7c4e385f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jun 5 19:31:20 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 1b27855539f42f5dece0232c90ee0857ca012ebd
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Jun 5 17:29:17 2020 +0000

    siptrace: extend docs that force_send_socket parameter is only used for HEP mode

commit 16a94677a5aeaa499eaf09eab4cd057a720b3200
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jun 5 14:31:20 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit dd9b9df93f33819f64831ea7f4a801a2b1b6c50b
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Jun 3 13:22:21 2020 +0200

    cnxcc: don't terminate non confirmed calls
    
    * non confirmed calls can't be terminated via dialog.terminate_dlg() API
    * set call.max_amount to 0 to terminate the call if gets confirmed
    
    fix #2346
    
    (cherry picked from commit ca0fc18e1cfad86ed6b7530d6c520b680e5d6a4f)

commit c1b9bf212829f89702fd34cf62c493060d7c5616
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue Jun 2 19:12:31 2020 +0200

    cnxcc: minor changes
    
    * use [PKG|SHM]_MEM_ERROR
    * use memset and avoid initialization per field
    * init variables
    * use localtime_r() for a safer multi-thread usage
    * replaced deprecated STR_PARAM with PARAM_STR
    * clean includes
    * clang-format
    
    (cherry picked from commit e98457faf2098ca2f16a831a4a68d2a26e301b0a)

commit fca18567f458fd3860a63ab37a9e7e2fe89f0019
Author: Jose Luis Verdeguer <pepeluxx@gmail.com>
Date:   Thu Dec 19 17:58:45 2019 +0100

    cnxcc: updated readme file [skip ci]
    
    (cherry picked from commit cea7fa14b0aefc647d28eb1bf56faaec89d90d67)

commit daecf0490c144a6f3fd5c66c53a86f33b6295681
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Nov 18 18:29:05 2019 +0100

    cnxcc: use snprintf() instead of sprintf()
    
    (cherry picked from commit 05bd956a9980ffc8938cdbce6bab3af5086350dd)

commit a41dcf3259d72dfecf4cd34638d885734dc7a5ea
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Jun 5 12:31:49 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 0f733090f69f88a153040e0051057bfd3a9a8404
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Jun 5 09:25:04 2020 +0000

    siptrace: fix regression introduced from 4e9a760123c for siptrace(), sip_trace_mode()
    
    - fix regression introduced from 4e9a760123c for siptrace(), sip_trace_mode()
    - it was not working properly without destination uri in non-HEP mode
    
    (cherry picked from commit 21338195e74b09ccca29d6479e698417ed34cd42)

commit 05a6f13c40249e0d658016652ae46b8512149857
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Jun 5 10:29:10 2020 +0000

    siptrace: manual backport of 75e6e370ceb7, improve documentation for siptrace and DB setup

commit a35a2f3d3f9d2a371ebb2e5c0da67dec24906b77
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Oct 18 09:59:27 2019 +0200

    pkg/kamailio/deb: update [skip ci]
    
    * define User and Group
    
    Thanks @sergey-safarov
    
    (cherry picked from commit 0436af5abd8b73e17f65020c74943f0f3b72ba0d)

commit ed2b91a57f648334a72aa18b9538230caaba7829
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Oct 18 09:47:07 2019 +0200

    pkg/kamailio/deb: update /var/run -> /run [skip ci]
    
    * introduced on Debian since 7 Wheezy, on Ubuntu since 11.10 Oneiric
    
    (cherry picked from commit ac21d494253eddd085197e2862c3206efff8233a)

commit 5be2234db7992309d128e6b999771fb298c01fd5
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sat May 23 22:24:25 2020 +0300

    pkg/kamailio/obs: packaged xhttp_prom (prometheus)
    
    (cherry picked from commit 3e77c574c340941f36ca8f9081a77c5b476f8c8c)

commit be32a0896187b385cb9f708abaf72089e5c35adb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 4 20:05:26 2020 +0200

    rtpmanage: enable hadling of PRACK requests
    
    - they can have SDP
    - use more compact bitwise match for method types
    
    (cherry picked from commit de77beffb436e783031a6aa71c1887848cb2cc73)

commit fc28a14203f59c62d2c745ffd294a5091bf8cb26
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Sun Apr 12 19:03:52 2020 +0300

    pkg/kamailio: fixed python3 deps for RHEL 6
    
    (cherry picked from commit 5f31a56acd25f892e6275e6ac786677f2eb2be0c)

commit 957335591e589cde0ae3127b6d2e50c092708e0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 29 14:17:19 2020 +0200

    lib/srdb1/schema: removed kamailio-extensions.xml file
    
    - file didn't have any content itself, tried to include an inexistent
    extra.xml, which generated an warning for 'make dbschema'
    
    (cherry picked from commit 367a865e7f0c9cd67fda9176add1ca3c0dad2d46)

commit cc31c71e56f8feeeab45532f8fa954991817ed6d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Feb 23 21:45:48 2020 +0100

    core: better debug logging in mk_action function
    
    (cherry picked from commit 10b96696b82d2e70c15f3e4bc52097f0a5062499)

commit 99c3ddecd7887abed5ab087decdd9ff3712ff545
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 10:47:48 2020 +0200

    pdb: covert byte-by-byte from buffer to short-int to avoid unalignment compile warning
    
    - GH #2298
    
    (cherry picked from commit 86ebb4eef482b37a3bb8bf033caa4d87fd8aeb87)

commit 2396526ca13f3373d41d727119326fd9a41b7eb7
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Mar 29 11:27:07 2020 +0200

    lib/srdb1: fix warning about wrong namespace in version.xml
    
    (cherry picked from commit d4311f3dfa3fc6c3836e8573fb12bc2ae4b6c264)

commit 11f64c9562c71b45497901be6b606ba86546126e
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Thu May 7 12:49:20 2020 +0300

    ims_usrloc_scscf: extend and fix log messages
    
    (cherry picked from commit b2487d95f61b46033eb2825c5f54d5f19ca1e878)

commit ebd35b33f3afe9aa1b1858f07b672370267f532c
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Tue Apr 21 13:55:36 2020 +0300

    ims_registrar_scscf: fix aor generation in lookup()
    
    - Generate AoR in lookup() from parsed uri user and
      host. Skipping all user's and host's parameters.
    
    (cherry picked from commit e53b25f89a14aba93d3c48a1b2f983114db1760c)

commit 702ec6fb87ede0fe20e621b1e4a8eead057b0fcc
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Wed Mar 11 17:56:09 2020 +0200

    ims_registrar_scscf: fix multiple contacts in NOTIFY
    
    - Prevent multiple contacts for NOTIFY message in
      Message body <registration> tag after
      RE-REGISTRATION procedure.
    
    (cherry picked from commit fa8b7941c4d14625beadd4943d89e898543c7377)

commit a91e7fdc9128b59c2084cab1a0e7c0ecbaa791ca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    xmlrpc: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 994a8dfc070d84b5dad28fa873d8759280c910f2)

commit 81eb48d0627e9b677114fdce8e0890bf4f4c9e62
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    xhttp_pi: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit fe173b2af121b2d6388fea3632037a0ea2999988)

commit 5cd1c93c452dc37ee96b2cf9959ac3c7902d4921
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    xcap_server: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 169ccce5e3cb302352b1e4d5ac0a0dc58eb552cb)

commit 40c925ae5cd7726d5730486999671cd26db7a21d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    rls: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit fbfe21f54c7fd845bf9c99c4091980b1ee4d61d5)

commit 31097600fa8ee6867e6c6dccdb9537066561c942
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_xmpp: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit d40a924bd698ddf365b4db52cba2ab45f7d7a6e2)

commit ef5a8bcc8bc986e1658dc863f4eaecfd21deceb4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_usrloc: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 20d9453cd3259e8afa1de92a7dba1d25f5f43fe4)

commit ac699321c417232a0444d84b7e0c147915d8c5c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_reginfo: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 7f6648a8586fdfd5a1fdba05556333095bc25777)

commit 74b7f6bca2e286a151a093d5b1f4d26cffa6b942
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_dialoginfo: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit b4842e81e3aa861739c996ff795b6d7261202b66)

commit 016747536accc3fd32654b0197735dab8d19a526
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua_bla: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit e00ce6016afd5c0fba084a19a45fb13353e7f6f4)

commit f05809a2a1aaf2e599646f18ffd42bf97c9efa9b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    pua: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 4f43047172260e1a524700a866693f99ea11383b)

commit 9e01d1bc26443b7fe95ce8bc894ba5b8ed1151a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    presence_conference: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 8e9e1fdeacc4c1b2b0cd67f1b36d73737dacd015)

commit 65228082e4cddec5377632e50fbf09ab0f0a1b0b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:51 2020 +0100

    lost: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 8d7c0f80083351de98b99d2505170b740974080a)

commit 44442227e6477f52ed06287827ac81817f2bcd50
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_registrar_scscf: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit ff92622c3b4c6224f75318ba9e39c9b4389bff1e)

commit d2076d22d30f1ad71a69c178d6f5ff42d55f9fc9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_registrar_pcscf: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 29573bbdb09412c9cbfe839f0c80b7dd7fe77804)

commit dad9ce4a79efa93bb0541bc610ab4061e8ae25f3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_isc: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 71e67531194aa867b8f3f32b72d07e1bd4ad7dff)

commit 457d46778bd8b88ffb319779cdc3b967f182d949
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_icscf: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 80f2eb33a967ede3e70fef572dc9b42172ad067c)

commit c3ec851cae8609660372b28f6c4eba1b632964f6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    ims_auth: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 4d3496fb82df1d249a78365e0c50b4ec13989261)

commit 863882cc2b4980a3215bbb5310720fb13cf4f2f8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    cplc: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit f05a46dc79de45c6cb958b845b9f2d85452c4f37)

commit 9708c4b553692747603923fa8562f3731140413d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:25:50 2020 +0100

    cdp: Makefile - use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 2749962b8354be1731ab68a0ae4aa0fac4f944e1)

commit c81c26637bd9a4869cb446c6f70f21cf04cd79aa
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 10:08:58 2020 +0100

    lib/ims: Makefile - try to use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 58deac2e7fd62afca409b17903deb951493b213a)

commit 2012b6ff81c87be6c05cdf25f4f2a9b812a5dae7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Feb 12 20:56:05 2020 +0100

    xmlops: Makefile - try to use pkg-config if xml2-config is not found
    
    - GH #2199
    
    (cherry picked from commit 64d37971d2d3fbd87176fe71ae19adca7f47a6ea)

commit 39fce673e50a52dbb0b1c8c786c98b15e8bdfeb7
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Tue May 5 14:20:07 2020 +0200

    ndb_redis: redis_cmd() check reply type to detect command errors
    
    fix #2300
    
    (cherry picked from commit d00b14704805d728f5a845a6af900eff1ed372ac)

commit f977da4c7058a62919557eba3f6edcd5faa61cda
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 7 08:19:36 2020 +0200

    kamctl: regenerated db schema for secfilter
    
    (cherry picked from commit 59c49af039f468466b0d853a4ceab8fe7f566215)

commit 221175ff31bfead160ef9f3bc8ac613a107f98cf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu May 7 08:19:05 2020 +0200

    srdb1: default value set to 0 for number types
    
    (cherry picked from commit b0f1486f8a656922aac02020c9e3141639f2ecb9)

commit ac1b7f30b4cdc6d48d77f19421822300bcaa34be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 6 17:15:36 2020 +0200

    pua: use file name specific include guard
    
    (cherry picked from commit 076649793bfdbdc4f03f96961f23997c87ce4268)


===================== 2020-05-06 Version 5.3.4 Released =====================

===================== Changes Since Version 5.3.3 ===========================

commit 195c2602db69b37db66662e736e6e43dc65a16b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 6 13:21:19 2020 +0200

    Makefile.defs: version set to 5.3.4

commit 9f2af321f677c0b5173ea4f99bef667fd6320a1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed May 6 12:48:04 2020 +0200

    pkg: set version to 5.3.4 for pkg specs

commit 4322479f914cc4a256000c1dae44129939d4dd10
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed May 6 12:31:52 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit b03c2cc751524197530899c38ca2e44845595e76
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 5 08:07:14 2020 +0200

    snmpstats: use file name specific include guard
    
    (cherry picked from commit 13622cf6e36e50c42ec882272b1c48107fa55677)

commit f84454927bf9435a44bef595dc2df924eb051487
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 5 08:06:56 2020 +0200

    ratelimit: use file name specific include guard
    
    (cherry picked from commit 68b5b3ce5b8ae38ed5ba7731ae1a6315adedd0e5)

commit 9e5c25ea35fd949e3ed458b23dd4ecd369bb09c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 5 08:06:31 2020 +0200

    pipelimit: use file name specific include guard
    
    (cherry picked from commit e4356d56d57599ff063e6849cab8cab5267d26e0)

commit a7a6505314d47346b728c65fbe26485d42293599
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue May 5 07:59:32 2020 +0200

    app_sqlang: use file name specific include guard
    
    (cherry picked from commit 9a2fea75dcee851b1dc22e5a9e7a6ee0d05814ef)

commit 25d173a98ea0b5c07e4018da0cd03649ae6db563
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 4 19:38:07 2020 +0200

    usrloc: use file name specific include guard
    
    (cherry picked from commit f4f66ad91324116e5d4e9e02fa9caedcad2b2d2f)

commit 3234f21edcffdf74fdf23efc5fae4fbc524e58a2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 4 19:01:21 2020 +0200

    uid_domain: use module specific include guards
    
    (cherry picked from commit b3c981db67845622fb8c85a20e18e1b98c29eb69)

commit c0b87c2cc13b1f46b8c5c902a0f5a82e913b85d9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 4 18:35:00 2020 +0200

    core: hash_func.h - use file name specific include guard
    
    (cherry picked from commit 9691f6e0cab48114ef4067a22cc8f9c1efb8944c)

commit ac3fe062bd9b429133ab086fc28e15b97421a092
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon May 4 18:26:47 2020 +0200

    libs/srdb1: use thread safe localtime_r()
    
    (cherry picked from commit c01633dc54d8d4dc3b3bc2cab064f91a49c8257d)

commit f3dbeda6825b5cd6c28a3258503e27ec2462ebd7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 3 11:05:45 2020 +0200

    core: utils/tmrec - use safer localtime_r() instead of localtime()
    
    - coherent whitespacing and indentation
    
    (cherry picked from commit a7496069c60479e41d92830172bd5b9315001df5)

commit 758229d440d95a58e839a50e9e8ea2591a43a992
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun May 3 10:39:22 2020 +0200

    misc: examples/kemi - missing parameter in kamailio-basic-kemi-python.py
    
    (cherry picked from commit 6b69754f28ab8df61852b9f8695e59305a7c6c3a)

commit f128c37d77d2568f7b378e8d08265e1fb2265bf5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 08:46:28 2020 +0200

    core: more debug messages when matching myself
    
    - coherent coding style for related functions
    
    (cherry picked from commit 34b9b59b97f7d529025863992408fd60a27a941a)

commit 8f5653e6cd84bc1dfa2498959b99f3fe2911b483
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat May 2 08:18:58 2020 +0200

    kamctl: kamdbclt mysql skip creating dbrouser if same as dbrwuser
    
    (cherry picked from commit 66ef7ab7b078794b96ecee13f6867d5f90a8d63e)

commit 4790825cc98068b07c1e0402bdea93f839a1fd77
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri May 1 17:26:39 2020 +0200

    htable: docs - more details about size attribute for htable
    
    (cherry picked from commit 35f711e6ec74c6e67edf99adaa15cc353f2ce949)

commit 291dc3e6cdc77e912e6a2e71b01250e709d26183
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed May 6 09:23:41 2020 +0200

    pkg/kamailio/deb: version set 5.3.4

commit e26e587f31eb23c431a2cfb149ec7a86b4f648bc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 15:22:36 2020 +0200

    utils/kamctl: dbtextdb.py close previous opened file properly
    
    related #1747
    
    (cherry picked from commit 5f52f9905bbdf63d636080f7d0340af4f71ed12a)

commit 5a90c8bc600fe9a93a5ce4f828ce50f3bf532b99
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 15:05:23 2020 +0200

    utils/kamctl: dbtextdb remove DeprecationWarning on test
    
    related #1747
    
    (cherry picked from commit 765efa80c7d27e9447bc1ad8a354ee24723580ef)

commit c4dd3218e6b723c688762a5c4253fa70f3f588bc
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 14:01:33 2020 +0200

    utils/kamctl: fix dbtestdb
    
    some indentantion errors introduced at https://github.com/kamailio/kamailio/commit/bc8bdcaa726f375f6deea8228a1ab0cf97c67035
    
    related #1747
    
    (cherry picked from commit b722a48144ac9e029bdbc2968dedbe56966a3f7c)

commit 5f6f4331811e654e75b49263f8fb823bea9874a3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon May 4 11:33:12 2020 +0200

    utils/kamctl: fix handling of Exceptions
    
    > Traceback (most recent call last):
    >   File "/usr/lib/x86_64-linux-gnu/kamailio/kamctl/dbtextdb/dbtextdb.py", line 1239, in <module>
    >     main(sys.argv)
    >   File "/usr/lib/x86_64-linux-gnu/kamailio/kamctl/dbtextdb/dbtextdb.py", line 1233, in main
    >     except (Error, e):
    > NameError: name 'e' is not defined
    
    (cherry picked from commit 1aca79c43cb8dbd920c1eb81c0c30cf89f0985b9)

commit cca28078f7fe329046744c9b63d01bb9945a8dca
Author: Donato Sciarra <donato.sciarra@bmw.de>
Date:   Tue Apr 28 10:33:23 2020 +0200

    core: do not use tcp id for lookup if not needed
    
    In case the first lookup (with tcp id) is not successfull, the second
    attempt should have been performed without a tcp id.
    Issue was introduced with dc43750644 (new global parameter
    tcp_connection_match) in 5.3.
    
    (cherry picked from commit 24a3a172dbdecb6e987df943a3ad1acb4da664b5)

commit 178cbde6eac86a86b92b107cf2f039400c578a5f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 10:25:28 2020 +0200

    app_python: use -fno-strict-aliasing for gcc
    
    - python2 is known for not confirming strict aliasing
    - it is EoL and likely not going to be fixed
    - GH #2298
    
    (cherry picked from commit 3366bf4f3746285d9dc29e8a2461f53983f0acf0)

commit 21e8b244cea32cd3dedba6fb515877a7cdf47a7a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 10:25:06 2020 +0200

    Makefile.defs: expose CC_NAME variable
    
    (cherry picked from commit e64b29141afddf06bf7d5d68aa88679b54c5076c)

commit a5d2abed49bde56f4bdda42aa6a941f419186baf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 09:36:36 2020 +0200

    redis: init variables to get rid of compile warnings
    
    - GH #2298
    
    (cherry picked from commit f1de08eef86dc2cd98509c90fa8b28212d47ca37)

commit 0b6283dc6006c8817664dd915057442500e0dae8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 27 09:00:21 2020 +0200

    db2_local: replace timelocal() with mktime()
    
    - timelocal() is nonstandard GNU extension, not recommended to be used
    and mktime() should be equivalent:
      * https://linux.die.net/man/3/timegm
    - GH #2298
    
    (cherry picked from commit a0fb220a8b60b135cabf6741882437317116d868)

commit c26f248ba5be9f56bc1c58ad531fc5ead060a2e2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 23 10:21:22 2020 +0200

    ims_usrloc_pcscf: fix value array size and compile warnings
    
    (cherry picked from commit 1292e40c5260fa77d34db91abf7aacf47549d5e2)

commit 479ff8fb8761e9780bd33adf977bd44868f59b97
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 23 09:57:05 2020 +0200

    db_redis: var initialization and safety check to avoid compiler warnings
    
    (cherry picked from commit b9b177ccffd58b11cf460764514486d29637dd55)

commit 5b44b60173cb8c5415144b88090ee0f9884f8f76
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 21 09:15:48 2020 +0200

    presence: increased the array size for rpc cleanup doc
    
    - reformatted the static structure for coherence
    
    (cherry picked from commit 318c6a068916b478f16702c6f05b16eb8b64ac20)

commit 50cb164e805a8690288b36d02c94f23149e91922
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Apr 27 14:31:34 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit be8a7c4c2857a24dc208f58f5ebfa7426f550633
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Apr 27 12:19:35 2020 +0000

    rtpengine: remove obselete auto-bridge flag (GH #2301)
    
    (cherry picked from commit cf084881d79dc18d8272fc4a9f89c0bfc8e1fde0)

commit cb4307c4d863537a5d9ffaba71e9f7680a9d7618
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Apr 24 14:31:57 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 4ba75bce02fc7489462bfa1076313510612f7298
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 11:58:23 2020 +0200

    nathelper: docs - fix ending tags issues introduced with previous commit
    
    (cherry picked from commit 288f1f17cb36cd69ea2daed7afcaa859ccc72d58)

commit e5262a61b7fcd87ef39d3cd08c78cffc7fa48011
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 09:54:48 2020 +0200

    nathelper: docs for nat_addr_mode parameter
    
    (cherry picked from commit 9721922e2e47f3e8403bc540ecd73b55f41d5d91)

commit 657ac663b973ef769dea21f9983ff0e2cf8e2444
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 09:40:42 2020 +0200

    nathelper: new parameter nat_addr_mode
    
    - if set to 0, default private net addresses are checked by
    nat_uac_test()
    - if set to 1, other reserved net addresses are checked by
    nat_uac_test()
    - default 1 (reserved addresses are considered not routable)
    - related at GH #2277
    
    (cherry picked from commit a10e7652f24bc7ed8e74ff27d16da5d77689b6ac)

commit 0df6a22015d48a57a91ac4b34411fad0a7272179
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 23 19:04:58 2020 +0200

    dispatcher: handle the case of maxload 0 for call load distribution
    
    - GH #2297
    
    (cherry picked from commit 0115d3424c0f8780a661882527f39b2b39d0e74e)

commit d055ccbc845291b64b73064853663f80f3da7aa9
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Apr 22 16:14:54 2020 +0000

    auth: log correct variable name in nonce-count error message
    
    (cherry picked from commit 75ef2a31ee3abd9e840788a3389cedfac8767cd0)

commit 781a20ab23738d8a3639f3b973bb07df41b0735f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Apr 22 15:01:26 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit a82c6a6c4d7836e6cac586872bdc384abb657c60
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Apr 22 12:52:12 2020 +0000

    nathelper: update flag documenation
    
    (cherry picked from commit 95fa98e254ae85b29fa80a8cddde3442b69ca9dc)

commit 3333d76e57c637b6d6dd7617ba4a51892a836d04
Author: Federico Cabiddu <federico.cabiddu@gmail.com>
Date:   Wed Apr 22 14:17:14 2020 +0200

    siptrace: siptrace: fix memory leak in fake replies tracing

commit ff48cc5311d55176118ad57cf2d4417a2d229766
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 17 19:04:16 2020 +0200

    http_async_client: do not set global avp lists from t on async callback
    
    - they are done by fake_env() used inside t_continue()
    - they were set without reset, living in the process context, resulting
    in invalid access when async callback was executed with faked_msg
    - related to #2286
    
    (cherry picked from commit 1bc3bbd010705ee247345c1ed9b36210bb8d9ed1)

commit 44ccb90f1e5205fbba593a93c7f36f79b9784ea7
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Apr 16 14:46:30 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 52aa43febb06f69427a4fe5860f3005880c4c6d7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 4 09:25:37 2020 +0200

    core: functions for light comparison of uri values
    
    - match uri type, user, host, port and proto, but skip params matching
    
    (cherry picked from commit d1584cff4766d45147cc3ed88da91ab691437799)

commit 52bed0c797b79b7e97f5d01fd9fb0ea69c9f4b64
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 12:38:20 2020 +0200

    tm: do not return if kemi callback execution fails for t_continue()
    
    - have same behaviour as with route blocks
    
    (cherry picked from commit 2161f0cc316af0e1153b01f327d0e7c50523060c)

commit da0c6ba521665d2f898f508cf99c58662518ecca
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Apr 16 09:25:05 2020 +0200

    nathelper: moved cfg file to examples folder
    
    (cherry picked from commit 097f613f0e1d4ef67a6d9022f33f037921cd9a9c)

commit 76c825fa03e89d094583b2d778f2bde63772b360
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 15 14:20:48 2020 +0200

    core: receive - removed unnecessary time zone parameter for time difference
    
    (cherry picked from commit dbec3e4f682b17fc706cf9ea486229a51928e2d0)

commit 613e68a3bde21722c9bd8e8d2169860a29224b71
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 15 13:33:07 2020 +0200

    core: data lump - updated comments and param names reflect better the purpose
    
    - coherent whitespacing
    
    (cherry picked from commit 36d55b1fca14eb1a055dedac2e3cdb81b48c3a22)

commit f1899b1e96d046392d7cdd9a567408f1fb0bd56f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Apr 14 09:19:44 2020 +0200

    presence: removed unused global var log_buf
    
    (cherry picked from commit 6ef70d7366d60c1c7c73aff987193340e0b7c938)

commit 2a0fa8133783d88b5672e0ff741f69ec3fc872f3
Author: fredposner <fred@qxork.com>
Date:   Mon Apr 13 11:49:06 2020 -0400

    tls: fix typo in documentation
    
    - params.xml: replace "private" with "private_key"
    
    (cherry picked from commit ad91985849e46beee757d48ee9041b81bef9bd81)

commit 0889852ca52d304cf15fe39f8fcf3b11222646f1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Apr 13 12:14:52 2020 +0200

    misc/examples/kemi: make reply code integer everywhere
    
    (cherry picked from commit 28be94ea97216ba7ac1420130cc01ebda167c5d8)

commit 8ab8b455f4c07014d2bd0648122478d4df07e301
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Apr 9 13:19:00 2020 +0200

    misc: kemi examples, add missing kemix module
    
    change introduced at 01ac570c2fbda800d1e00cd50305739cf0596ebf
    
    (cherry picked from commit e123971726a8d18627091870086ee7d244e9802f)

commit 1579b7855d09967a92c79df26dd8bda87067b1cc
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Apr 12 12:06:52 2020 +0200

    app_python3: Makefile - suppress warning if --embed is not supported by python3-config
    
    (cherry picked from commit 392688fc756a97f65c2433bb6af7adedca4e0abf)

commit 3026641a218508044190adc856d160d322667c05
Author: Sebastian Kemper <sebastian_ml@gmx.net>
Date:   Sun Apr 12 09:37:48 2020 +0200

    app_python3: update Python3 detection mechanism
    
    This commit
    
      - removes the python calls whose output is never actually used.
    
      - changes the include discovery to use python3(.x)-config. This is
        preferable because it also works for cross-compiling. Calling
        python3(.x) directly will always provide host flags, which for
        cross-compiling is not feasible.
    
      - updates LDFLAGS discovery to also work with >= Python 3.8. To
        achieve this python3(.x)-config is first run with the argument
        "--embed". If this does not succeed (exit status 1)
        python3(.x)-config is run again without "--embed". This is the
        method suggested by Python upstream to provide backwards
        compatibility. See [1] for more details.
    
    [1] https://docs.python.org/3/whatsnew/3.8.html
    
    Signed-off-by: Sebastian Kemper <sebastian_ml@gmx.net>
    (cherry picked from commit 05af36d34aa2668780aa111878206c6797fa98b0)

commit 9c15c3b108ddefd3261640d4c2556b07215b9240
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 11 18:35:22 2020 +0200

    app_sqlang: docs - fix for rpc command name
    
    (cherry picked from commit a072e170c07370f97716ae719abb35c508d98564)

commit 80b1c57cc9ff8a670ac88df5dbd71a9d88f52fa9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 8 08:48:55 2020 +0200

    rr: exported record_route_advertised_address() to kemi
    
    (cherry picked from commit 66582c49ee16a15a6859bfb094c2faaed7960d4d)

commit 48477857eaf4b5adc9d691f81688a5c17adab2d0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 4 09:48:03 2020 +0200

    nat_traversal: docs for contact_match parameter
    
    (cherry picked from commit 91c30dc8650d778851fcf439904557bc7363fcc4)

commit 426262c88e84073a9328c045b31ab400c10199f2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 4 09:38:55 2020 +0200

    nat_traversal: new marameter contact_match
    
    - if set to 0 (default), match request-reply contacts with string
    comparison (behaviour so far)
    - if set to 1, use light uri comparison ( match uri type, user, host,
    port and proto )
    
    (cherry picked from commit 531f2551affb06e71cbabbeba0e3174900e69aab)

commit 2762e8b5c5f12bb57418652ced2b6522eb61dbe9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Apr 3 08:40:10 2020 +0200

    kamctl: try to locate rpc fifo file in /var/run/ or /run/ folders
    
    - cope better with old or non-linux systems
    
    (cherry picked from commit 6a7aa74663a25b52651bc39e986849c62c8a50f4)

commit d04d748018631fd8ac983ec19041b8c5e5add882
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 31 09:11:40 2020 +0200

    core: parser - removed temporarily remark for module reserved internal flags
    
    (cherry picked from commit 8801ee89856d4a37709869a5c01dfa66988b8f5a)

commit 065668d6264573d33cd67e22272f5706b935a981
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Apr 11 18:31:44 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit 85dae9f150fde01afc3bdbc1e583b997b68bde6a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Apr 11 18:22:42 2020 +0200

    msilo: docs - fixed position of parameter and whitespacing
    
    - parameter position was broken at the end of file
    
    (cherry picked from commit 1e3d7d319d07cd022c374ed2698fb905dacf50b7)

commit be8aac491ebdc5b48bbcfe05f198a9c915d3bf00
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Apr 8 15:16:27 2020 +0200

    modules: readme files regenerated - modules ... [skip ci]

commit fa02f4346b40bad4d4782765709973dcfa0bee74
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Apr 8 12:45:07 2020 +0200

    rr: docs - updated ids for xref linkend
    
    (cherry picked from commit 62a2553043f81cd47f611d2829181604488a4b0c)

commit 54520cee9f6f088ddcfad0e7e6f312c04322bf76
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Feb 13 17:01:49 2020 +0100

    dialog: keep route block index as signed int
    
    - otherwise it can be broken value when route block doesn't exit and
    kemi callback should be executed
    - reported by David Escartin
    
    (cherry picked from commit 6c557efc1b9cb8c880a05235c94780bbaf305073)

commit 46ad9e6dacb7b6040e50ba0c53d72585510dac28
Author: Peter Friedrich <peter.friedrich@kapsch.net>
Date:   Mon Mar 30 19:02:29 2020 +0200

    ims_qos: bugfix for Rx register dialog callback
    
    - bugfix for Rx register dialog callback
    - In some scenarios like parallel forking several INVITE with identical
      CALLID and FROMTAG sent to PCSCF which inserts dialogues for each INVITE.
    - When 200OK is received in PCSCF the dialog callback must be registered
      for the respective dialog. Currently sometimes the wrong dialog is selected
      by searching with CALLID FROMTAG and TOTAG thus leading to problem
      no STR is sent at BYE.
    - Fix is to pickup the right dialog before suspending the transaction during
      AAR/AAA processing and reuse this saved dialog.
    
    (cherry picked from commit 2768f8ce1cf6da242674e7e40c8e76eb6c630f6b)

commit 8cee1675e95363462d20cdc2b8aaac1a6976eb9c
Author: Peter Friedrich <peter.friedrich@kapsch.net>
Date:   Mon Mar 30 19:00:58 2020 +0200

    ims_dialog: bugfix for registering dialog callbacks
    
    - bugfix for registering dialog callbacks
    - in Rx scenarios of parallel forking (several INVITEs with same CALLID
      and FROMTAG sent to PCSCF) and INVITE for orig and term handled in
      same PCSCF (means also INVITEs with identical  CALLID and FROMTAG) the wrong
      dialog is selected for registering the callback (i.e. the callback
      for sending STR) when 200OK from terminator is processed.
    - Root cause is that dialog is searched with callid-fromtag-totag but at
      the time of dialog insertion (processing of INVITE) no totag is available.
    - fix is to get ctx dialog at 200OK processing before suspending the
      transaction - save dialog until AAA is received - use this dialog for
      registering the STR callback.
    
    (cherry picked from commit e2a1b967fd6e2cc92dc1447e1c033f6124aca446)

commit 40586f8a61a27cc25df6c4bffff60205617eba88
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 30 10:11:54 2020 +0200

    tm: do not set msg tcp connection id in the dst info
    
    (cherry picked from commit 974c50aea6b581b5f8545f3d710e98b53d44bd67)

commit 2b8bf4fee656242eddc9bbc45bdb234d96eb518a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 30 10:10:33 2020 +0200

    core: do not set msg tcp connection id in the dst info
    
    (cherry picked from commit f9eaa1298f7263be53b709ab7b68336d09e9de0b)

commit cf28e401122daa6cd880af58e51519c2c7a43fda
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sun Mar 29 11:39:34 2020 +0200

    doc/stylesheets: remove obselete company and e-mail address from my name, update copyright date
    
    (cherry picked from commit 446dc8006240050a1e0c13c7094e9f9739cc16c8)

commit d91b5440947884ac00889bfc985d35564699dc8f
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Mar 27 08:46:30 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 082e7dfd9048c79e2d6b7cc6365bf4c61ba16b0e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 26 11:28:51 2020 +0100

    core: receive_msg() - init local variables for better runtime troubleshooting
    
    (cherry picked from commit 1611766a329aa60a690803d7ff179159a4657a56)

commit 6760931a9938fcd92e36a30821c5bc893d180667
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 24 15:23:10 2020 +0100

    pike: docs - aligned ip tree example
    
    (cherry picked from commit e65ce2fd407626acc89879033a2114cf521457dc)

commit 4b5d7ae9911d320a7c3335fb627791c1e629e60d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 24 14:50:58 2020 +0100

    sst: docs - more info about how timeout_avp is used
    
    (cherry picked from commit b800ffb9fb1de6ee0d7b6c2b42a25669022c1142)

commit 98b651a5cd3c5c782462867a4492717ef4ab7e3a
Author: Nathan Bruning <nathan@iperity.com>
Date:   Tue Mar 24 11:24:28 2020 +0100

    core: fix returning multiple IPs for a cached DNS entry
    
    (cherry picked from commit 29a35ec3cec8b9c3ee4b45c8d84308701bda097c)

commit 6b5052823d9e123a0e34c53d258b94beac32cf61
Author: Zero King <l2dy@icloud.com>
Date:   Tue Mar 24 11:12:39 2020 +0100

    rtpengine: fix zero-length log placeholder
    
    (cherry picked from commit 740afac15b3d8d618b5101a761a37f5808d4b4f0)

commit 6ac87dbf749c3c53cc1dfd031185ffd1a7d94765
Author: Zero King <l2dy@icloud.com>
Date:   Tue Mar 24 11:12:25 2020 +0100

    rtpproxy: fix zero-length log placeholder
    
    (cherry picked from commit 030f18b5cffeb117dcf582cf12c5b3c35ace1469)

commit c3273ba4bc3bc8d1395823f019ad871ce71695ef
Author: Zero King <l2dy@icloud.com>
Date:   Tue Mar 24 11:11:54 2020 +0100

    nathelper: fix zero-length log placeholder
    
    (cherry picked from commit 69714b26c63c75df6759f9158c7181d4f86b4764)

commit 261af6718472a7d3d62cb269f135ea12863a268a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 24 10:32:10 2020 +0100

    kamctl: regenerated db schema file with secfilter updates
    
    (cherry picked from commit 63cd404d4b46e4514ae1490303189a0f81def942)

commit f8b1f4f3b9447b2400c7cb241a83249c0c145c3b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 24 10:21:22 2020 +0100

    lib/srdb1: schema - use smallint for secfilter
    
    - tinyint is not supported
    
    (cherry picked from commit 7c8fdb0df37ee1466d7171ff3cff77e5b961abb4)

commit 5fc4b6871a2c9f8cca841350d4bd0c204d27fc5f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 24 10:02:38 2020 +0100

    lib/srdb1: schema - added xml file for sefilter module
    
    (cherry picked from commit 09c18bb06691ad29b71990179a3006b5bdfbf602)

commit f127bcec39888a8b34524e9f8ad336bce3eb447b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 18:42:23 2020 +0100

    rtpengine: replaced rtpproxy with rtpengine
    
    - avoid confusion in printed log messges
    
    (cherry picked from commit dda07c69420e1a38948dae4b71f8005b2375253b)

commit e59362c76599b29efa7722cebacb8ef0005ca8fd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 17:57:48 2020 +0100

    dialog: dmq operations under locked dlg table entry
    
    - protect against races that could be due to rentransmissions or other
    parallel processing cases
    - related to GH #2224
    
    (cherry picked from commit 8965ff07f2e9fa105fc56896eed9caf4b6faf261)

commit 3b8d925ff74ed30f259fa9858d17ab72aa2e8c38
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 17:48:39 2020 +0100

    dialog: exposed functions to search dlg and lock table entry
    
    (cherry picked from commit 125031daeade9dab5c36b912dda65700d95c4c6a)

commit 975d09a68cbd15f4f042c1c97e0c4d17450479e1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 17:36:44 2020 +0100

    dialog: functions to search dialog by uuid and keep table entry locked
    
    - helper macros to lock/unlock table entry with dlg cell structure
    
    (cherry picked from commit a4f8c0291bfd32752c0c2c323f618c6ac0c91d53)

commit 01defdb59e7017d284d8519bcb0043c4d7bc4759
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 23 09:19:30 2020 +0100

    corex: docs - examples with setting xavps for via functions
    
    (cherry picked from commit 1e58a56cb7f9d83ca0c943481d02c429d33e188a)

commit 5cdcb3a77879266303daa2be22b424e19f26e1b4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 22 15:27:46 2020 +0100

    sst: debug message when setting timeout avp
    
    (cherry picked from commit 56ed5c028bd97837c7a9e0017a2599f09554211f)

commit 18f17c944f0ab48d3e7af69deac1f589271f62bf
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 22 15:05:17 2020 +0100

    dialog: detailed debug messages when resolving the timeout
    
    (cherry picked from commit 20013e4e2bf1a5d5ce8535e07320dca034639286)

commit 382e55f8b1fa8c79b01a90438e674fb4aa905f42
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 20 17:10:05 2020 +0100

    dmq: init worker structure in chid_init for PROC_INIT rank
    
    - have it ready when other processes are started
    
    (cherry picked from commit 21bdbff049571ca22f1205a041c8b1162005d319)

commit 7404e276680cebc925002ff3bb714127ea20b265
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Mar 24 22:42:59 2020 +0100

    uac: also set socket for in dialog REGISTER (GH #2262)
    
    (cherry picked from commit a752411df65b93f82aaad43a767cff102f5a6100)

commit f31542bb188d69eb4d4e88a54060efc82d1a0bf0
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Mar 23 11:19:52 2020 +0100

    ims_usrloc_pcscf: fix warning: this ‘if’ clause does not guard...

commit 6f871feb31e8d1b53b7d0161f2d5643c567b0f9a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 19 16:56:38 2020 +0100

    cfgutils: use same type for local variable in rpc gflags functions
    
    (cherry picked from commit 5411eda4e44a487479d00433583a68a328aca9a3)

commit 8283d34684fda83a8f9ec610cd32fb524d09a7be
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 19 10:59:43 2020 +0100

    pv: do not set ending '\0' for port value in pv_set_ruri_port()
    
    - it can be a reference to a static string, ending up in a crash
    - GH #2258
    
    (cherry picked from commit 1f76bca74839f35d11f42edf758eb046cedb752c)

commit 41967543be401413f5a93682ea537e2e7824ac3b
Author: Greg Troxel <gdt@lexort.com>
Date:   Wed Mar 18 19:03:08 2020 -0400

    Makefile.defs: Only add -ldl on systems that use it
    
    kamailio uses dlopen, and on some systems, one must link with -ldl.
    On others, this is not needed and there is no libdl.  For now, simply
    omit -ldl on NetBSD (which doesn't have or require it), and don't try
    to change behavior on other systems.
    
    (cherry picked from commit bca9768b6f2667bad8472fa99a113b8249ca0f9a)

commit 7597685108228d9d179845ab2771f2010c77bd57
Author: Greg Troxel <gdt@lexort.com>
Date:   Wed Mar 18 19:01:52 2020 -0400

    Makefile.defs: On NetBSD, link with -lm
    
    (cherry picked from commit 3ccaac365da6078a96681109efebc70dcb12fc55)

commit fd3527ea84d7be2c841cdf89cd6b5b6446fc6ae0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 18 18:41:52 2020 +0100

    kamcmd: Makefile - updated the msg target to print pkg-config detections
    
    (cherry picked from commit 331ffea6c8c8b2c7cf38e3d7eda882a6becd326a)

commit c1cc4a07d11c829f89ea62206689fba92eb91ea2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 18 17:39:18 2020 +0100

    kamcmd: use pkg-config to get compile flags for lib readline
    
    (cherry picked from commit 0e6e05f8bec1fb451375d71a6b929a6908c5689d)


===================== 2020-03-16 Version 5.3.3 Released =====================

===================== Changes Since Version 5.3.2 ===========================

commit b3e0db66d5bee1baccb2343eb891fc28ea8d2dde
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 16 14:14:28 2020 +0100

    Makefile.defs: version set to 5.3.3

commit 64a9592c13fb736078cdb3e3e5979621cbd50151
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 16 13:55:36 2020 +0100

    pkg: version set to 5.3.3 for rpm and alpine specs

commit ee9cd2ea0874f10cb97d899c222e17d8d57385ea
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Mar 16 11:46:40 2020 +0100

    pkg/kamailio/deb: version set to 5.3.3

commit 9f32f8b858fc7363704fc8563d206f6ef9698520
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sat Mar 14 21:31:40 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 76825c0e76d596ab6d6cebba6850925865f6b5a0
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:32:32 2020 +0100

    nsq: docs fix parameter name
    
    (cherry picked from commit e907b53374ead5ec03a01f8a04ff69e70bd0356c)

commit 06b81521c9b0c8f9d510e15dfb55e1f61d9b0c0f
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:24:22 2020 +0100

    sms: docs fix parameter name
    
    (cherry picked from commit e9d4ab30419460175fe76b82c58b26768ea4ef57)

commit 589229e49ee0365ae53c7dbb91fde7896c6cb85a
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:21:59 2020 +0100

    msilo: docs add missing parameter
    
    (cherry picked from commit 34263c603a0b08625c3769a0c5f91012c4a4618f)

commit dbb276127cfb7ba2872450b817a6ac5f21a51fca
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:19:37 2020 +0100

    xmpp: docs fixes
    
    (cherry picked from commit bba1b9a10d76d8380f3d27dd0120ae902586e481)

commit e079ded0295045108c7e65e7bd48d3f98e657742
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:19:14 2020 +0100

    xcap_server: docs fixes
    
    (cherry picked from commit 64f34d9315d24d9e919ec32c56fca2927e3845c3)

commit 7dac0db379e3f68f14bbc53284b4f66547cdca6f
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:18:20 2020 +0100

    tmx: docs fix varname tag around parameter
    
    (cherry picked from commit 404c46f358340df2dc4a91c7f83036ea26d05375)

commit 2834c24d86deac00c866ce1e6cd5c7de7e597525
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:17:27 2020 +0100

    rls: docs add missing parameter
    
    (cherry picked from commit 2ba86a27a9f7d32eace52815161c0a8b9e48878a)

commit 61c0ffdf4cc1e769f757315e9281420452a45203
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:17:11 2020 +0100

    presence_xml: docs add missing parameter
    
    (cherry picked from commit 3bbb27de30080a9fedaffcba04575dddb690caad)

commit acdf1d2d4ecacd44ed44814781ca95868db41c12
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:16:33 2020 +0100

    ldap: docs add varname tag around parameter
    
    (cherry picked from commit 4b2970b5b8addbb6cb325e35060714aa1e8811b2)

commit 27efa5e7591e2b521d56af0cbb5cfd75e3a4ee79
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:15:45 2020 +0100

    lcr: docs fix parameter name
    
    (cherry picked from commit 10f7ff344f546cc1816d5e6882313ba57540387b)

commit 1f76b0d7d4923c95cac9cf8fd40f2e368d564e29
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:15:32 2020 +0100

    htable: docs fix parameter name
    
    (cherry picked from commit 65cb844fe0b180e0feeba641fa4d16ab3cb9c375)

commit c395d4bd9bb8cb9a80deabcf0806300ac0d5c769
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:15:19 2020 +0100

    dnssec: docs fix parameter name
    
    (cherry picked from commit 6b5689f4079aacf348e60bd7e72560b4fe98d9dd)

commit 4d7159e9e289bbbcfcbee1d4b585ca636757aa7f
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:14:53 2020 +0100

    dmq_usrloc: docs fix parameter name
    
    (cherry picked from commit 2771b041d47339b76271d4115bd68ffa7514aa25)

commit 1e3ff7201510834a3bd1c44667365504d975211e
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:14:22 2020 +0100

    dispatcher: docs add missing parameter
    
    (cherry picked from commit 4b84dd2e9387efcdab7e501b66a64a72b233a9c4)

commit 12319717a1cd3f42aece39012d5e83dec4cde41a
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Sat Mar 14 18:14:04 2020 +0100

    cdp: docs add missing parameter
    
    (cherry picked from commit 8668d43ccc814867be9716a548c9d3a4cbf0f3d9)

commit c4908816950d12eade4a320f399f74eb4ec91599
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 13 09:41:32 2020 +0100

    siptrace: proper setting of dst field when correlation id is not set
    
    - GH #2250
    
    (cherry picked from commit f0ae3c37cdaf4c5d8034062bf27ebeb03aacb99f)

commit a20891f5d1696db9a87e2a9236572623638d599a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 11 08:41:19 2020 +0100

    db_mysql: use cast to (const void*) for mysql_options() value
    
    - match the function signature, cast to (char*) or (const char*) being
    used so far
    
    (cherry picked from commit 3bfc01f0f57a25fb53de1dc45d39af747edf309a)

commit 2776dc9e2add3acca8c47323559fd479104fc533
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 10 16:11:14 2020 +0100

    db_cluster: trailing spaces removed
    
    (cherry picked from commit 40128763d8a987e4c64d51584f1d72872b53dff5)

commit d756e8f2381c9378949a0d7425b0ebb807132d71
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Mar 13 09:31:52 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit bbc330e768fa462d5e37ad34a7898711cff85b70
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Mar 13 09:22:43 2020 +0100

    p_usrloc: fix doc section related to default_db_url (GH #2247)

commit 8b3d3ee39d0f5452451e686a9946951fa69ace8a
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Mar 12 17:50:33 2020 +0100

    siptrace: log correct dialog event
    
    (cherry picked from commit 6138877fcabfa579fb243c33b2bdde5d6a862668)

commit 7b90c4e610b3d07b40b3eb883623981294732652
Author: Stefan Mititelu <stefan.mititelu92@gmail.com>
Date:   Tue Mar 10 11:46:49 2020 +0200

    dialog: update event route statistics
    
    If dialog was deleted while running the event route, update statistics
    for early and active dialogs.
    
    (cherry picked from commit c6faf3af06129f636f86f9919f0b9db84ca0dab6)

commit acc5cb10fe8f83269ad9ef953d2745aee323fa35
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Mar 11 09:01:24 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 836c6297820014c5ba9519a5039c775fb399f073
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Mar 11 08:57:40 2020 +0100

    siptrace: fix table parameter in example (related to GH#2244)

commit 48a630a11b954fe8da5edac7f3cf5b582407416b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 9 08:27:47 2020 +0100

    app_python3: declare global vars extern in header file
    
    (cherry picked from commit a771d9abd9ce97228efa7a0dfc9c4d89690e9b38)

commit e934227bf3d7c082a4cd3125f32a002bda3dd8c4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 9 08:27:15 2020 +0100

    app_python: declare global vars extern in header file
    
    (cherry picked from commit 9cc9576c025c541264a3679618bb2be8d108a9f6)

commit dd7e19b1a383bc52e0a9fcf22f183e79474508b3
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 9 09:11:04 2020 +0100

    siputils: proper param type for kemi contact ops exports
    
    (cherry picked from commit 92c6f04a3faa917a227fb5d3b8918c981a1b1d96)

commit 87e2fcb0289e148f53719fca6f029e03c62a2c72
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Mar 8 20:23:32 2020 +0100

    pua_reginfo: extern declaration of global vars in header file
    
    (cherry picked from commit 7afe5b9837d38cd77f75c3028c9134673c95404e)

commit c93c0a989c690acebc6e2896f6b2d7095b95eb3d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Mar 7 11:54:01 2020 +0100

    janssonrpcc: use extern not to declare tmb global many times
    
    (cherry picked from commit 6bb1e84907a6c8bdb0c72289bad7b9915c9b3385)

commit fe8f6887f4fa94f72c04d09f6e199218e0b6a90d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 6 16:28:51 2020 +0100

    ims_diameter_server: extern declaration of global vars in header file
    
    (cherry picked from commit 19263243127c40d0418ff04e56048d31e9dd9d0c)

commit 267c9940ce9e6f4c5cd57a31d472aba07ee242c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Mar 6 07:02:18 2020 +0100

    ims_ocs: declare extern global variables in header file
    
    (cherry picked from commit 13da8cf58a2abfcd87a48fbc963d4e1a26d60085)

commit 6da1fd36fe4c003ccf20ad629250a1f545e5f189
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 15:08:25 2020 +0100

    ims_charging: extern declaration for cdpb
    
    (cherry picked from commit 9cd1cec4dedadcfcd50322c4709c4844a3db2f4f)

commit 17768cd71db7464b295db17706b4593e9dc75b59
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 13:45:36 2020 +0100

    ims_charging: use extern to avoid double declaration of globals
    
    (cherry picked from commit a13d49fb099dd5e8d832a0559a8e69aa8c61c1ae)

commit e58c80bdba4feeabbdbcaacb2168ee9f358049c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 11:22:19 2020 +0100

    ims_usrloc_scscf: extern declaration for duplicated global vars
    
    (cherry picked from commit 1bbab692b749feee7f23a6c5c3fbee1ac890fffa)

commit d7c52a7c59c27c054a3782b7f004b865006b6d4d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Mar 5 05:17:07 2020 +0100

    ims_registrar_scscf: global vars declared extern in header files
    
    (cherry picked from commit a041e94c4dce464737d6531d11fbe4d61292d7b4)

commit 575ab954538cbd7fdd6ac763fa4fd1c9e5b7ab4b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 22:27:43 2020 +0100

    tm: safe list iteration in tm_clean_lifetime()
    
    (cherry picked from commit 325a45e846faae3e5dfa333727d5fab294e44dac)

commit 15ff3bbb0fb79c49f1913fa604680a4904251a50
Author: Henning Westerholt <hw@skalatan.de>
Date:   Thu Mar 5 11:19:52 2020 +0100

    core: fix a crash in cfg parser related to invalid syntax cases
    
    (cherry picked from commit 54a0aeee9d30ee85045150d8ad5b75f7a4b71d15)

commit c887e56311ea77c2d0ded051e93e6b7729edbe24
Author: Stefan Mititelu <stefan.mititelu92@gmail.com>
Date:   Tue Mar 3 18:06:26 2020 +0200

    corex: check not in SHM before PKG free for path
    
    Do the same for reset_path_vector() in core msg parser.
    
    (cherry picked from commit 3bdfec4a357b9d33787108bcf1b5840de343cbe9)

commit 5b6ce8ef92f876b4ec24305592fb285adbb9bce2
Author: Henning Westerholt <hw@skalatan.de>
Date:   Wed Mar 4 20:13:43 2020 +0100

    CONTRIBUTING.md: small spelling fix after recent doc extension [skip ci]
    
    (cherry picked from commit 116302384110eccc9115ee8cbc96271d893a1f1a)

commit a75be26a5288a2e6c4a6f7d262581e590e3186b1
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 12:24:48 2020 +0100

    pua: extern declaration of global variable in header file
    
    (cherry picked from commit e260447833f616066e0fa23e51e791822b55b039)

commit f68f5f5adb504d7ee2d4a2c652fd0bebb8679696
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 12:19:40 2020 +0100

    siputils: contact encoding functions exported to kemi
    
    (cherry picked from commit b7c47ce4ceea9ce97431bdd921afa2a59617e1c5)

commit 68be831aa83c09e99b35c55a6ff6d7f21a0502d6
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 11:39:02 2020 +0100

    CONTRIBUTING.md: section for first line of the commit message [skip ci]
    
    - note about [skip ci] flag in first line
    
    (cherry picked from commit 04d082d2a89f8e0d3646856cb81666f9f03fdffa)

commit 70f07adf5778fdb7015bfce8ffd1b8ae0353d432
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 11:14:26 2020 +0100

    ims_qos: more extern declarations in the header files
    
    (cherry picked from commit 7bea30203b85b7ed17434ee3f301faa0cedcba76)

commit 8cb7d5c0bb59be44d55582844bd4021032cf5646
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 08:28:30 2020 +0100

    ims_qos: use extern in header files not to redeclare variables
    
    (cherry picked from commit df5521fcdfc96462eb191b774f242fe1d4616adb)

commit 2c2af66acca5bbe49840683682323745a9f84b1f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Mar 4 07:19:57 2020 +0100

    ims_icscf: stats global variables made extern in header file
    
    (cherry picked from commit bfb717fc8504a079066a0fdc09b856a937a7b430)

commit c720a32974f36873dd8dd9f127f5e28a03b5c9c7
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 17:26:58 2020 +0100

    ims_isc: avoid duplicate declaration of isc_ulb by using extern
    
    (cherry picked from commit 32f37cdc876abcd7127993e079c9a0132d1f6460)

commit 5090a9661d72679358abe25db19e87602c9d2f2f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 13:28:30 2020 +0100

    ims_auth: declare extern the stats variables in header file
    
    (cherry picked from commit 8156dd87a977a011abb9652a997f4ba61eb3e642)

commit f828861139a7e6d75cfff54a5106bca00721acee
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 11:40:40 2020 +0100

    ims_dialog: declare extern dlg stats structure in header file
    
    (cherry picked from commit 15d5676fd7b6d64616fbf8ebf9517f0d56a47f5c)

commit fd1d0db7c11e453b808e53102a6792082977bece
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 11:30:04 2020 +0100

    core: cfg.y - detect use of function call as parameter of another function
    
    - GH #2227
    
    (cherry picked from commit 047fdebff732c847fcde5b066ce1acd5f6c2219a)

commit 63aef54729c61755fecfb1df94f6a793853c330c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 11:01:53 2020 +0100

    core: cfg.y - init static global variables
    
    (cherry picked from commit 8c5b92ee638a33e612e68cf85a1d37ab5e5d2c22)

commit 023d385299b6b0ec6a894d6a893a7cfb5292c5bd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 10:34:02 2020 +0100

    cdp: global variables declared extern in header file
    
    (cherry picked from commit a88cf96b8ba3358c08e0e210f76320f6d7926b7d)

commit 15ce49badcd67ec0a4227661b090c4e8318dd3cd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Mar 3 09:11:59 2020 +0100

    sipcapture: declare extern heptime in hep.c and init it to null
    
    (cherry picked from commit 16bc15156ecc8a8f4f66c44b064db854d0e3e4e0)

commit a7248dd187b89cdeab9d72a2de574d4eaab4987d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 2 10:21:23 2020 +0100

    sms: removed duplicate declaration of global variables
    
    (cherry picked from commit f8284418ea7d16dec970260cb92eb1af35bbf643)

commit c96f7c208499179b6931775084edda193e720dd9
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 28 17:57:16 2020 +0100

    pv: debug messages when setting shv via rpc
    
    (cherry picked from commit 7f95cd207b5dd56ace92837ad989f234e64a2471)

commit 0bed10f2ad80d192c50885ef3f7a948f1ba9322e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Mar 2 09:31:40 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 34dffb148e2fa3e9d354532817acf490ac8c8e95
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Mar 2 09:24:29 2020 +0100

    pua_dialoginfo: fix doc for puburi_calle[e|r]_avp type
    
    (cherry picked from commit cd94a88d21c6d649d63791ba509845a38a6eb76b)

commit e2d4024a73306b3efc28b321e5d5d32b96601278
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Mar 2 09:20:22 2020 +0100

    pua_dialoginfo: fix doc for pubruri_callee_dlg_var type
    
    (cherry picked from commit ee34fa46d008426f710c38bf247f4dac9e11bfe7)

commit e16ba9fe6b9e1a4c70b42c5822c7a05051da88c0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Mar 2 09:02:33 2020 +0100

    Revert "tm: set send socket flag when computing the destination and local socket is found"
    
    This reverts commit 8d608d1c3ed0fe4c69cb02868b746cd0497dd1f5.

commit 66e33a0e3c7af9c51dc665556a022b6598e86843
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 28 17:53:34 2020 +0100

    siputils: declare extern contact_flds_separator in header file
    
    - GH #2235
    
    (cherry picked from commit 6e9b0fad487aadb22df10e90f3db6a104ca99cfc)

commit 9539be33fa2026ace2090bc51427eb80346ffb4d
Author: Henning Westerholt <hw@skalatan.de>
Date:   Fri Feb 28 14:52:14 2020 +0100

    dmq: small spelling fix in error message
    
    (cherry picked from commit 97e3de1046cf5247f7a462385778409b02680149)

commit e83a966b69500a9b30ba41858beee77d154a3b4d
Author: Stefan Mititelu <stefan.mititelu92@gmail.com>
Date:   Fri Feb 28 12:17:49 2020 +0200

    pdbt: add pdb server message check
    
    Related to 3c07e2351a94e4ff2cf3c6b9b9df4d7462cd5760 commit, but on server side.
    
    (cherry picked from commit 7db39bbc128233ae663061364c5545648e06d3a7)

commit d542db02ac2e6e3c70878138aec99566f8fdd7da
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Feb 28 09:46:48 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 64eb8558e94016f74d6a15c2b72f92e6cf8b645e
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Fri Feb 28 09:28:44 2020 +0100

    pua_dialoginfo: add missing module parameter from docs
    
    intruduced at 09d1bdc38b51619c65c6a9ec8f293cf9c395c6c1 back in 2009
    
    (cherry picked from commit 9e1e7d4d3f7eb2e08d092c9b0b772fc76cf09376)

commit 467354de17c83b6c47d06e020060a0bf788c2d39
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Feb 25 08:46:32 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit e9f20919f1e0b4a396d771255ce86a4e2f9a29c8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Feb 25 08:36:40 2020 +0100

    dmq: use PROC_RPC rank to init the worker process
    
    (cherry picked from commit f2a4fd419c27b99ce4ff6f93dc3f235d4f74a33c)

commit 35cd520bfe29d63555aebf64717f602948773280
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 20:27:14 2020 +0100

    auth: safety check for auth header pointer in pv_auth_check()
    
    (cherry picked from commit ea2ea2f8274eda9d8d7055b22fab8910cd773a19)

commit 64c92f2bbb9739725256d0b6dd5ceb47fe2688ea
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Feb 24 10:32:17 2020 +0100

    usrloc: log database table if use_table() fails
    
    (cherry picked from commit 3843ae18599bfc1806ccb62df44bbc8ad41d60dd)

commit c8eb4f7a3e875cfb363a4167fdfa66f381b2f4ba
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 23 12:30:02 2020 +0100

    rtpproxy: docs updated for rtpproxy_manage()
    
    (cherry picked from commit b15362ec487d14b2a428dabbcce4f3de4cf1fc59)

commit 8922f7733e49c3bf39df0846ae2d1c74668b0e4f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 23 12:29:44 2020 +0100

    rtpengine: docs updated for rtpengine_manage()
    
    (cherry picked from commit bdba22bb9b573c7b32a7de45154f9159c725715f)

commit 855acfc670bc814a9d42c5c2a6fdfc19bb93e99a
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 23 12:22:08 2020 +0100

    rtpproxy: do nothing in rtpproxy_manage() when used in event_route[tm:branch-failure:...]
    
    - avoid duplicating sdp operations
    
    (cherry picked from commit 4305c501128a0d37453a39795bd00314d7f60e4f)

commit 289e35cff83aa0fd4fc7123e26c18dce9053bb03
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Feb 23 12:20:17 2020 +0100

    rtpengine: do nothing in rtpengine_manage() when used in event_route[tm:branch-failure:...]
    
    - avoid duplicating sdp operations
    
    (cherry picked from commit 387de23a5c9252ee8409d378ea452bfd52e416d4)

commit 833572502f016f6be83eaa7f7317ac7e0f154039
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 22 11:18:06 2020 +0100

    topoh: skip http reply handling
    
    (cherry picked from commit 345d6f67006e4254300209742a2778b925cafaf7)

commit ec02a63f63780d538b5f766d720df1208c2b98af
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sat Feb 22 10:55:20 2020 +0100

    topos: skip http reply handling
    
    (cherry picked from commit fad795648f8cbf12cc099dea18092ff7beee9c75)

commit b35c2ce5969e018884f5ef536cab71918a2027dd
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Mon Feb 24 09:46:18 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 3e94d214bd9361d452c575954fc739b7bb6d3908
Author: Stefan Mititelu <stefan.mititelu92@gmail.com>
Date:   Fri Feb 21 11:28:56 2020 +0200

    carrierroute: remove mi fifo files
    
    (cherry picked from commit 18c415f27ed9a914615a95c1d648ec2677ea13f1)

commit f7e481ac613c0cbc49516d579cf3dd6c9ff9aa21
Author: Stefan Mititelu <stefan.mititelu92@gmail.com>
Date:   Thu Feb 20 17:29:07 2020 +0200

    carrierroute: update doc for the new rpc commands
    
    (cherry picked from commit 7647046384883f3506ec2321794f2b2e95032146)

commit 8ca1b7c325bcfe27f1d5fb71f42bf1ea92a5b408
Author: Huseyin Dikme <hueseyin.dikme@1und1.de>
Date:   Thu Feb 20 13:11:54 2020 +0100

    carrierroute: add new rpc commands
    
    - add cr.add_host command
    - add cr.delete_host command
    
    (cherry picked from commit dd186700b6c7a62a19ddde15f3d367bc48a0aa29)

commit 2786033fa978f3059541ef6aee03c53ea570f485
Author: Stefan Mititelu <stefan.mititelu92@gmail.com>
Date:   Wed Feb 19 14:21:00 2020 +0200

    carrierroute: organize and add new rpc commands
    
    - organize helper commands from deprecated MI FIFO
    - add cr.activate_host command
    - add cr.deactivate_host command
    - add cr.replace_host command
    
    (cherry picked from commit 4c7896fa7f0294fb33d918c7e528871d5969daaf)

commit f0c94fe953c631b722d6ea87a7dc81b8d9842ad1
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Fri Feb 21 17:31:22 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit dd78efd695490c68f21e13511c39956f95d503da
Author: Alex Balashov <abalashov@evaristesys.com>
Date:   Fri Feb 21 17:25:10 2020 +0100

    usrloc: Updated docs for 'timer_procs' parameter about multiple timer processes

commit ded3181d36a496186214ff6940081bb5a3a339f6
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Feb 6 17:28:42 2020 +0100

    sipcapture: fix inaccessible HEP chunks
    
    Chunk types 1 , 2  and 3  were not accessible.
    $hep(...) pseudovariable didn't return HEP chunks of type:
    * 1 (IP protocol family) returned HEP version
      (accessible via $hep(version))
    * 2 (IP protocol ID) returned HEP message source IP
    * 3 (IPv4 source address) returned HEP message destination IP
    
    This removes keys src_ip and dst_ip. Use $si resp. $Ri instead.
    
    (cherry picked from commit 459ccabe9e3975dd5a90135ab96f3cccdf4ffdbe)

commit a1727714bcb4e78e455b77ec13dec4d7c4f7164a
Author: Bastian Triller <bastian.triller@gmail.com>
Date:   Thu Feb 6 15:28:18 2020 +0100

    sipcapture: fix typo
    
    (cherry picked from commit d4d7a8bb27426045de9afd8636729426a346ca79)

commit 38869d54ed6210f63fceb185a6531193eed1629f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Feb 21 08:39:47 2020 +0100

    core: propagate xflags inside sip_msg_update_buffer() to new msg
    
    - xflags were lost when the msg structure was reinitialized (e.g., after
    msg_apply_chages())
    
    (cherry picked from commit 2c6e87c50b13acdd94f77491eda0d73430f58dfc)

commit 09914df5a9d5638bb99ae5f89378fcfedd9a9e04
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Feb 17 16:41:32 2020 +0100

    db: small spelling fix in docs
    
    (cherry picked from commit 942d1cc40a1772ffd7a7d62bf1354a0b6343f7fa)

commit 920059179d3fcd15cf3c132ba60d69757a9ba4a8
Author: Federico Santulli <federico.santulli@nhm.it>
Date:   Mon Feb 17 11:10:28 2020 +0100

    pkg: add ebuild for 5.3 branch for new gento packages (GH #2220)

commit 1ed796ca3813e4fde557af6a605e768b38acbf6e
Author: Federico Santulli <federico.santulli@nhm.it>
Date:   Mon Feb 17 11:03:38 2020 +0100

    pkg: add generic files for new gento packages (GH #2220)
    
    (cherry picked from commit d94fce63e496f1039ed6b39ce2dfc257a8e60da2)

commit a823d5751ba7855ce04692a044ecbf73f4c99fc6
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Feb 11 21:16:34 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit b2cac914e4d4d82e7321a634f843ba2603b9334c
Author: Henning Westerholt <hw@skalatan.de>
Date:   Tue Feb 11 21:15:04 2020 +0100

    ims_qos: fix dialog module name, dialog2 is not used anymore
    
    (cherry picked from commit 70b6e2fb4ccf77c9eb71610f9febeca843228093)

commit b90fa312cdd9df21472559fd0f5cda9418e7d9ba
Author: Nick <nick@nickvsnetworking.com>
Date:   Sat Jan 25 11:34:39 2020 +1100

    misc: examples: IMS PCSCF kamailio.cfg update
    
    Minor changes to make the example functional in the current stable release and higher.
    
    - removed modparam("ims_usrloc_pcscf", "hashing_type", 2) This parameter was removed under a466c7bf1f1908461b8ab9dbf10ab4c90b65e52a
    https://github.com/kamailio/kamailio/commit/a466c7bf1f1908461b8ab9dbf10ab4c90b65e52a#diff-bd9d5dd4265257881c8e19ea24ab533f
    - Dispatcher parameters only loaded if #!WITH_SBC defined
    - Load IPsec IMS Module by default (IPsec module is required for IMS Usrloc to load)
    
    (cherry picked from commit 74e6daa71bf7dde64b907b7a1b9b3ebf925fad2b)

commit 998581b0216a2e904deccda2b5deb72b133eee51
Author: Nick <nick@nickvsnetworking.com>
Date:   Sat Jan 25 11:38:19 2020 +1100

    misc: examples:  IMS PCSCF pcscf.cfg update
    
    Minor changes to make the example functional in the current stable release and higher.
    
    - Load WITH_IPSEC by default (IPsec module is required for IMS Usrloc to load)
    - Bind to any IP in example
    - Removed con=> prefix on MySQL Connection (not used in single instance / if not clustered)
    
    (cherry picked from commit decd1848e8c3c8a68553dba48abb4147195b5bf5)

commit 951da90aa25035c7bc70aa0c22afdcd78c6737c9
Author: Aleksandar Yosifov <alexyosifov@gmail.com>
Date:   Thu Jan 23 15:24:17 2020 +0200

    ims_reqistrar_scscf: Fix bug with multi-notifications
    
    - Added more accurate contact comparison when
      sending NOTIFY to a subscriber.
    
    (cherry picked from commit c275110a07fdad8963a08f5ca210f0d5fb717986)

commit 79c52900996bc4a8b6ed86560a74f4b38db0fa8f
Author: Emmanuel Schmidbauer <emmanuel.schmidbauer@textnow.com>
Date:   Tue Feb 4 09:33:16 2020 -0500

    tm: t_continue - do not print error and return error code
    
    (cherry picked from commit a62d4f45282b4d216def7de908548ade40a6369e)

commit 79c97c97eaf12942e6173d2170f66bd4f72ab509
Author: Peter Lemenkov <lemenkov@gmail.com>
Date:   Sun Feb 9 16:38:17 2020 +0100

    rtpengine: Remove unused struct fields
    
    These two were copied directly from rtpproxy module but never used by
    this module.
    
    Signed-off-by: Peter Lemenkov <lemenkov@gmail.com>
    (cherry picked from commit 35b82c4acb4559fd14faa86fe1c58caf763d5fd0)

commit 970708ec637e47822cb39110bf970f3041ce0f11
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Wed Feb 5 14:23:54 2020 +0100

    Makefile.groups: add missing kemix to basic group

commit b98bdc21dc495ca2f4babcc6a556b9c0dc63884a
Author: Henning Westerholt <hw@skalatan.de>
Date:   Mon Feb 3 11:53:55 2020 +0100

    tm: use WARN log level for status rewrite by UAS (were decreased before SER tm integration)
    
    - use WARN log level for status rewrite by UAS (log level decreased before SER
      tm integration, e.g. v1.5.x)
    - for bad interconnection or gateways this might be reported frequently
    
    (cherry picked from commit e1a01699af450292859e4f2cd69b6a6d85246e5e)

commit 0864bad2953aa2c85e4da0e8ebe0ce110a22db52
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 29 10:45:28 2020 +0100

    htable: safety check for item name value
    
    (cherry picked from commit 0dbf08635a4b2f6e544c26da0a7f542f1863939b)

commit 0e366f1237e96b4f7fce261dbf1522e85336a9ec
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Tue Jan 28 08:46:24 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit aa57ad455b0c0f907bfc5f2f9a0fc382344b7bdb
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 28 08:22:47 2020 +0100

    permissions: safety checks when destroying module
    
    - avoid warning of freeing null pointers on failed startup
    
    (cherry picked from commit d98d8b653e5cf0ae358f6abac392ec44ee39548a)

commit 9eb14a43fcd6b21e02b9b0e9f4283f37f0d81f37
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 17:43:38 2020 +0100

    auth_xkeys: proper debug log messages on valid match
    
    (cherry picked from commit 39802fd2efad4b710072244f360741312a7164f2)

commit b768526a3d3895a10ae0a0543f10d94ceb99d58e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 22 17:39:49 2020 +0100

    seas: docs - removed mi_fifo from examples
    
    (cherry picked from commit 31b710b5ec402bf75b3babe5ffe440c429d3ec63)

commit 0a90aecb5737f4001cad7bb20590823deea4390e
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Jan 24 10:20:09 2020 +0100

    core: msg translator - warning log made info for  multipart body processing
    
    - check boundary cannot find boundary value in content-type when the request
    is turned into multipart body
    - use different return code for this case
    - a few realignmets for curly braces to be corherent across the
    respective functions
    
    (cherry picked from commit 2c7ba53b2b6cc7dd5e3c24241d23e76fb052aa50)

commit 3d7809f4bc87208c3fc0261bd63ea3badf644916
Author: Henning Westerholt <hw@skalatan.de>
Date:   Sat Nov 23 18:53:17 2019 +0100

    app_sqlang: fix squirrel warning: ânArgsâ may be used uninitialized in this function
    
    (cherry picked from commit 7fad9c51f71854e0649fe76e273190e4b4f82438)

commit 27745e11384f30da9a645569b61ffd393a52e18e
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 23 10:16:52 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit b9dac63cf660bc454b21297a1e987a400841205d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 23 10:04:23 2020 +0100

    textops: docs - proper example for append_body_part() with headers
    
    (cherry picked from commit 79592144c3ba99ccbb4883910eeda3a7dbe5c89d)

commit 704606ac1be5c967b2fd4c344d41145b1ad5adf2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 17:20:19 2020 +0100

    tls: proper match of config profile by server id
    
    (cherry picked from commit 40f87b7e46714a114e7c98be7e677b20f1deb694)

commit b6a6222d864704b2452049d3eaedf0a874c48add
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 16:08:56 2020 +0100

    pipelimit: make error log debug in rpc command when pipe not found
    
    - error code is returned to rpc command
    
    (cherry picked from commit 5a607cabc34d16fe3770f273241b667fea470dc9)

commit dd259e28f4f820c9f4e641326b271eb8241f853c
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 21 14:54:07 2020 +0100

    corex: declare nio specific globals in c file
    
    (cherry picked from commit 512f89bec0b6ebd2b3c7c16b115f15dbd6de9a39)

commit d415780fef56536d88f5f3d7d044d9a64a74c4c5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 20 08:49:29 2020 +0100

    core: dprint - reformatted log macros for better readability
    
    (cherry picked from commit ae23876b3091db2e62f651e05fa695d29f540028)

commit 2e8ac93a2c21b9087d60903a406c4cccfe129b86
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 19 16:30:28 2020 +0100

    core: check logging protection before the level
    
    (cherry picked from commit 53ca8b50207ca35f16a2315efb1ed29448961da8)

commit cebbdd3424b500a24977a606d962c010b7a0295d
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Sun Jan 19 13:39:22 2020 +0100

    log_custom: send processing logs via udp
    
    (cherry picked from commit ec0dd71bd963d7bf5959521ff82b6a659efe699a)

commit 3a21cd3a7010108e88164154b3f682e72dfa65ac
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Mon Jan 20 20:39:52 2020 +0300

    pkg/kamailio: removed not maintaned Oracle packaging files [skip ci]
    
    To package for Oracle dist need use OBS folder
    
    (cherry picked from commit fcd45145d9c534e2230707ce64b044d927efca14)

commit af9c575eaa06c3aefa737ceb3fd66116866a4abd
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 16 11:23:40 2020 +0100

    htable: make ht_dmq_init_sync variable extern in ht_dmq.c
    
    - avoiding redeclaration, it is set via modparam
    
    (cherry picked from commit 02bff604ec70a51a5ba9faae38e946e556763e08)

commit f61b2de38b10e3eb23b01843aacc2b739b7016d8
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 15 17:06:36 2020 +0100

    core: more details on error log on failed comp_num() expression
    
    (cherry picked from commit a85bdf58e3f1933a4a1d231b5de4fd9cf1393366)

commit ad4871fa367406f03063ae1d387d908a494b035b
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 18:12:56 2020 +0100

    core: kemi - handle notice log level in KSR.log()
    
    (cherry picked from commit 73088fd871b4b1a292c67e80c55373ed1b891144)

commit 7153fda2f2e31079e39820a5233551fccc6d6518
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Sun Jan 12 12:16:32 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit ed3b9fca165a5005dfd4715776acafc1d32b77e5
Author: Sam Ware <sam.ware@gmail.com>
Date:   Sat Jan 11 14:24:37 2020 -0600

    xhttp_rpc: documentation correction
    
    - The documentation in the README file had the
      wrong module name in the modparam in the
      example for the xhttp_rpc_buf_size parameter.
      Corrected this in section 4.2.
    
    (cherry picked from commit c9229d66136f41fda0082585c4a73baf503b2c2b)


===================== 2020-01-09 Version 5.3.2 Released =====================

===================== Changes Since Version 5.3.1 ===========================

commit ef7ad5164d5d2ed97fb94dd3a12f9fc9496f68e0
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 11:27:07 2020 +0100

    Makefile.defs: version set to 5.3.2

commit 2a4eb02cb934fbbf7f0b69a8a90ae1e4e0d16ef2
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Jan 9 11:24:45 2020 +0100

    pkg: updated version to 5.3.2 in rpm specs

commit eb319d6d6bbf28cf17236764b892520197c85b86
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Thu Jan 9 10:01:36 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 8830a13af10e5d13e646a8d325e046bc95cc54d5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 8 21:07:11 2020 +0100

    app_ruby: docs for xval_mode parameter
    
    (cherry picked from commit 4b30a3c4a9fc9d4ca7d3ce40fc5a0637f2386646)

commit 912ad4fc621df6418e0cb7f55ba26a384316dc60
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 8 20:50:42 2020 +0100

    app_ruby: option to use internal KSR::PV module and skip returning xval str
    
    - controlled via xval_mode module parameter
    - workaround for a reported regression causing crash by using core
    KSR::PV exports (GH #2180)
    
    (cherry picked from commit 9bafd4c4e09825b25a84bb35a6dc4a39dbd07b73)

commit 2e8d629a7722cbecae543a7e4a9d0174a16fbc16
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 8 17:38:57 2020 +0100

    app_ruby: memset rbdata to 0 in app_ruby_run_ex()
    
    (cherry picked from commit af18330c7ed5266079038ca7ae515487537cd6b6)

commit 4f83d158dbae4d0f854f4bea8a847c071a45d861
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 8 17:31:27 2020 +0100

    misc: use single quotes in formatted ruby scrip for kemi example
    
    (cherry picked from commit 77a1698ce24620be0edc171494c4f414a5c5b5e1)

commit 57c54e76f03cf2753487aaa82b516dda1e66f2f2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Thu Jan 9 09:56:52 2020 +0100

    pkg/kamailio/deb: version set 5.3.2

commit 27f6bb93db36b62520f0093a4f2ffe477ad7306d
Author: Sergey Safarov <s.safarov@gmail.com>
Date:   Wed Jan 8 15:22:28 2020 +0300

    pkg/kamailio/obs: enabled build of geoip and phonenum modules for CentOS 8 and RHEL 8 dists
    
    (cherry picked from commit c953af29433abef3251e9e4644c0af98b84368cb)

commit ffa3b089a192ef6d135a094bd6b3a29125e35389
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Wed Jan 8 10:15:26 2020 +0100

    Makefile: use variable for detecting emacs for ctags flag
    
    (cherry picked from commit ef19acf3a79a804a47238daf1f6d4794f1d82a5e)

commit 13874b22adbff7bb269a6229a00f59c29013d196
Author: Kamailio Dev <kamailio.dev@kamailio.org>
Date:   Wed Jan 8 10:01:29 2020 +0100

    modules: readme files regenerated - modules ... [skip ci]

commit 8fc643b5d199e257ec403fd925f3d15327e8ded1
Author: James Aimonetti <james.aimonetti@gmail.com>
Date:   Tue Jan 7 23:55:01 2020 +0000

    Makefile: include flag to generate Emacs-compatible TAGS file
    
    Emacs exposes an environment variable `INSIDE_EMACS` which can be used
    to toggle ctags to generate an Emacs-friendly TAGS file.
    
    (cherry picked from commit 35c846b1e8dc7075b0cee196a430dd1b09a87446)

commit 2dc27439365ec4f2442b19b139eda1f2c29ec958
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Jan 7 10:11:42 2020 +0100

    ipops: fix locating static index for dns pv
    
    - reported by GH #2179
    
    (cherry picked from commit a383caa12a1af2cbc0f135add643045a159f24f2)

commit 851e3f34ed6de43d22511ad52b5cc61163bb7be5
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Jan 6 11:25:32 2020 +0100

    tm: added missing $T(reply_reason)
    
    (cherry picked from commit bf57a7ab50949ddbeec787331548dfcb023c238f)

commit 030be68ca0af03cf2e54ddbe00670900588459a4
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 24 14:39:17 2019 +0100

    tls: docs - fix example for setting xavp_cfg
    
    (cherry picked from commit 4f42115ce29d446ad60b32af9ad370d9b2d847c2)

commit 766e0d30454e0a872a8f5016fc1a4f865f95f655
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Fri Dec 20 16:08:16 2019 +0100

    tls: set default tls method (version) to 1+
    
    - it was 1, but newer libssl doesn't have it anymore
    - while older systems don't have newer version support
    
    (cherry picked from commit 1da196174d8cd7e82ce57d4de60197fc063e6b50)

commit cfba21fc16aa0920c0f36fcd79692f7d64428403
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 16 11:02:57 2019 +0100

    rr: fixed warning about unused label in ki_record_route_reset_one()
    
    (cherry picked from commit c65e0926b26ee9f1cdadb9fbd6f488159275cbea)

commit b0888cf384d57b4a11200872f3b9fbdde77c53ce
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Thu Dec 12 08:42:06 2019 +0100

    tm: clarification that the sip message flags operations after t_newtran()
    
    - they are not reflected in transaction, only in local sip message
    structure
    
    (cherry picked from commit 9a0c850f98063da145120f90d2c5c2a43e76b976)

commit 428c862a9e4445ebf1bec244510a29d443c9e4db
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 10 12:46:34 2019 +0100

    tls: init EVP_PKEY pointer when loading engine key
    
    (cherry picked from commit 433551f3ea00e4151f2fa4e84d7c52422b6cefe3)

commit e0420bcf6ee37eb305595b2c56e9054546b3fc63
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Tue Dec 10 12:38:30 2019 +0100

    tcp: checks for event route index on close
    
    (cherry picked from commit 46436cf8ef7d337c255b2fd9115544a6971f9741)

commit 2c0048dc6d41c61137f64e9021f897d390d6140f
Author: Daniel-Constantin Mierla <miconda@gmail.com>
Date:   Mon Dec 9 22:15:24 2019 +0100

    tm: rework code to avoid compiler warnings
    
    - fix log message priting wrong string variable
    
    (cherry picked from commit 263b8ce5360716e44c6a7bcdbc65a76dfad67575)

commit 331de11a6164a7a2289da62f4782e42aae21f843
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:47:00 2019 +0100

    app_python3: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 731056f0e7ae752273e16bc7bc1a48ba16638235)

commit 9d00826874acc5d164dc207a4fcd890d38393742
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:46:19 2019 +0100

    app_python: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit e0f3675e1b0c93ec416e7663ab8b6e21b75373e2)

commit 8f4e5524db2ea1625919c7a92ab9fce7f6277a46
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:44:58 2019 +0100

    xlog: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit b5e3409aff3a5f8307ab812693ddea286ebc08e9)

commit db6b7f470fcfbcf3b736f9e9461d87b003e824e3
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:44:18 2019 +0100

    tmx: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 18059dcc87f371f353fb585a89aefd8d7cadce8c)

commit 0eed9af6156c7bee2ef1a06895ca3b3a0732424c
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:43:29 2019 +0100

    tm: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 6e7a441a9f27cb22ff22919f2e7b911045b7a7c0)

commit b170db2d9f9f8d29b13bbdad78adb5ec63079ee4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:42:44 2019 +0100

    sl: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit af9cdfb14798e331eacb9495aaf70eedf9eae527)

commit 480095d20fcb5bdb34bb9fc496fe0a8e4b1c8b11
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:42:10 2019 +0100

    siputils: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 3f859cf341d71ca3789907d9502fea18a48ca56a)

commit 112729e810d5eef40a153b60f720abb60588864f
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:41:33 2019 +0100

    sdpops: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit beb9a7f7c6397f1ea51b8e8746d06c43f602d2a0)

commit 0b182c2e9cbb3ca8213d7785115e24950c531cb4
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:40:41 2019 +0100

    sanity: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 2b4d555610b06a1902e3d67f282b4a101e9f3796)

commit 4a69bff459e57a35606edf1f5c715efe13b521ec
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:40:02 2019 +0100

    rtpproxy: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 60838d3a51d0afff75a6923791e99c94960f638e)

commit 9d25bc343ec9fd0ad2c566b6d8bcc60147178a37
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:39:26 2019 +0100

    rtpengine: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 401240be0a1e4a3b06d2095d2f2a003c371921ed)

commit f57c9fbc276c6daa2fa79175622984bab19e7e5a
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:38:32 2019 +0100

    rtjson: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit bc046a1cdd096ff66057bc7cb19512192743b705)

commit fb368f2de6c740e075fcefd231ff1e9bdd3f52b5
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:37:53 2019 +0100

    rr: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 3d5d7278135e21f8fa63d29934943d3424c60de8)

commit f614e328086a851b4053f3df4ae67d6eabf52cef
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:37:11 2019 +0100

    registrar: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 49903d1c03af293210b12ea48d13ff12a2bf7954)

commit 5e5e67a680b4c90057645feb8a9a9bfa31d8d0af
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:35:59 2019 +0100

    pike: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
    
    (cherry picked from commit 48a92121ce496536a38ec3f076ad1298ef85c7e0)

commit 2593e8b26f05cd70b2fb3c9861db214babfcf3f2
Author: Victor Seva <linuxmaniac@torreviejawireless.org>
Date:   Mon Dec 9 18:35:21 2019 +0100

    permissions: add clang-format directives to skip format on kemi_exports
    
    format is important for generating docs by our python tool
